import{S as a5,i as i5,s as l5,e as n,k as c,w as y,t as r,M as d5,c as s,d as t,m as p,a as i,x as T,h as a,b as u,N as r5,G as e,g,y as w,q as $,o as A,B as F,v as c5,L as Oe}from"../../chunks/vendor-hf-doc-builder.js";import{T as Ue}from"../../chunks/Tip-hf-doc-builder.js";import{D as N}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Ne}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Re}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Ie}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function p5(E){let d,k,m,f,b;return f=new Ne({props:{code:`from transformers import AlbertConfig, AlbertModel

# Initializing an ALBERT-xxlarge style configuration
albert_xxlarge_configuration = AlbertConfig()

# Initializing an ALBERT-base style configuration
albert_base_configuration = AlbertConfig(
    hidden_size=768,
    num_attention_heads=12,
    intermediate_size=3072,
)

# Initializing a model (with random weights) from the ALBERT-base style configuration
model = AlbertModel(albert_xxlarge_configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AlbertConfig, AlbertModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing an ALBERT-xxlarge style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>albert_xxlarge_configuration = AlbertConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing an ALBERT-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>albert_base_configuration = AlbertConfig(
<span class="hljs-meta">... </span>    hidden_size=<span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>    num_attention_heads=<span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    intermediate_size=<span class="hljs-number">3072</span>,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the ALBERT-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertModel(albert_xxlarge_configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=n("p"),k=r("Examples:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Examples:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function h5(E){let d,k,m,f,b;return f=new Ne({props:{code:`0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1
| first sequence    | second sequence |`,highlighted:`0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1 1
| first sequence    | second sequence |`}}),{c(){d=n("p"),k=r("sequence pair mask has the following format:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"sequence pair mask has the following format:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function m5(E){let d,k,m,f,b;return f=new Ne({props:{code:`0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1
| first sequence    | second sequence |`,highlighted:`0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1 1
| first sequence    | second sequence |`}}),{c(){d=n("p"),k=r("sequence pair mask has the following format:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"sequence pair mask has the following format:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function u5(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function f5(E){let d,k,m,f,b;return f=new Ne({props:{code:`from transformers import AutoTokenizer, AlbertModel
import torch

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = AlbertModel.from_pretrained("albert-base-v2")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertModel.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function g5(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function _5(E){let d,k,m,f,b;return f=new Ne({props:{code:`from transformers import AutoTokenizer, AlbertForPreTraining
import torch

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = AlbertForPreTraining.from_pretrained("albert-base-v2")

input_ids = torch.tensor(tokenizer.encode("Hello, my dog is cute", add_special_tokens=True)).unsqueeze(0)
# Batch size 1
outputs = model(input_ids)

prediction_logits = outputs.prediction_logits
sop_logits = outputs.sop_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForPreTraining
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForPreTraining.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = torch.tensor(tokenizer.encode(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, add_special_tokens=<span class="hljs-literal">True</span>)).unsqueeze(<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span>prediction_logits = outputs.prediction_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>sop_logits = outputs.sop_logits`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function b5(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function k5(E){let d,k,m,f,b;return f=new Ne({props:{code:`import torch
from transformers import AutoTokenizer, AlbertForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = AlbertForMaskedLM.from_pretrained("albert-base-v2")

# add mask_token
inputs = tokenizer("The capital of [MASK] is Paris.", return_tensors="pt")
with torch.no_grad():
    logits = model(**inputs).logits

# retrieve index of [MASK]
mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[0].nonzero(as_tuple=True)[0]
predicted_token_id = logits[0, mask_token_index].argmax(axis=-1)
tokenizer.decode(predicted_token_id)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForMaskedLM.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># add mask_token</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of [MASK] is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of [MASK]</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>].nonzero(as_tuple=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = logits[<span class="hljs-number">0</span>, mask_token_index].argmax(axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predicted_token_id)
<span class="hljs-string">&#x27;france&#x27;</span>`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function v5(E){let d,k;return d=new Ne({props:{code:`labels = tokenizer("The capital of France is Paris.", return_tensors="pt")["input_ids"]
labels = torch.where(inputs.input_ids == tokenizer.mask_token_id, labels, -100)
outputs = model(**inputs, labels=labels)
round(outputs.loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.where(inputs.input_ids == tokenizer.mask_token_id, labels, -<span class="hljs-number">100</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(outputs.loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.81</span>`}}),{c(){y(d.$$.fragment)},l(m){T(d.$$.fragment,m)},m(m,f){w(d,m,f),k=!0},p:Oe,i(m){k||($(d.$$.fragment,m),k=!0)},o(m){A(d.$$.fragment,m),k=!1},d(m){F(d,m)}}}function y5(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function T5(E){let d,k,m,f,b;return f=new Ne({props:{code:`import torch
from transformers import AutoTokenizer, AlbertForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("textattack/albert-base-v2-imdb")
model = AlbertForSequenceClassification.from_pretrained("textattack/albert-base-v2-imdb")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()
model.config.id2label[predicted_class_id]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = AlbertForSequenceClassification.from_pretrained("textattack/albert-base-v2-imdb", num_labels=num_labels)

labels = torch.tensor([1])
loss = model(**inputs, labels=labels).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;textattack/albert-base-v2-imdb&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;textattack/albert-base-v2-imdb&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;LABEL_1&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;textattack/albert-base-v2-imdb&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.12</span>`}}),{c(){d=n("p"),k=r("Example of single-label classification:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example of single-label classification:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function w5(E){let d,k,m,f,b;return f=new Ne({props:{code:`import torch
from transformers import AutoTokenizer, AlbertForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("textattack/albert-base-v2-imdb")
model = AlbertForSequenceClassification.from_pretrained("textattack/albert-base-v2-imdb", problem_type="multi_label_classification")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.arange(0, logits.shape[-1])[torch.sigmoid(logits).squeeze(dim=0) > 0.5]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = AlbertForSequenceClassification.from_pretrained(
    "textattack/albert-base-v2-imdb", num_labels=num_labels, problem_type="multi_label_classification"
)

labels = torch.sum(
    torch.nn.functional.one_hot(predicted_class_ids[None, :].clone(), num_classes=num_labels), dim=1
).to(torch.float)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;textattack/albert-base-v2-imdb&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;textattack/albert-base-v2-imdb&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.arange(<span class="hljs-number">0</span>, logits.shape[-<span class="hljs-number">1</span>])[torch.sigmoid(logits).squeeze(dim=<span class="hljs-number">0</span>) &gt; <span class="hljs-number">0.5</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;textattack/albert-base-v2-imdb&quot;</span>, num_labels=num_labels, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.<span class="hljs-built_in">sum</span>(
<span class="hljs-meta">... </span>    torch.nn.functional.one_hot(predicted_class_ids[<span class="hljs-literal">None</span>, :].clone(), num_classes=num_labels), dim=<span class="hljs-number">1</span>
<span class="hljs-meta">... </span>).to(torch.<span class="hljs-built_in">float</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=n("p"),k=r("Example of multi-label classification:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example of multi-label classification:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function $5(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function A5(E){let d,k,m,f,b;return f=new Ne({props:{code:`from transformers import AutoTokenizer, AlbertForMultipleChoice
import torch

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = AlbertForMultipleChoice.from_pretrained("albert-base-v2")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."
labels = torch.tensor(0).unsqueeze(0)  # choice0 is correct (according to Wikipedia ;)), batch size 1

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="pt", padding=True)
outputs = model(**{k: v.unsqueeze(0) for k, v in encoding.items()}, labels=labels)  # batch size is 1

# the linear classifier still needs to be trained
loss = outputs.loss
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor(<span class="hljs-number">0</span>).unsqueeze(<span class="hljs-number">0</span>)  <span class="hljs-comment"># choice0 is correct (according to Wikipedia ;)), batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**{k: v.unsqueeze(<span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}, labels=labels)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function F5(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function x5(E){let d,k,m,f,b;return f=new Ne({props:{code:`from transformers import AutoTokenizer, AlbertForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = AlbertForTokenClassification.from_pretrained("albert-base-v2")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="pt"
)

with torch.no_grad():
    logits = model(**inputs).logits

predicted_token_class_ids = logits.argmax(-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t.item()] for t in predicted_token_class_ids[0]]

labels = predicted_token_class_ids
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForTokenClassification.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = logits.argmax(-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t.item()] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>]]

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function E5(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function M5(E){let d,k,m,f,b;return f=new Ne({props:{code:`from transformers import AutoTokenizer, AlbertForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("twmkn9/albert-base-v2-squad2")
model = AlbertForQuestionAnswering.from_pretrained("twmkn9/albert-base-v2-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="pt")
with torch.no_grad():
    outputs = model(**inputs)

answer_start_index = outputs.start_logits.argmax()
answer_end_index = outputs.end_logits.argmax()

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]
tokenizer.decode(predict_answer_tokens, skip_special_tokens=True)

# target is "nice puppet"
target_start_index = torch.tensor([12])
target_end_index = torch.tensor([13])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = outputs.loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;twmkn9/albert-base-v2-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;twmkn9/albert-base-v2-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = outputs.start_logits.argmax()
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = outputs.end_logits.argmax()

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predict_answer_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)
<span class="hljs-string">&#x27;a nice puppet&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = torch.tensor([<span class="hljs-number">12</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = torch.tensor([<span class="hljs-number">13</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">7.36</span>`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function z5(E){let d,k,m,f,b,l,h,M,$e,ke,W,de,Z,x,Ae,R,ce,Ce,J,se,re,H,ie,Fe,Q,xe,ve,B,Ee,le,ee,q,C,ae,K,Me,ze,V,je,ye,P,qe,G,pe,me,Y,Te,he,D,we,O,ue,te,L,fe,I,Pe,ge;return{c(){d=n("p"),k=r("TensorFlow models and layers in "),m=n("code"),f=r("transformers"),b=r(" accept two formats as input:"),l=c(),h=n("ul"),M=n("li"),$e=r("having all inputs as keyword arguments (like PyTorch models), or"),ke=c(),W=n("li"),de=r("having all inputs as a list, tuple or dict in the first positional argument."),Z=c(),x=n("p"),Ae=r(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=n("code"),ce=r("model.fit()"),Ce=r(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=n("code"),se=r("model.fit()"),re=r(` supports! If, however, you want to use the second
format outside of Keras methods like `),H=n("code"),ie=r("fit()"),Fe=r(" and "),Q=n("code"),xe=r("predict()"),ve=r(`, such as when creating your own layers or models with
the Keras `),B=n("code"),Ee=r("Functional"),le=r(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=c(),q=n("ul"),C=n("li"),ae=r("a single Tensor with "),K=n("code"),Me=r("input_ids"),ze=r(" only and nothing else: "),V=n("code"),je=r("model(input_ids)"),ye=c(),P=n("li"),qe=r(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=n("code"),pe=r("model([input_ids, attention_mask])"),me=r(" or "),Y=n("code"),Te=r("model([input_ids, attention_mask, token_type_ids])"),he=c(),D=n("li"),we=r(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),O=n("code"),ue=r('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),te=c(),L=n("p"),fe=r(`Note that when creating models and layers with
`),I=n("a"),Pe=r("subclassing"),ge=r(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=s(v,"P",{});var z=i(d);k=a(z,"TensorFlow models and layers in "),m=s(z,"CODE",{});var He=i(m);f=a(He,"transformers"),He.forEach(t),b=a(z," accept two formats as input:"),z.forEach(t),l=p(v),h=s(v,"UL",{});var oe=i(h);M=s(oe,"LI",{});var Ke=i(M);$e=a(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),ke=p(oe),W=s(oe,"LI",{});var _e=i(W);de=a(_e,"having all inputs as a list, tuple or dict in the first positional argument."),_e.forEach(t),oe.forEach(t),Z=p(v),x=s(v,"P",{});var j=i(x);Ae=a(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=s(j,"CODE",{});var Se=i(R);ce=a(Se,"model.fit()"),Se.forEach(t),Ce=a(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=s(j,"CODE",{});var Ve=i(J);se=a(Ve,"model.fit()"),Ve.forEach(t),re=a(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),H=s(j,"CODE",{});var Je=i(H);ie=a(Je,"fit()"),Je.forEach(t),Fe=a(j," and "),Q=s(j,"CODE",{});var We=i(Q);xe=a(We,"predict()"),We.forEach(t),ve=a(j,`, such as when creating your own layers or models with
the Keras `),B=s(j,"CODE",{});var Ge=i(B);Ee=a(Ge,"Functional"),Ge.forEach(t),le=a(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),ee=p(v),q=s(v,"UL",{});var S=i(q);C=s(S,"LI",{});var U=i(C);ae=a(U,"a single Tensor with "),K=s(U,"CODE",{});var Xe=i(K);Me=a(Xe,"input_ids"),Xe.forEach(t),ze=a(U," only and nothing else: "),V=s(U,"CODE",{});var Ye=i(V);je=a(Ye,"model(input_ids)"),Ye.forEach(t),U.forEach(t),ye=p(S),P=s(S,"LI",{});var X=i(P);qe=a(X,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=s(X,"CODE",{});var Le=i(G);pe=a(Le,"model([input_ids, attention_mask])"),Le.forEach(t),me=a(X," or "),Y=s(X,"CODE",{});var De=i(Y);Te=a(De,"model([input_ids, attention_mask, token_type_ids])"),De.forEach(t),X.forEach(t),he=p(S),D=s(S,"LI",{});var be=i(D);we=a(be,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),O=s(be,"CODE",{});var Be=i(O);ue=a(Be,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Be.forEach(t),be.forEach(t),S.forEach(t),te=p(v),L=s(v,"P",{});var ne=i(L);fe=a(ne,`Note that when creating models and layers with
`),I=s(ne,"A",{href:!0,rel:!0});var Qe=i(I);Pe=a(Qe,"subclassing"),Qe.forEach(t),ge=a(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){u(I,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(I,"rel","nofollow")},m(v,z){g(v,d,z),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,z),g(v,h,z),e(h,M),e(M,$e),e(h,ke),e(h,W),e(W,de),g(v,Z,z),g(v,x,z),e(x,Ae),e(x,R),e(R,ce),e(x,Ce),e(x,J),e(J,se),e(x,re),e(x,H),e(H,ie),e(x,Fe),e(x,Q),e(Q,xe),e(x,ve),e(x,B),e(B,Ee),e(x,le),g(v,ee,z),g(v,q,z),e(q,C),e(C,ae),e(C,K),e(K,Me),e(C,ze),e(C,V),e(V,je),e(q,ye),e(q,P),e(P,qe),e(P,G),e(G,pe),e(P,me),e(P,Y),e(Y,Te),e(q,he),e(q,D),e(D,we),e(D,O),e(O,ue),g(v,te,z),g(v,L,z),e(L,fe),e(L,I),e(I,Pe),e(L,ge)},d(v){v&&t(d),v&&t(l),v&&t(h),v&&t(Z),v&&t(x),v&&t(ee),v&&t(q),v&&t(te),v&&t(L)}}}function j5(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function q5(E){let d,k,m,f,b;return f=new Ne({props:{code:`from transformers import AutoTokenizer, TFAlbertModel
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = TFAlbertModel.from_pretrained("albert-base-v2")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertModel.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function P5(E){let d,k,m,f,b,l,h,M,$e,ke,W,de,Z,x,Ae,R,ce,Ce,J,se,re,H,ie,Fe,Q,xe,ve,B,Ee,le,ee,q,C,ae,K,Me,ze,V,je,ye,P,qe,G,pe,me,Y,Te,he,D,we,O,ue,te,L,fe,I,Pe,ge;return{c(){d=n("p"),k=r("TensorFlow models and layers in "),m=n("code"),f=r("transformers"),b=r(" accept two formats as input:"),l=c(),h=n("ul"),M=n("li"),$e=r("having all inputs as keyword arguments (like PyTorch models), or"),ke=c(),W=n("li"),de=r("having all inputs as a list, tuple or dict in the first positional argument."),Z=c(),x=n("p"),Ae=r(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=n("code"),ce=r("model.fit()"),Ce=r(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=n("code"),se=r("model.fit()"),re=r(` supports! If, however, you want to use the second
format outside of Keras methods like `),H=n("code"),ie=r("fit()"),Fe=r(" and "),Q=n("code"),xe=r("predict()"),ve=r(`, such as when creating your own layers or models with
the Keras `),B=n("code"),Ee=r("Functional"),le=r(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=c(),q=n("ul"),C=n("li"),ae=r("a single Tensor with "),K=n("code"),Me=r("input_ids"),ze=r(" only and nothing else: "),V=n("code"),je=r("model(input_ids)"),ye=c(),P=n("li"),qe=r(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=n("code"),pe=r("model([input_ids, attention_mask])"),me=r(" or "),Y=n("code"),Te=r("model([input_ids, attention_mask, token_type_ids])"),he=c(),D=n("li"),we=r(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),O=n("code"),ue=r('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),te=c(),L=n("p"),fe=r(`Note that when creating models and layers with
`),I=n("a"),Pe=r("subclassing"),ge=r(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=s(v,"P",{});var z=i(d);k=a(z,"TensorFlow models and layers in "),m=s(z,"CODE",{});var He=i(m);f=a(He,"transformers"),He.forEach(t),b=a(z," accept two formats as input:"),z.forEach(t),l=p(v),h=s(v,"UL",{});var oe=i(h);M=s(oe,"LI",{});var Ke=i(M);$e=a(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),ke=p(oe),W=s(oe,"LI",{});var _e=i(W);de=a(_e,"having all inputs as a list, tuple or dict in the first positional argument."),_e.forEach(t),oe.forEach(t),Z=p(v),x=s(v,"P",{});var j=i(x);Ae=a(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=s(j,"CODE",{});var Se=i(R);ce=a(Se,"model.fit()"),Se.forEach(t),Ce=a(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=s(j,"CODE",{});var Ve=i(J);se=a(Ve,"model.fit()"),Ve.forEach(t),re=a(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),H=s(j,"CODE",{});var Je=i(H);ie=a(Je,"fit()"),Je.forEach(t),Fe=a(j," and "),Q=s(j,"CODE",{});var We=i(Q);xe=a(We,"predict()"),We.forEach(t),ve=a(j,`, such as when creating your own layers or models with
the Keras `),B=s(j,"CODE",{});var Ge=i(B);Ee=a(Ge,"Functional"),Ge.forEach(t),le=a(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),ee=p(v),q=s(v,"UL",{});var S=i(q);C=s(S,"LI",{});var U=i(C);ae=a(U,"a single Tensor with "),K=s(U,"CODE",{});var Xe=i(K);Me=a(Xe,"input_ids"),Xe.forEach(t),ze=a(U," only and nothing else: "),V=s(U,"CODE",{});var Ye=i(V);je=a(Ye,"model(input_ids)"),Ye.forEach(t),U.forEach(t),ye=p(S),P=s(S,"LI",{});var X=i(P);qe=a(X,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=s(X,"CODE",{});var Le=i(G);pe=a(Le,"model([input_ids, attention_mask])"),Le.forEach(t),me=a(X," or "),Y=s(X,"CODE",{});var De=i(Y);Te=a(De,"model([input_ids, attention_mask, token_type_ids])"),De.forEach(t),X.forEach(t),he=p(S),D=s(S,"LI",{});var be=i(D);we=a(be,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),O=s(be,"CODE",{});var Be=i(O);ue=a(Be,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Be.forEach(t),be.forEach(t),S.forEach(t),te=p(v),L=s(v,"P",{});var ne=i(L);fe=a(ne,`Note that when creating models and layers with
`),I=s(ne,"A",{href:!0,rel:!0});var Qe=i(I);Pe=a(Qe,"subclassing"),Qe.forEach(t),ge=a(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){u(I,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(I,"rel","nofollow")},m(v,z){g(v,d,z),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,z),g(v,h,z),e(h,M),e(M,$e),e(h,ke),e(h,W),e(W,de),g(v,Z,z),g(v,x,z),e(x,Ae),e(x,R),e(R,ce),e(x,Ce),e(x,J),e(J,se),e(x,re),e(x,H),e(H,ie),e(x,Fe),e(x,Q),e(Q,xe),e(x,ve),e(x,B),e(B,Ee),e(x,le),g(v,ee,z),g(v,q,z),e(q,C),e(C,ae),e(C,K),e(K,Me),e(C,ze),e(C,V),e(V,je),e(q,ye),e(q,P),e(P,qe),e(P,G),e(G,pe),e(P,me),e(P,Y),e(Y,Te),e(q,he),e(q,D),e(D,we),e(D,O),e(O,ue),g(v,te,z),g(v,L,z),e(L,fe),e(L,I),e(I,Pe),e(L,ge)},d(v){v&&t(d),v&&t(l),v&&t(h),v&&t(Z),v&&t(x),v&&t(ee),v&&t(q),v&&t(te),v&&t(L)}}}function C5(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function L5(E){let d,k,m,f,b;return f=new Ne({props:{code:`import tensorflow as tf
from transformers import AutoTokenizer, TFAlbertForPreTraining

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = TFAlbertForPreTraining.from_pretrained("albert-base-v2")

input_ids = tf.constant(tokenizer.encode("Hello, my dog is cute", add_special_tokens=True))[None, :]
# Batch size 1
outputs = model(input_ids)

prediction_logits = outputs.prediction_logits
sop_logits = outputs.sop_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertForPreTraining

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForPreTraining.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tf.constant(tokenizer.encode(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, add_special_tokens=<span class="hljs-literal">True</span>))[<span class="hljs-literal">None</span>, :]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span>prediction_logits = outputs.prediction_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>sop_logits = outputs.sop_logits`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function I5(E){let d,k,m,f,b,l,h,M,$e,ke,W,de,Z,x,Ae,R,ce,Ce,J,se,re,H,ie,Fe,Q,xe,ve,B,Ee,le,ee,q,C,ae,K,Me,ze,V,je,ye,P,qe,G,pe,me,Y,Te,he,D,we,O,ue,te,L,fe,I,Pe,ge;return{c(){d=n("p"),k=r("TensorFlow models and layers in "),m=n("code"),f=r("transformers"),b=r(" accept two formats as input:"),l=c(),h=n("ul"),M=n("li"),$e=r("having all inputs as keyword arguments (like PyTorch models), or"),ke=c(),W=n("li"),de=r("having all inputs as a list, tuple or dict in the first positional argument."),Z=c(),x=n("p"),Ae=r(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=n("code"),ce=r("model.fit()"),Ce=r(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=n("code"),se=r("model.fit()"),re=r(` supports! If, however, you want to use the second
format outside of Keras methods like `),H=n("code"),ie=r("fit()"),Fe=r(" and "),Q=n("code"),xe=r("predict()"),ve=r(`, such as when creating your own layers or models with
the Keras `),B=n("code"),Ee=r("Functional"),le=r(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=c(),q=n("ul"),C=n("li"),ae=r("a single Tensor with "),K=n("code"),Me=r("input_ids"),ze=r(" only and nothing else: "),V=n("code"),je=r("model(input_ids)"),ye=c(),P=n("li"),qe=r(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=n("code"),pe=r("model([input_ids, attention_mask])"),me=r(" or "),Y=n("code"),Te=r("model([input_ids, attention_mask, token_type_ids])"),he=c(),D=n("li"),we=r(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),O=n("code"),ue=r('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),te=c(),L=n("p"),fe=r(`Note that when creating models and layers with
`),I=n("a"),Pe=r("subclassing"),ge=r(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=s(v,"P",{});var z=i(d);k=a(z,"TensorFlow models and layers in "),m=s(z,"CODE",{});var He=i(m);f=a(He,"transformers"),He.forEach(t),b=a(z," accept two formats as input:"),z.forEach(t),l=p(v),h=s(v,"UL",{});var oe=i(h);M=s(oe,"LI",{});var Ke=i(M);$e=a(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),ke=p(oe),W=s(oe,"LI",{});var _e=i(W);de=a(_e,"having all inputs as a list, tuple or dict in the first positional argument."),_e.forEach(t),oe.forEach(t),Z=p(v),x=s(v,"P",{});var j=i(x);Ae=a(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=s(j,"CODE",{});var Se=i(R);ce=a(Se,"model.fit()"),Se.forEach(t),Ce=a(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=s(j,"CODE",{});var Ve=i(J);se=a(Ve,"model.fit()"),Ve.forEach(t),re=a(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),H=s(j,"CODE",{});var Je=i(H);ie=a(Je,"fit()"),Je.forEach(t),Fe=a(j," and "),Q=s(j,"CODE",{});var We=i(Q);xe=a(We,"predict()"),We.forEach(t),ve=a(j,`, such as when creating your own layers or models with
the Keras `),B=s(j,"CODE",{});var Ge=i(B);Ee=a(Ge,"Functional"),Ge.forEach(t),le=a(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),ee=p(v),q=s(v,"UL",{});var S=i(q);C=s(S,"LI",{});var U=i(C);ae=a(U,"a single Tensor with "),K=s(U,"CODE",{});var Xe=i(K);Me=a(Xe,"input_ids"),Xe.forEach(t),ze=a(U," only and nothing else: "),V=s(U,"CODE",{});var Ye=i(V);je=a(Ye,"model(input_ids)"),Ye.forEach(t),U.forEach(t),ye=p(S),P=s(S,"LI",{});var X=i(P);qe=a(X,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=s(X,"CODE",{});var Le=i(G);pe=a(Le,"model([input_ids, attention_mask])"),Le.forEach(t),me=a(X," or "),Y=s(X,"CODE",{});var De=i(Y);Te=a(De,"model([input_ids, attention_mask, token_type_ids])"),De.forEach(t),X.forEach(t),he=p(S),D=s(S,"LI",{});var be=i(D);we=a(be,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),O=s(be,"CODE",{});var Be=i(O);ue=a(Be,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Be.forEach(t),be.forEach(t),S.forEach(t),te=p(v),L=s(v,"P",{});var ne=i(L);fe=a(ne,`Note that when creating models and layers with
`),I=s(ne,"A",{href:!0,rel:!0});var Qe=i(I);Pe=a(Qe,"subclassing"),Qe.forEach(t),ge=a(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){u(I,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(I,"rel","nofollow")},m(v,z){g(v,d,z),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,z),g(v,h,z),e(h,M),e(M,$e),e(h,ke),e(h,W),e(W,de),g(v,Z,z),g(v,x,z),e(x,Ae),e(x,R),e(R,ce),e(x,Ce),e(x,J),e(J,se),e(x,re),e(x,H),e(H,ie),e(x,Fe),e(x,Q),e(Q,xe),e(x,ve),e(x,B),e(B,Ee),e(x,le),g(v,ee,z),g(v,q,z),e(q,C),e(C,ae),e(C,K),e(K,Me),e(C,ze),e(C,V),e(V,je),e(q,ye),e(q,P),e(P,qe),e(P,G),e(G,pe),e(P,me),e(P,Y),e(Y,Te),e(q,he),e(q,D),e(D,we),e(D,O),e(O,ue),g(v,te,z),g(v,L,z),e(L,fe),e(L,I),e(I,Pe),e(L,ge)},d(v){v&&t(d),v&&t(l),v&&t(h),v&&t(Z),v&&t(x),v&&t(ee),v&&t(q),v&&t(te),v&&t(L)}}}function O5(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function N5(E){let d,k,m,f,b;return f=new Ne({props:{code:`import tensorflow as tf
from transformers import AutoTokenizer, TFAlbertForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = TFAlbertForMaskedLM.from_pretrained("albert-base-v2")

# add mask_token
inputs = tokenizer(f"The capital of [MASK] is Paris.", return_tensors="tf")
logits = model(**inputs).logits

# retrieve index of [MASK]
mask_token_index = tf.where(inputs.input_ids == tokenizer.mask_token_id)[0][1]
predicted_token_id = tf.math.argmax(logits[0, mask_token_index], axis=-1)
tokenizer.decode(predicted_token_id)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForMaskedLM.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># add mask_token</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">f&quot;The capital of [MASK] is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of [MASK]</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = tf.where(inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>][<span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = tf.math.argmax(logits[<span class="hljs-number">0</span>, mask_token_index], axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predicted_token_id)
<span class="hljs-string">&#x27;france&#x27;</span>`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function D5(E){let d,k;return d=new Ne({props:{code:`labels = tokenizer("The capital of France is Paris.", return_tensors="tf")["input_ids"]
labels = tf.where(inputs.input_ids == tokenizer.mask_token_id, labels, -100)
outputs = model(**inputs, labels=labels)
round(float(outputs.loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.where(inputs.input_ids == tokenizer.mask_token_id, labels, -<span class="hljs-number">100</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(outputs.loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.81</span>`}}),{c(){y(d.$$.fragment)},l(m){T(d.$$.fragment,m)},m(m,f){w(d,m,f),k=!0},p:Oe,i(m){k||($(d.$$.fragment,m),k=!0)},o(m){A(d.$$.fragment,m),k=!1},d(m){F(d,m)}}}function S5(E){let d,k,m,f,b,l,h,M,$e,ke,W,de,Z,x,Ae,R,ce,Ce,J,se,re,H,ie,Fe,Q,xe,ve,B,Ee,le,ee,q,C,ae,K,Me,ze,V,je,ye,P,qe,G,pe,me,Y,Te,he,D,we,O,ue,te,L,fe,I,Pe,ge;return{c(){d=n("p"),k=r("TensorFlow models and layers in "),m=n("code"),f=r("transformers"),b=r(" accept two formats as input:"),l=c(),h=n("ul"),M=n("li"),$e=r("having all inputs as keyword arguments (like PyTorch models), or"),ke=c(),W=n("li"),de=r("having all inputs as a list, tuple or dict in the first positional argument."),Z=c(),x=n("p"),Ae=r(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=n("code"),ce=r("model.fit()"),Ce=r(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=n("code"),se=r("model.fit()"),re=r(` supports! If, however, you want to use the second
format outside of Keras methods like `),H=n("code"),ie=r("fit()"),Fe=r(" and "),Q=n("code"),xe=r("predict()"),ve=r(`, such as when creating your own layers or models with
the Keras `),B=n("code"),Ee=r("Functional"),le=r(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=c(),q=n("ul"),C=n("li"),ae=r("a single Tensor with "),K=n("code"),Me=r("input_ids"),ze=r(" only and nothing else: "),V=n("code"),je=r("model(input_ids)"),ye=c(),P=n("li"),qe=r(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=n("code"),pe=r("model([input_ids, attention_mask])"),me=r(" or "),Y=n("code"),Te=r("model([input_ids, attention_mask, token_type_ids])"),he=c(),D=n("li"),we=r(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),O=n("code"),ue=r('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),te=c(),L=n("p"),fe=r(`Note that when creating models and layers with
`),I=n("a"),Pe=r("subclassing"),ge=r(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=s(v,"P",{});var z=i(d);k=a(z,"TensorFlow models and layers in "),m=s(z,"CODE",{});var He=i(m);f=a(He,"transformers"),He.forEach(t),b=a(z," accept two formats as input:"),z.forEach(t),l=p(v),h=s(v,"UL",{});var oe=i(h);M=s(oe,"LI",{});var Ke=i(M);$e=a(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),ke=p(oe),W=s(oe,"LI",{});var _e=i(W);de=a(_e,"having all inputs as a list, tuple or dict in the first positional argument."),_e.forEach(t),oe.forEach(t),Z=p(v),x=s(v,"P",{});var j=i(x);Ae=a(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=s(j,"CODE",{});var Se=i(R);ce=a(Se,"model.fit()"),Se.forEach(t),Ce=a(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=s(j,"CODE",{});var Ve=i(J);se=a(Ve,"model.fit()"),Ve.forEach(t),re=a(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),H=s(j,"CODE",{});var Je=i(H);ie=a(Je,"fit()"),Je.forEach(t),Fe=a(j," and "),Q=s(j,"CODE",{});var We=i(Q);xe=a(We,"predict()"),We.forEach(t),ve=a(j,`, such as when creating your own layers or models with
the Keras `),B=s(j,"CODE",{});var Ge=i(B);Ee=a(Ge,"Functional"),Ge.forEach(t),le=a(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),ee=p(v),q=s(v,"UL",{});var S=i(q);C=s(S,"LI",{});var U=i(C);ae=a(U,"a single Tensor with "),K=s(U,"CODE",{});var Xe=i(K);Me=a(Xe,"input_ids"),Xe.forEach(t),ze=a(U," only and nothing else: "),V=s(U,"CODE",{});var Ye=i(V);je=a(Ye,"model(input_ids)"),Ye.forEach(t),U.forEach(t),ye=p(S),P=s(S,"LI",{});var X=i(P);qe=a(X,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=s(X,"CODE",{});var Le=i(G);pe=a(Le,"model([input_ids, attention_mask])"),Le.forEach(t),me=a(X," or "),Y=s(X,"CODE",{});var De=i(Y);Te=a(De,"model([input_ids, attention_mask, token_type_ids])"),De.forEach(t),X.forEach(t),he=p(S),D=s(S,"LI",{});var be=i(D);we=a(be,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),O=s(be,"CODE",{});var Be=i(O);ue=a(Be,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Be.forEach(t),be.forEach(t),S.forEach(t),te=p(v),L=s(v,"P",{});var ne=i(L);fe=a(ne,`Note that when creating models and layers with
`),I=s(ne,"A",{href:!0,rel:!0});var Qe=i(I);Pe=a(Qe,"subclassing"),Qe.forEach(t),ge=a(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){u(I,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(I,"rel","nofollow")},m(v,z){g(v,d,z),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,z),g(v,h,z),e(h,M),e(M,$e),e(h,ke),e(h,W),e(W,de),g(v,Z,z),g(v,x,z),e(x,Ae),e(x,R),e(R,ce),e(x,Ce),e(x,J),e(J,se),e(x,re),e(x,H),e(H,ie),e(x,Fe),e(x,Q),e(Q,xe),e(x,ve),e(x,B),e(B,Ee),e(x,le),g(v,ee,z),g(v,q,z),e(q,C),e(C,ae),e(C,K),e(K,Me),e(C,ze),e(C,V),e(V,je),e(q,ye),e(q,P),e(P,qe),e(P,G),e(G,pe),e(P,me),e(P,Y),e(Y,Te),e(q,he),e(q,D),e(D,we),e(D,O),e(O,ue),g(v,te,z),g(v,L,z),e(L,fe),e(L,I),e(I,Pe),e(L,ge)},d(v){v&&t(d),v&&t(l),v&&t(h),v&&t(Z),v&&t(x),v&&t(ee),v&&t(q),v&&t(te),v&&t(L)}}}function W5(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function B5(E){let d,k,m,f,b;return f=new Ne({props:{code:`from transformers import AutoTokenizer, TFAlbertForSequenceClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("vumichien/albert-base-v2-imdb")
model = TFAlbertForSequenceClassification.from_pretrained("vumichien/albert-base-v2-imdb")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")

logits = model(**inputs).logits

predicted_class_id = int(tf.math.argmax(logits, axis=-1)[0])
model.config.id2label[predicted_class_id]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;vumichien/albert-base-v2-imdb&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;vumichien/albert-base-v2-imdb&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = <span class="hljs-built_in">int</span>(tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;LABEL_1&#x27;</span>`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function U5(E){let d,k;return d=new Ne({props:{code:'# To train a model on `num_labels` classes, you can pass `num_labels=num_labels` to `.from_pretrained(...)`\nnum_labels = len(model.config.id2label)\nmodel = TFAlbertForSequenceClassification.from_pretrained("vumichien/albert-base-v2-imdb", num_labels=num_labels)\n\nlabels = tf.constant(1)\nloss = model(**inputs, labels=labels).loss\nround(float(loss), 2)',highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;vumichien/albert-base-v2-imdb&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.constant(<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.12</span>`}}),{c(){y(d.$$.fragment)},l(m){T(d.$$.fragment,m)},m(m,f){w(d,m,f),k=!0},p:Oe,i(m){k||($(d.$$.fragment,m),k=!0)},o(m){A(d.$$.fragment,m),k=!1},d(m){F(d,m)}}}function R5(E){let d,k,m,f,b,l,h,M,$e,ke,W,de,Z,x,Ae,R,ce,Ce,J,se,re,H,ie,Fe,Q,xe,ve,B,Ee,le,ee,q,C,ae,K,Me,ze,V,je,ye,P,qe,G,pe,me,Y,Te,he,D,we,O,ue,te,L,fe,I,Pe,ge;return{c(){d=n("p"),k=r("TensorFlow models and layers in "),m=n("code"),f=r("transformers"),b=r(" accept two formats as input:"),l=c(),h=n("ul"),M=n("li"),$e=r("having all inputs as keyword arguments (like PyTorch models), or"),ke=c(),W=n("li"),de=r("having all inputs as a list, tuple or dict in the first positional argument."),Z=c(),x=n("p"),Ae=r(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=n("code"),ce=r("model.fit()"),Ce=r(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=n("code"),se=r("model.fit()"),re=r(` supports! If, however, you want to use the second
format outside of Keras methods like `),H=n("code"),ie=r("fit()"),Fe=r(" and "),Q=n("code"),xe=r("predict()"),ve=r(`, such as when creating your own layers or models with
the Keras `),B=n("code"),Ee=r("Functional"),le=r(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=c(),q=n("ul"),C=n("li"),ae=r("a single Tensor with "),K=n("code"),Me=r("input_ids"),ze=r(" only and nothing else: "),V=n("code"),je=r("model(input_ids)"),ye=c(),P=n("li"),qe=r(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=n("code"),pe=r("model([input_ids, attention_mask])"),me=r(" or "),Y=n("code"),Te=r("model([input_ids, attention_mask, token_type_ids])"),he=c(),D=n("li"),we=r(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),O=n("code"),ue=r('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),te=c(),L=n("p"),fe=r(`Note that when creating models and layers with
`),I=n("a"),Pe=r("subclassing"),ge=r(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=s(v,"P",{});var z=i(d);k=a(z,"TensorFlow models and layers in "),m=s(z,"CODE",{});var He=i(m);f=a(He,"transformers"),He.forEach(t),b=a(z," accept two formats as input:"),z.forEach(t),l=p(v),h=s(v,"UL",{});var oe=i(h);M=s(oe,"LI",{});var Ke=i(M);$e=a(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),ke=p(oe),W=s(oe,"LI",{});var _e=i(W);de=a(_e,"having all inputs as a list, tuple or dict in the first positional argument."),_e.forEach(t),oe.forEach(t),Z=p(v),x=s(v,"P",{});var j=i(x);Ae=a(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=s(j,"CODE",{});var Se=i(R);ce=a(Se,"model.fit()"),Se.forEach(t),Ce=a(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=s(j,"CODE",{});var Ve=i(J);se=a(Ve,"model.fit()"),Ve.forEach(t),re=a(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),H=s(j,"CODE",{});var Je=i(H);ie=a(Je,"fit()"),Je.forEach(t),Fe=a(j," and "),Q=s(j,"CODE",{});var We=i(Q);xe=a(We,"predict()"),We.forEach(t),ve=a(j,`, such as when creating your own layers or models with
the Keras `),B=s(j,"CODE",{});var Ge=i(B);Ee=a(Ge,"Functional"),Ge.forEach(t),le=a(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),ee=p(v),q=s(v,"UL",{});var S=i(q);C=s(S,"LI",{});var U=i(C);ae=a(U,"a single Tensor with "),K=s(U,"CODE",{});var Xe=i(K);Me=a(Xe,"input_ids"),Xe.forEach(t),ze=a(U," only and nothing else: "),V=s(U,"CODE",{});var Ye=i(V);je=a(Ye,"model(input_ids)"),Ye.forEach(t),U.forEach(t),ye=p(S),P=s(S,"LI",{});var X=i(P);qe=a(X,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=s(X,"CODE",{});var Le=i(G);pe=a(Le,"model([input_ids, attention_mask])"),Le.forEach(t),me=a(X," or "),Y=s(X,"CODE",{});var De=i(Y);Te=a(De,"model([input_ids, attention_mask, token_type_ids])"),De.forEach(t),X.forEach(t),he=p(S),D=s(S,"LI",{});var be=i(D);we=a(be,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),O=s(be,"CODE",{});var Be=i(O);ue=a(Be,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Be.forEach(t),be.forEach(t),S.forEach(t),te=p(v),L=s(v,"P",{});var ne=i(L);fe=a(ne,`Note that when creating models and layers with
`),I=s(ne,"A",{href:!0,rel:!0});var Qe=i(I);Pe=a(Qe,"subclassing"),Qe.forEach(t),ge=a(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){u(I,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(I,"rel","nofollow")},m(v,z){g(v,d,z),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,z),g(v,h,z),e(h,M),e(M,$e),e(h,ke),e(h,W),e(W,de),g(v,Z,z),g(v,x,z),e(x,Ae),e(x,R),e(R,ce),e(x,Ce),e(x,J),e(J,se),e(x,re),e(x,H),e(H,ie),e(x,Fe),e(x,Q),e(Q,xe),e(x,ve),e(x,B),e(B,Ee),e(x,le),g(v,ee,z),g(v,q,z),e(q,C),e(C,ae),e(C,K),e(K,Me),e(C,ze),e(C,V),e(V,je),e(q,ye),e(q,P),e(P,qe),e(P,G),e(G,pe),e(P,me),e(P,Y),e(Y,Te),e(q,he),e(q,D),e(D,we),e(D,O),e(O,ue),g(v,te,z),g(v,L,z),e(L,fe),e(L,I),e(I,Pe),e(L,ge)},d(v){v&&t(d),v&&t(l),v&&t(h),v&&t(Z),v&&t(x),v&&t(ee),v&&t(q),v&&t(te),v&&t(L)}}}function H5(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function Q5(E){let d,k,m,f,b;return f=new Ne({props:{code:`from transformers import AutoTokenizer, TFAlbertForMultipleChoice
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = TFAlbertForMultipleChoice.from_pretrained("albert-base-v2")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="tf", padding=True)
inputs = {k: tf.expand_dims(v, 0) for k, v in encoding.items()}
outputs = model(inputs)  # batch size is 1

# the linear classifier still needs to be trained
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;tf&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = {k: tf.expand_dims(v, <span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function K5(E){let d,k,m,f,b,l,h,M,$e,ke,W,de,Z,x,Ae,R,ce,Ce,J,se,re,H,ie,Fe,Q,xe,ve,B,Ee,le,ee,q,C,ae,K,Me,ze,V,je,ye,P,qe,G,pe,me,Y,Te,he,D,we,O,ue,te,L,fe,I,Pe,ge;return{c(){d=n("p"),k=r("TensorFlow models and layers in "),m=n("code"),f=r("transformers"),b=r(" accept two formats as input:"),l=c(),h=n("ul"),M=n("li"),$e=r("having all inputs as keyword arguments (like PyTorch models), or"),ke=c(),W=n("li"),de=r("having all inputs as a list, tuple or dict in the first positional argument."),Z=c(),x=n("p"),Ae=r(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=n("code"),ce=r("model.fit()"),Ce=r(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=n("code"),se=r("model.fit()"),re=r(` supports! If, however, you want to use the second
format outside of Keras methods like `),H=n("code"),ie=r("fit()"),Fe=r(" and "),Q=n("code"),xe=r("predict()"),ve=r(`, such as when creating your own layers or models with
the Keras `),B=n("code"),Ee=r("Functional"),le=r(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=c(),q=n("ul"),C=n("li"),ae=r("a single Tensor with "),K=n("code"),Me=r("input_ids"),ze=r(" only and nothing else: "),V=n("code"),je=r("model(input_ids)"),ye=c(),P=n("li"),qe=r(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=n("code"),pe=r("model([input_ids, attention_mask])"),me=r(" or "),Y=n("code"),Te=r("model([input_ids, attention_mask, token_type_ids])"),he=c(),D=n("li"),we=r(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),O=n("code"),ue=r('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),te=c(),L=n("p"),fe=r(`Note that when creating models and layers with
`),I=n("a"),Pe=r("subclassing"),ge=r(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=s(v,"P",{});var z=i(d);k=a(z,"TensorFlow models and layers in "),m=s(z,"CODE",{});var He=i(m);f=a(He,"transformers"),He.forEach(t),b=a(z," accept two formats as input:"),z.forEach(t),l=p(v),h=s(v,"UL",{});var oe=i(h);M=s(oe,"LI",{});var Ke=i(M);$e=a(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),ke=p(oe),W=s(oe,"LI",{});var _e=i(W);de=a(_e,"having all inputs as a list, tuple or dict in the first positional argument."),_e.forEach(t),oe.forEach(t),Z=p(v),x=s(v,"P",{});var j=i(x);Ae=a(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=s(j,"CODE",{});var Se=i(R);ce=a(Se,"model.fit()"),Se.forEach(t),Ce=a(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=s(j,"CODE",{});var Ve=i(J);se=a(Ve,"model.fit()"),Ve.forEach(t),re=a(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),H=s(j,"CODE",{});var Je=i(H);ie=a(Je,"fit()"),Je.forEach(t),Fe=a(j," and "),Q=s(j,"CODE",{});var We=i(Q);xe=a(We,"predict()"),We.forEach(t),ve=a(j,`, such as when creating your own layers or models with
the Keras `),B=s(j,"CODE",{});var Ge=i(B);Ee=a(Ge,"Functional"),Ge.forEach(t),le=a(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),ee=p(v),q=s(v,"UL",{});var S=i(q);C=s(S,"LI",{});var U=i(C);ae=a(U,"a single Tensor with "),K=s(U,"CODE",{});var Xe=i(K);Me=a(Xe,"input_ids"),Xe.forEach(t),ze=a(U," only and nothing else: "),V=s(U,"CODE",{});var Ye=i(V);je=a(Ye,"model(input_ids)"),Ye.forEach(t),U.forEach(t),ye=p(S),P=s(S,"LI",{});var X=i(P);qe=a(X,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=s(X,"CODE",{});var Le=i(G);pe=a(Le,"model([input_ids, attention_mask])"),Le.forEach(t),me=a(X," or "),Y=s(X,"CODE",{});var De=i(Y);Te=a(De,"model([input_ids, attention_mask, token_type_ids])"),De.forEach(t),X.forEach(t),he=p(S),D=s(S,"LI",{});var be=i(D);we=a(be,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),O=s(be,"CODE",{});var Be=i(O);ue=a(Be,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Be.forEach(t),be.forEach(t),S.forEach(t),te=p(v),L=s(v,"P",{});var ne=i(L);fe=a(ne,`Note that when creating models and layers with
`),I=s(ne,"A",{href:!0,rel:!0});var Qe=i(I);Pe=a(Qe,"subclassing"),Qe.forEach(t),ge=a(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){u(I,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(I,"rel","nofollow")},m(v,z){g(v,d,z),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,z),g(v,h,z),e(h,M),e(M,$e),e(h,ke),e(h,W),e(W,de),g(v,Z,z),g(v,x,z),e(x,Ae),e(x,R),e(R,ce),e(x,Ce),e(x,J),e(J,se),e(x,re),e(x,H),e(H,ie),e(x,Fe),e(x,Q),e(Q,xe),e(x,ve),e(x,B),e(B,Ee),e(x,le),g(v,ee,z),g(v,q,z),e(q,C),e(C,ae),e(C,K),e(K,Me),e(C,ze),e(C,V),e(V,je),e(q,ye),e(q,P),e(P,qe),e(P,G),e(G,pe),e(P,me),e(P,Y),e(Y,Te),e(q,he),e(q,D),e(D,we),e(D,O),e(O,ue),g(v,te,z),g(v,L,z),e(L,fe),e(L,I),e(I,Pe),e(L,ge)},d(v){v&&t(d),v&&t(l),v&&t(h),v&&t(Z),v&&t(x),v&&t(ee),v&&t(q),v&&t(te),v&&t(L)}}}function V5(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function J5(E){let d,k,m,f,b;return f=new Ne({props:{code:`from transformers import AutoTokenizer, TFAlbertForTokenClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = TFAlbertForTokenClassification.from_pretrained("albert-base-v2")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="tf"
)

logits = model(**inputs).logits
predicted_token_class_ids = tf.math.argmax(logits, axis=-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t] for t in predicted_token_class_ids[0].numpy().tolist()]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForTokenClassification.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>].numpy().tolist()]`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function G5(E){let d,k;return d=new Ne({props:{code:`labels = predicted_token_class_ids
loss = tf.math.reduce_mean(model(**inputs, labels=labels).loss)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = tf.math.reduce_mean(model(**inputs, labels=labels).loss)`}}),{c(){y(d.$$.fragment)},l(m){T(d.$$.fragment,m)},m(m,f){w(d,m,f),k=!0},p:Oe,i(m){k||($(d.$$.fragment,m),k=!0)},o(m){A(d.$$.fragment,m),k=!1},d(m){F(d,m)}}}function X5(E){let d,k,m,f,b,l,h,M,$e,ke,W,de,Z,x,Ae,R,ce,Ce,J,se,re,H,ie,Fe,Q,xe,ve,B,Ee,le,ee,q,C,ae,K,Me,ze,V,je,ye,P,qe,G,pe,me,Y,Te,he,D,we,O,ue,te,L,fe,I,Pe,ge;return{c(){d=n("p"),k=r("TensorFlow models and layers in "),m=n("code"),f=r("transformers"),b=r(" accept two formats as input:"),l=c(),h=n("ul"),M=n("li"),$e=r("having all inputs as keyword arguments (like PyTorch models), or"),ke=c(),W=n("li"),de=r("having all inputs as a list, tuple or dict in the first positional argument."),Z=c(),x=n("p"),Ae=r(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=n("code"),ce=r("model.fit()"),Ce=r(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=n("code"),se=r("model.fit()"),re=r(` supports! If, however, you want to use the second
format outside of Keras methods like `),H=n("code"),ie=r("fit()"),Fe=r(" and "),Q=n("code"),xe=r("predict()"),ve=r(`, such as when creating your own layers or models with
the Keras `),B=n("code"),Ee=r("Functional"),le=r(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=c(),q=n("ul"),C=n("li"),ae=r("a single Tensor with "),K=n("code"),Me=r("input_ids"),ze=r(" only and nothing else: "),V=n("code"),je=r("model(input_ids)"),ye=c(),P=n("li"),qe=r(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=n("code"),pe=r("model([input_ids, attention_mask])"),me=r(" or "),Y=n("code"),Te=r("model([input_ids, attention_mask, token_type_ids])"),he=c(),D=n("li"),we=r(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),O=n("code"),ue=r('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),te=c(),L=n("p"),fe=r(`Note that when creating models and layers with
`),I=n("a"),Pe=r("subclassing"),ge=r(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=s(v,"P",{});var z=i(d);k=a(z,"TensorFlow models and layers in "),m=s(z,"CODE",{});var He=i(m);f=a(He,"transformers"),He.forEach(t),b=a(z," accept two formats as input:"),z.forEach(t),l=p(v),h=s(v,"UL",{});var oe=i(h);M=s(oe,"LI",{});var Ke=i(M);$e=a(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),ke=p(oe),W=s(oe,"LI",{});var _e=i(W);de=a(_e,"having all inputs as a list, tuple or dict in the first positional argument."),_e.forEach(t),oe.forEach(t),Z=p(v),x=s(v,"P",{});var j=i(x);Ae=a(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=s(j,"CODE",{});var Se=i(R);ce=a(Se,"model.fit()"),Se.forEach(t),Ce=a(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=s(j,"CODE",{});var Ve=i(J);se=a(Ve,"model.fit()"),Ve.forEach(t),re=a(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),H=s(j,"CODE",{});var Je=i(H);ie=a(Je,"fit()"),Je.forEach(t),Fe=a(j," and "),Q=s(j,"CODE",{});var We=i(Q);xe=a(We,"predict()"),We.forEach(t),ve=a(j,`, such as when creating your own layers or models with
the Keras `),B=s(j,"CODE",{});var Ge=i(B);Ee=a(Ge,"Functional"),Ge.forEach(t),le=a(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),ee=p(v),q=s(v,"UL",{});var S=i(q);C=s(S,"LI",{});var U=i(C);ae=a(U,"a single Tensor with "),K=s(U,"CODE",{});var Xe=i(K);Me=a(Xe,"input_ids"),Xe.forEach(t),ze=a(U," only and nothing else: "),V=s(U,"CODE",{});var Ye=i(V);je=a(Ye,"model(input_ids)"),Ye.forEach(t),U.forEach(t),ye=p(S),P=s(S,"LI",{});var X=i(P);qe=a(X,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=s(X,"CODE",{});var Le=i(G);pe=a(Le,"model([input_ids, attention_mask])"),Le.forEach(t),me=a(X," or "),Y=s(X,"CODE",{});var De=i(Y);Te=a(De,"model([input_ids, attention_mask, token_type_ids])"),De.forEach(t),X.forEach(t),he=p(S),D=s(S,"LI",{});var be=i(D);we=a(be,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),O=s(be,"CODE",{});var Be=i(O);ue=a(Be,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Be.forEach(t),be.forEach(t),S.forEach(t),te=p(v),L=s(v,"P",{});var ne=i(L);fe=a(ne,`Note that when creating models and layers with
`),I=s(ne,"A",{href:!0,rel:!0});var Qe=i(I);Pe=a(Qe,"subclassing"),Qe.forEach(t),ge=a(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){u(I,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(I,"rel","nofollow")},m(v,z){g(v,d,z),e(d,k),e(d,m),e(m,f),e(d,b),g(v,l,z),g(v,h,z),e(h,M),e(M,$e),e(h,ke),e(h,W),e(W,de),g(v,Z,z),g(v,x,z),e(x,Ae),e(x,R),e(R,ce),e(x,Ce),e(x,J),e(J,se),e(x,re),e(x,H),e(H,ie),e(x,Fe),e(x,Q),e(Q,xe),e(x,ve),e(x,B),e(B,Ee),e(x,le),g(v,ee,z),g(v,q,z),e(q,C),e(C,ae),e(C,K),e(K,Me),e(C,ze),e(C,V),e(V,je),e(q,ye),e(q,P),e(P,qe),e(P,G),e(G,pe),e(P,me),e(P,Y),e(Y,Te),e(q,he),e(q,D),e(D,we),e(D,O),e(O,ue),g(v,te,z),g(v,L,z),e(L,fe),e(L,I),e(I,Pe),e(L,ge)},d(v){v&&t(d),v&&t(l),v&&t(h),v&&t(Z),v&&t(x),v&&t(ee),v&&t(q),v&&t(te),v&&t(L)}}}function Y5(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function Z5(E){let d,k,m,f,b;return f=new Ne({props:{code:`from transformers import AutoTokenizer, TFAlbertForQuestionAnswering
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("vumichien/albert-base-v2-squad2")
model = TFAlbertForQuestionAnswering.from_pretrained("vumichien/albert-base-v2-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="tf")
outputs = model(**inputs)

answer_start_index = int(tf.math.argmax(outputs.start_logits, axis=-1)[0])
answer_end_index = int(tf.math.argmax(outputs.end_logits, axis=-1)[0])

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]
tokenizer.decode(predict_answer_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;vumichien/albert-base-v2-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;vumichien/albert-base-v2-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = <span class="hljs-built_in">int</span>(tf.math.argmax(outputs.start_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = <span class="hljs-built_in">int</span>(tf.math.argmax(outputs.end_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predict_answer_tokens)
<span class="hljs-string">&#x27;a nice puppet&#x27;</span>`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function eM(E){let d,k;return d=new Ne({props:{code:`# target is "nice puppet"
target_start_index = tf.constant([12])
target_end_index = tf.constant([13])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = tf.math.reduce_mean(outputs.loss)
round(float(loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = tf.constant([<span class="hljs-number">12</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = tf.constant([<span class="hljs-number">13</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = tf.math.reduce_mean(outputs.loss)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">7.36</span>`}}),{c(){y(d.$$.fragment)},l(m){T(d.$$.fragment,m)},m(m,f){w(d,m,f),k=!0},p:Oe,i(m){k||($(d.$$.fragment,m),k=!0)},o(m){A(d.$$.fragment,m),k=!1},d(m){F(d,m)}}}function tM(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function oM(E){let d,k,m,f,b;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertModel

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertModel.from_pretrained("albert-base-v2")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertModel.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function nM(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function sM(E){let d,k,m,f,b;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertForPreTraining

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertForPreTraining.from_pretrained("albert-base-v2")

inputs = tokenizer("Hello, my dog is cute", return_tensors="np")
outputs = model(**inputs)

prediction_logits = outputs.prediction_logits
seq_relationship_logits = outputs.sop_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertForPreTraining

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertForPreTraining.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>prediction_logits = outputs.prediction_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>seq_relationship_logits = outputs.sop_logits`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function rM(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function aM(E){let d,k,m,f,b;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertForMaskedLM.from_pretrained("albert-base-v2")

inputs = tokenizer("The capital of France is [MASK].", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertForMaskedLM.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function iM(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function lM(E){let d,k,m,f,b;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertForSequenceClassification.from_pretrained("albert-base-v2")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function dM(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function cM(E){let d,k,m,f,b;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertForMultipleChoice

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertForMultipleChoice.from_pretrained("albert-base-v2")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="jax", padding=True)
outputs = model(**{k: v[None, :] for k, v in encoding.items()})

logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertForMultipleChoice

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;jax&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**{k: v[<span class="hljs-literal">None</span>, :] <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()})

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function pM(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function hM(E){let d,k,m,f,b;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertForTokenClassification.from_pretrained("albert-base-v2")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertForTokenClassification.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function mM(E){let d,k,m,f,b;return{c(){d=n("p"),k=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=n("code"),f=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s(h,"CODE",{});var M=i(m);f=a(M,"Module"),M.forEach(t),b=a(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,b)},d(l){l&&t(d)}}}function uM(E){let d,k,m,f,b;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertForQuestionAnswering.from_pretrained("albert-base-v2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="jax")

outputs = model(**inputs)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){d=n("p"),k=r("Example:"),m=c(),y(f.$$.fragment)},l(l){d=s(l,"P",{});var h=i(d);k=a(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),b=!0},p:Oe,i(l){b||($(f.$$.fragment,l),b=!0)},o(l){A(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function fM(E){let d,k,m,f,b,l,h,M,$e,ke,W,de,Z,x,Ae,R,ce,Ce,J,se,re,H,ie,Fe,Q,xe,ve,B,Ee,le,ee,q,C,ae,K,Me,ze,V,je,ye,P,qe,G,pe,me,Y,Te,he,D,we,O,ue,te,L,fe,I,Pe,ge,v,z,He,oe,Ke,_e,j,Se,Ve,Je,We,Ge,S,U,Xe,Ye,X,Le,De,be,Be,ne,Qe,n_,Pu,yt,Kc,bd,s_,r_,Vc,kd,a_,i_,Jc,vd,l_,d_,Gc,yd,c_,p_,Xc,Td,h_,Cu,No,Bn,Yc,Rr,m_,Zc,u_,Lu,It,Hr,f_,co,g_,wd,__,b_,$d,k_,v_,Qr,y_,T_,w_,Do,$_,Ad,A_,F_,Fd,x_,E_,M_,Un,Iu,So,Rn,ep,Kr,z_,tp,j_,Ou,Ze,Vr,q_,Jr,P_,Gr,C_,L_,I_,Xr,O_,xd,N_,D_,S_,wo,Yr,W_,op,B_,U_,Zr,Ed,R_,np,H_,Q_,Md,K_,sp,V_,J_,Hn,ea,G_,ta,X_,rp,Y_,Z_,eb,Dt,oa,tb,ap,ob,nb,Qn,sb,Wo,rb,ip,ab,ib,lp,lb,db,cb,zd,na,Nu,Bo,Kn,dp,sa,pb,cp,hb,Du,Ot,ra,mb,po,ub,pp,fb,gb,aa,_b,bb,jd,kb,vb,yb,$o,ia,Tb,hp,wb,$b,la,qd,Ab,mp,Fb,xb,Pd,Eb,up,Mb,zb,St,da,jb,fp,qb,Pb,Vn,Cb,gp,Lb,Su,Uo,Jn,_p,ca,Ib,bp,Ob,Wu,Ro,pa,Nb,ha,Db,Cd,Sb,Wb,Bu,Ho,ma,Bb,ua,Ub,Ld,Rb,Hb,Uu,Qo,Gn,kp,fa,Qb,vp,Kb,Ru,ut,ga,Vb,yp,Jb,Gb,_a,Xb,Id,Yb,Zb,ek,ba,tk,ka,ok,nk,sk,Wt,va,rk,Ko,ak,Od,ik,lk,Tp,dk,ck,pk,Xn,hk,Yn,Hu,Vo,Zn,wp,ya,mk,$p,uk,Qu,ft,Ta,fk,Jo,gk,Ap,_k,bk,Fp,kk,vk,yk,wa,Tk,Nd,wk,$k,Ak,$a,Fk,Aa,xk,Ek,Mk,Bt,Fa,zk,Go,jk,Dd,qk,Pk,xp,Ck,Lk,Ik,es,Ok,ts,Ku,Xo,os,Ep,xa,Nk,Mp,Dk,Vu,gt,Ea,Sk,Ma,Wk,zp,Bk,Uk,Rk,za,Hk,Sd,Qk,Kk,Vk,ja,Jk,qa,Gk,Xk,Yk,Tt,Pa,Zk,Yo,ev,Wd,tv,ov,jp,nv,sv,rv,ns,av,ss,iv,rs,Ju,Zo,as,qp,Ca,lv,Pp,dv,Gu,_t,La,cv,Cp,pv,hv,Ia,mv,Bd,uv,fv,gv,Oa,_v,Na,bv,kv,vv,wt,Da,yv,en,Tv,Ud,wv,$v,Lp,Av,Fv,xv,is,Ev,ls,Mv,ds,Xu,tn,cs,Ip,Sa,zv,Op,jv,Yu,bt,Wa,qv,Np,Pv,Cv,Ba,Lv,Rd,Iv,Ov,Nv,Ua,Dv,Ra,Sv,Wv,Bv,Ut,Ha,Uv,on,Rv,Hd,Hv,Qv,Dp,Kv,Vv,Jv,ps,Gv,hs,Zu,nn,ms,Sp,Qa,Xv,Wp,Yv,ef,kt,Ka,Zv,Bp,ey,ty,Va,oy,Qd,ny,sy,ry,Ja,ay,Ga,iy,ly,dy,Rt,Xa,cy,sn,py,Kd,hy,my,Up,uy,fy,gy,us,_y,fs,tf,rn,gs,Rp,Ya,by,Hp,ky,of,vt,Za,vy,an,yy,Qp,Ty,wy,Kp,$y,Ay,Fy,ei,xy,Vd,Ey,My,zy,ti,jy,oi,qy,Py,Cy,Ht,ni,Ly,ln,Iy,Jd,Oy,Ny,Vp,Dy,Sy,Wy,_s,By,bs,nf,dn,ks,Jp,si,Uy,Gp,Ry,sf,it,ri,Hy,Xp,Qy,Ky,ai,Vy,Gd,Jy,Gy,Xy,ii,Yy,li,Zy,eT,tT,vs,oT,Qt,di,nT,cn,sT,Xd,rT,aT,Yp,iT,lT,dT,ys,cT,Ts,rf,pn,ws,Zp,ci,pT,eh,hT,af,lt,pi,mT,hn,uT,th,fT,gT,oh,_T,bT,kT,hi,vT,Yd,yT,TT,wT,mi,$T,ui,AT,FT,xT,$s,ET,Kt,fi,MT,mn,zT,Zd,jT,qT,nh,PT,CT,LT,As,IT,Fs,lf,un,xs,sh,gi,OT,rh,NT,df,dt,_i,DT,bi,ST,ah,WT,BT,UT,ki,RT,ec,HT,QT,KT,vi,VT,yi,JT,GT,XT,Es,YT,$t,Ti,ZT,fn,e2,tc,t2,o2,ih,n2,s2,r2,Ms,a2,zs,i2,js,cf,gn,qs,lh,wi,l2,dh,d2,pf,ct,$i,c2,ch,p2,h2,Ai,m2,oc,u2,f2,g2,Fi,_2,xi,b2,k2,v2,Ps,y2,At,Ei,T2,_n,w2,nc,$2,A2,ph,F2,x2,E2,Cs,M2,Ls,z2,Is,hf,bn,Os,hh,Mi,j2,mh,q2,mf,pt,zi,P2,uh,C2,L2,ji,I2,sc,O2,N2,D2,qi,S2,Pi,W2,B2,U2,Ns,R2,Vt,Ci,H2,kn,Q2,rc,K2,V2,fh,J2,G2,X2,Ds,Y2,Ss,uf,vn,Ws,gh,Li,Z2,_h,ew,ff,ht,Ii,tw,bh,ow,nw,Oi,sw,ac,rw,aw,iw,Ni,lw,Di,dw,cw,pw,Bs,hw,Ft,Si,mw,yn,uw,ic,fw,gw,kh,_w,bw,kw,Us,vw,Rs,yw,Hs,gf,Tn,Qs,vh,Wi,Tw,yh,ww,_f,mt,Bi,$w,wn,Aw,Th,Fw,xw,wh,Ew,Mw,zw,Ui,jw,lc,qw,Pw,Cw,Ri,Lw,Hi,Iw,Ow,Nw,Ks,Dw,xt,Qi,Sw,$n,Ww,dc,Bw,Uw,$h,Rw,Hw,Qw,Vs,Kw,Js,Vw,Gs,bf,An,Xs,Ah,Ki,Jw,Fh,Gw,kf,et,Vi,Xw,xh,Yw,Zw,Ji,e1,cc,t1,o1,n1,Gi,s1,Xi,r1,a1,i1,Eh,l1,d1,ho,Mh,Yi,c1,p1,zh,Zi,h1,m1,jh,el,u1,f1,qh,tl,g1,_1,Jt,ol,b1,Fn,k1,Ph,v1,y1,Ch,T1,w1,$1,Ys,A1,Zs,vf,xn,er,Lh,nl,F1,Ih,x1,yf,tt,sl,E1,En,M1,Oh,z1,j1,Nh,q1,P1,C1,rl,L1,pc,I1,O1,N1,al,D1,il,S1,W1,B1,Dh,U1,R1,mo,Sh,ll,H1,Q1,Wh,dl,K1,V1,Bh,cl,J1,G1,Uh,pl,X1,Y1,Gt,hl,Z1,Mn,e$,Rh,t$,o$,Hh,n$,s$,r$,tr,a$,or,Tf,zn,nr,Qh,ml,i$,Kh,l$,wf,ot,ul,d$,fl,c$,Vh,p$,h$,m$,gl,u$,hc,f$,g$,_$,_l,b$,bl,k$,v$,y$,Jh,T$,w$,uo,Gh,kl,$$,A$,Xh,vl,F$,x$,Yh,yl,E$,M$,Zh,Tl,z$,j$,Xt,wl,q$,jn,P$,em,C$,L$,tm,I$,O$,N$,sr,D$,rr,$f,qn,ar,om,$l,S$,nm,W$,Af,nt,Al,B$,sm,U$,R$,Fl,H$,mc,Q$,K$,V$,xl,J$,El,G$,X$,Y$,rm,Z$,eA,fo,am,Ml,tA,oA,im,zl,nA,sA,lm,jl,rA,aA,dm,ql,iA,lA,Yt,Pl,dA,Pn,cA,cm,pA,hA,pm,mA,uA,fA,ir,gA,lr,Ff,Cn,dr,hm,Cl,_A,mm,bA,xf,st,Ll,kA,um,vA,yA,Il,TA,uc,wA,$A,AA,Ol,FA,Nl,xA,EA,MA,fm,zA,jA,go,gm,Dl,qA,PA,_m,Sl,CA,LA,bm,Wl,IA,OA,km,Bl,NA,DA,Zt,Ul,SA,Ln,WA,vm,BA,UA,ym,RA,HA,QA,cr,KA,pr,Ef,In,hr,Tm,Rl,VA,wm,JA,Mf,rt,Hl,GA,$m,XA,YA,Ql,ZA,fc,eF,tF,oF,Kl,nF,Vl,sF,rF,aF,Am,iF,lF,_o,Fm,Jl,dF,cF,xm,Gl,pF,hF,Em,Xl,mF,uF,Mm,Yl,fF,gF,eo,Zl,_F,On,bF,zm,kF,vF,jm,yF,TF,wF,mr,$F,ur,zf,Nn,fr,qm,ed,AF,Pm,FF,jf,at,td,xF,Dn,EF,Cm,MF,zF,Lm,jF,qF,PF,od,CF,gc,LF,IF,OF,nd,NF,sd,DF,SF,WF,Im,BF,UF,bo,Om,rd,RF,HF,Nm,ad,QF,KF,Dm,id,VF,JF,Sm,ld,GF,XF,to,dd,YF,Sn,ZF,Wm,e0,t0,Bm,o0,n0,s0,gr,r0,_r,qf;return l=new Re({}),ie=new Re({}),Be=new Re({}),Rr=new Re({}),Hr=new N({props:{name:"class transformers.AlbertConfig",anchor:"transformers.AlbertConfig",parameters:[{name:"vocab_size",val:" = 30000"},{name:"embedding_size",val:" = 128"},{name:"hidden_size",val:" = 4096"},{name:"num_hidden_layers",val:" = 12"},{name:"num_hidden_groups",val:" = 1"},{name:"num_attention_heads",val:" = 64"},{name:"intermediate_size",val:" = 16384"},{name:"inner_group_num",val:" = 1"},{name:"hidden_act",val:" = 'gelu_new'"},{name:"hidden_dropout_prob",val:" = 0"},{name:"attention_probs_dropout_prob",val:" = 0"},{name:"max_position_embeddings",val:" = 512"},{name:"type_vocab_size",val:" = 2"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"classifier_dropout_prob",val:" = 0.1"},{name:"position_embedding_type",val:" = 'absolute'"},{name:"pad_token_id",val:" = 0"},{name:"bos_token_id",val:" = 2"},{name:"eos_token_id",val:" = 3"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AlbertConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 30000) &#x2014;
Vocabulary size of the ALBERT model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertModel">AlbertModel</a> or <a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.TFAlbertModel">TFAlbertModel</a>.`,name:"vocab_size"},{anchor:"transformers.AlbertConfig.embedding_size",description:`<strong>embedding_size</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
Dimensionality of vocabulary embeddings.`,name:"embedding_size"},{anchor:"transformers.AlbertConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.AlbertConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.AlbertConfig.num_hidden_groups",description:`<strong>num_hidden_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
Number of groups for the hidden layers, parameters in the same group are shared.`,name:"num_hidden_groups"},{anchor:"transformers.AlbertConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.AlbertConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 16384) &#x2014;
The dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.AlbertConfig.inner_group_num",description:`<strong>inner_group_num</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of inner repetition of attention and ffn.`,name:"inner_group_num"},{anchor:"transformers.AlbertConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;gelu_new&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.AlbertConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.AlbertConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.AlbertConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
(e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.AlbertConfig.type_vocab_size",description:`<strong>type_vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The vocabulary size of the <code>token_type_ids</code> passed when calling <a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertModel">AlbertModel</a> or <a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.TFAlbertModel">TFAlbertModel</a>.`,name:"type_vocab_size"},{anchor:"transformers.AlbertConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.AlbertConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.AlbertConfig.classifier_dropout_prob",description:`<strong>classifier_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for attached classifiers.`,name:"classifier_dropout_prob"},{anchor:"transformers.AlbertConfig.position_embedding_type",description:`<strong>position_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;absolute&quot;</code>) &#x2014;
Type of position embedding. Choose one of <code>&quot;absolute&quot;</code>, <code>&quot;relative_key&quot;</code>, <code>&quot;relative_key_query&quot;</code>. For
positional embeddings use <code>&quot;absolute&quot;</code>. For more information on <code>&quot;relative_key&quot;</code>, please refer to
<a href="https://arxiv.org/abs/1803.02155" rel="nofollow">Self-Attention with Relative Position Representations (Shaw et al.)</a>.
For more information on <code>&quot;relative_key_query&quot;</code>, please refer to <em>Method 4</em> in <a href="https://arxiv.org/abs/2009.13658" rel="nofollow">Improve Transformer Models
with Better Relative Position Embeddings (Huang et al.)</a>.`,name:"position_embedding_type"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/configuration_albert.py#L36"}}),Un=new Ie({props:{anchor:"transformers.AlbertConfig.example",$$slots:{default:[p5]},$$scope:{ctx:E}}}),Kr=new Re({}),Vr=new N({props:{name:"class transformers.AlbertTokenizer",anchor:"transformers.AlbertTokenizer",parameters:[{name:"vocab_file",val:""},{name:"do_lower_case",val:" = True"},{name:"remove_space",val:" = True"},{name:"keep_accents",val:" = False"},{name:"bos_token",val:" = '[CLS]'"},{name:"eos_token",val:" = '[SEP]'"},{name:"unk_token",val:" = '<unk>'"},{name:"sep_token",val:" = '[SEP]'"},{name:"pad_token",val:" = '<pad>'"},{name:"cls_token",val:" = '[CLS]'"},{name:"mask_token",val:" = '[MASK]'"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AlbertTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.AlbertTokenizer.do_lower_case",description:`<strong>do_lower_case</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to lowercase the input when tokenizing.`,name:"do_lower_case"},{anchor:"transformers.AlbertTokenizer.remove_space",description:`<strong>remove_space</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to strip the text when tokenizing (removing excess spaces before and after the string).`,name:"remove_space"},{anchor:"transformers.AlbertTokenizer.keep_accents",description:`<strong>keep_accents</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to keep accents when tokenizing.`,name:"keep_accents"},{anchor:"transformers.AlbertTokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[CLS]&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.AlbertTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[SEP]&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.AlbertTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.AlbertTokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[SEP]&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.AlbertTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.AlbertTokenizer.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[CLS]&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.AlbertTokenizer.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[MASK]&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.AlbertTokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"},{anchor:"transformers.AlbertTokenizer.sp_model",description:`<strong>sp_model</strong> (<code>SentencePieceProcessor</code>) &#x2014;
The <em>SentencePiece</em> processor that is used for every conversion (string, tokens and IDs).`,name:"sp_model"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/tokenization_albert.py#L59"}}),Yr=new N({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.AlbertTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.AlbertTokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.AlbertTokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/tokenization_albert.py#L271",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ea=new N({props:{name:"get_special_tokens_mask",anchor:"transformers.AlbertTokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.AlbertTokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.AlbertTokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.AlbertTokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/tokenization_albert.py#L296",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),oa=new N({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.AlbertTokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.AlbertTokenizer.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.AlbertTokenizer.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/tokenization_albert.py#L324",returnDescription:`
<p>List of <a href="../glossary#token-type-ids">token type IDs</a> according to the given sequence(s).</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Qn=new Ie({props:{anchor:"transformers.AlbertTokenizer.create_token_type_ids_from_sequences.example",$$slots:{default:[h5]},$$scope:{ctx:E}}}),na=new N({props:{name:"save_vocabulary",anchor:"transformers.AlbertTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/tokenization_albert.py#L354"}}),sa=new Re({}),ra=new N({props:{name:"class transformers.AlbertTokenizerFast",anchor:"transformers.AlbertTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"do_lower_case",val:" = True"},{name:"remove_space",val:" = True"},{name:"keep_accents",val:" = False"},{name:"bos_token",val:" = '[CLS]'"},{name:"eos_token",val:" = '[SEP]'"},{name:"unk_token",val:" = '<unk>'"},{name:"sep_token",val:" = '[SEP]'"},{name:"pad_token",val:" = '<pad>'"},{name:"cls_token",val:" = '[CLS]'"},{name:"mask_token",val:" = '[MASK]'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AlbertTokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.AlbertTokenizerFast.do_lower_case",description:`<strong>do_lower_case</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to lowercase the input when tokenizing.`,name:"do_lower_case"},{anchor:"transformers.AlbertTokenizerFast.remove_space",description:`<strong>remove_space</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to strip the text when tokenizing (removing excess spaces before and after the string).`,name:"remove_space"},{anchor:"transformers.AlbertTokenizerFast.keep_accents",description:`<strong>keep_accents</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to keep accents when tokenizing.`,name:"keep_accents"},{anchor:"transformers.AlbertTokenizerFast.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[CLS]&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.AlbertTokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[SEP]&quot;</code>) &#x2014;
The end of sequence token. .. note:: When building a sequence using special tokens, this is not the token
that is used for the end of sequence. The token used is the <code>sep_token</code>.`,name:"eos_token"},{anchor:"transformers.AlbertTokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.AlbertTokenizerFast.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[SEP]&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.AlbertTokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.AlbertTokenizerFast.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[CLS]&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.AlbertTokenizerFast.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[MASK]&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/tokenization_albert_fast.py#L72"}}),ia=new N({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.AlbertTokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.AlbertTokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added`,name:"token_ids_0"},{anchor:"transformers.AlbertTokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/tokenization_albert_fast.py#L170",returnDescription:`
<p>list of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),da=new N({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.AlbertTokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.AlbertTokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of ids.`,name:"token_ids_0"},{anchor:"transformers.AlbertTokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/tokenization_albert_fast.py#L195",returnDescription:`
<p>List of <a href="../glossary#token-type-ids">token type IDs</a> according to the given sequence(s).</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Vn=new Ie({props:{anchor:"transformers.AlbertTokenizerFast.create_token_type_ids_from_sequences.example",$$slots:{default:[m5]},$$scope:{ctx:E}}}),ca=new Re({}),pa=new N({props:{name:"class transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput",anchor:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput",parameters:[{name:"loss",val:": typing.Optional[torch.FloatTensor] = None"},{name:"prediction_logits",val:": FloatTensor = None"},{name:"sop_logits",val:": FloatTensor = None"},{name:"hidden_states",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"}],parametersDescription:[{anchor:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput.loss",description:`<strong>loss</strong> (<em>optional</em>, returned when <code>labels</code> is provided, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) &#x2014;
Total loss as the sum of the masked language modeling loss and the next sequence prediction
(classification) loss.`,name:"loss"},{anchor:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput.prediction_logits",description:`<strong>prediction_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) &#x2014;
Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).`,name:"prediction_logits"},{anchor:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput.sop_logits",description:`<strong>sop_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, 2)</code>) &#x2014;
Prediction scores of the next sequence prediction (classification) head (scores of True/False continuation
before SoftMax).`,name:"sop_logits"},{anchor:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput.hidden_states",description:`<strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.`,name:"hidden_states"},{anchor:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput.attentions",description:`<strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.`,name:"attentions"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_albert.py#L530"}}),ma=new N({props:{name:"class transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput",anchor:"transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput",parameters:[{name:"loss",val:": Tensor = None"},{name:"prediction_logits",val:": Tensor = None"},{name:"sop_logits",val:": Tensor = None"},{name:"hidden_states",val:": typing.Optional[typing.Tuple[tensorflow.python.framework.ops.Tensor]] = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[tensorflow.python.framework.ops.Tensor]] = None"}],parametersDescription:[{anchor:"transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput.prediction_logits",description:`<strong>prediction_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) &#x2014;
Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).`,name:"prediction_logits"},{anchor:"transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput.sop_logits",description:`<strong>sop_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, 2)</code>) &#x2014;
Prediction scores of the next sequence prediction (classification) head (scores of True/False continuation
before SoftMax).`,name:"sop_logits"},{anchor:"transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput.hidden_states",description:`<strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.`,name:"hidden_states"},{anchor:"transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput.attentions",description:`<strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.`,name:"attentions"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_tf_albert.py#L662"}}),fa=new Re({}),ga=new N({props:{name:"class transformers.AlbertModel",anchor:"transformers.AlbertModel",parameters:[{name:"config",val:": AlbertConfig"},{name:"add_pooling_layer",val:": bool = True"}],parametersDescription:[{anchor:"transformers.AlbertModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_albert.py#L633"}}),va=new N({props:{name:"forward",anchor:"transformers.AlbertModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": NoneType = None"},{name:"output_hidden_states",val:": NoneType = None"},{name:"return_dict",val:": NoneType = None"}],parametersDescription:[{anchor:"transformers.AlbertModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertModel.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_albert.py#L676",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Xn=new Ue({props:{$$slots:{default:[u5]},$$scope:{ctx:E}}}),Yn=new Ie({props:{anchor:"transformers.AlbertModel.forward.example",$$slots:{default:[f5]},$$scope:{ctx:E}}}),ya=new Re({}),Ta=new N({props:{name:"class transformers.AlbertForPreTraining",anchor:"transformers.AlbertForPreTraining",parameters:[{name:"config",val:": AlbertConfig"}],parametersDescription:[{anchor:"transformers.AlbertForPreTraining.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_albert.py#L761"}}),Fa=new N({props:{name:"forward",anchor:"transformers.AlbertForPreTraining.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"sentence_order_label",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlbertForPreTraining.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertForPreTraining.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertForPreTraining.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertForPreTraining.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertForPreTraining.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertForPreTraining.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertForPreTraining.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertForPreTraining.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertForPreTraining.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.AlbertForPreTraining.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"},{anchor:"transformers.AlbertForPreTraining.forward.sentence_order_label",description:`<strong>sentence_order_label</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the next sequence prediction (classification) loss. Input should be a sequence pair
(see <code>input_ids</code> docstring) Indices should be in <code>[0, 1]</code>. <code>0</code> indicates original order (sequence A, then
sequence B), <code>1</code> indicates switched order (sequence B, then sequence A).`,name:"sentence_order_label"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_albert.py#L787",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput"
>transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<em>optional</em>, returned when <code>labels</code> is provided, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) \u2014 Total loss as the sum of the masked language modeling loss and the next sequence prediction
(classification) loss.</p>
</li>
<li>
<p><strong>prediction_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>sop_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, 2)</code>) \u2014 Prediction scores of the next sequence prediction (classification) head (scores of True/False continuation
before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput"
>transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),es=new Ue({props:{$$slots:{default:[g5]},$$scope:{ctx:E}}}),ts=new Ie({props:{anchor:"transformers.AlbertForPreTraining.forward.example",$$slots:{default:[_5]},$$scope:{ctx:E}}}),xa=new Re({}),Ea=new N({props:{name:"class transformers.AlbertForMaskedLM",anchor:"transformers.AlbertForMaskedLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.AlbertForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_albert.py#L913"}}),Pa=new N({props:{name:"forward",anchor:"transformers.AlbertForMaskedLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlbertForMaskedLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertForMaskedLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertForMaskedLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertForMaskedLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertForMaskedLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertForMaskedLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertForMaskedLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertForMaskedLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertForMaskedLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.AlbertForMaskedLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_albert.py#L939",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ns=new Ue({props:{$$slots:{default:[b5]},$$scope:{ctx:E}}}),ss=new Ie({props:{anchor:"transformers.AlbertForMaskedLM.forward.example",$$slots:{default:[k5]},$$scope:{ctx:E}}}),rs=new Ie({props:{anchor:"transformers.AlbertForMaskedLM.forward.example-2",$$slots:{default:[v5]},$$scope:{ctx:E}}}),Ca=new Re({}),La=new N({props:{name:"class transformers.AlbertForSequenceClassification",anchor:"transformers.AlbertForSequenceClassification",parameters:[{name:"config",val:": AlbertConfig"}],parametersDescription:[{anchor:"transformers.AlbertForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_albert.py#L1032"}}),Da=new N({props:{name:"forward",anchor:"transformers.AlbertForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlbertForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertForSequenceClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.AlbertForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_albert.py#L1045",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),is=new Ue({props:{$$slots:{default:[y5]},$$scope:{ctx:E}}}),ls=new Ie({props:{anchor:"transformers.AlbertForSequenceClassification.forward.example",$$slots:{default:[T5]},$$scope:{ctx:E}}}),ds=new Ie({props:{anchor:"transformers.AlbertForSequenceClassification.forward.example-2",$$slots:{default:[w5]},$$scope:{ctx:E}}}),Sa=new Re({}),Wa=new N({props:{name:"class transformers.AlbertForMultipleChoice",anchor:"transformers.AlbertForMultipleChoice",parameters:[{name:"config",val:": AlbertConfig"}],parametersDescription:[{anchor:"transformers.AlbertForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_albert.py#L1323"}}),Ha=new N({props:{name:"forward",anchor:"transformers.AlbertForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlbertForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertForMultipleChoice.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertForMultipleChoice.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertForMultipleChoice.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertForMultipleChoice.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertForMultipleChoice.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertForMultipleChoice.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertForMultipleChoice.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.AlbertForMultipleChoice.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices-1]</code> where <em>num_choices</em> is the size of the second dimension of the input tensors. (see
<em>input_ids</em> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_albert.py#L1334",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <em>(1,)</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ps=new Ue({props:{$$slots:{default:[$5]},$$scope:{ctx:E}}}),hs=new Ie({props:{anchor:"transformers.AlbertForMultipleChoice.forward.example",$$slots:{default:[A5]},$$scope:{ctx:E}}}),Qa=new Re({}),Ka=new N({props:{name:"class transformers.AlbertForTokenClassification",anchor:"transformers.AlbertForTokenClassification",parameters:[{name:"config",val:": AlbertConfig"}],parametersDescription:[{anchor:"transformers.AlbertForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_albert.py#L1133"}}),Xa=new N({props:{name:"forward",anchor:"transformers.AlbertForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlbertForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertForTokenClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertForTokenClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertForTokenClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertForTokenClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertForTokenClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertForTokenClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.AlbertForTokenClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_albert.py#L1152",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),us=new Ue({props:{$$slots:{default:[F5]},$$scope:{ctx:E}}}),fs=new Ie({props:{anchor:"transformers.AlbertForTokenClassification.forward.example",$$slots:{default:[x5]},$$scope:{ctx:E}}}),Ya=new Re({}),Za=new N({props:{name:"class transformers.AlbertForQuestionAnswering",anchor:"transformers.AlbertForQuestionAnswering",parameters:[{name:"config",val:": AlbertConfig"}],parametersDescription:[{anchor:"transformers.AlbertForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_albert.py#L1218"}}),ni=new N({props:{name:"forward",anchor:"transformers.AlbertForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"start_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"end_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlbertForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertForQuestionAnswering.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertForQuestionAnswering.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertForQuestionAnswering.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertForQuestionAnswering.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertForQuestionAnswering.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertForQuestionAnswering.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.AlbertForQuestionAnswering.forward.start_positions",description:`<strong>start_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.AlbertForQuestionAnswering.forward.end_positions",description:`<strong>end_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_albert.py#L1231",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),_s=new Ue({props:{$$slots:{default:[E5]},$$scope:{ctx:E}}}),bs=new Ie({props:{anchor:"transformers.AlbertForQuestionAnswering.forward.example",$$slots:{default:[M5]},$$scope:{ctx:E}}}),si=new Re({}),ri=new N({props:{name:"class transformers.TFAlbertModel",anchor:"transformers.TFAlbertModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_tf_albert.py#L794"}}),vs=new Ue({props:{$$slots:{default:[z5]},$$scope:{ctx:E}}}),di=new N({props:{name:"call",anchor:"transformers.TFAlbertModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertModel.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertModel.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertModel.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertModel.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertModel.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_tf_albert.py#L800",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
<p>This output is usually <em>not</em> a good summary of the semantic content of the input, you\u2019re often better with
averaging or pooling the sequence of hidden-states for the whole input sequence.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling</a> or <code>tuple(tf.Tensor)</code></p>
`}}),ys=new Ue({props:{$$slots:{default:[j5]},$$scope:{ctx:E}}}),Ts=new Ie({props:{anchor:"transformers.TFAlbertModel.call.example",$$slots:{default:[q5]},$$scope:{ctx:E}}}),ci=new Re({}),pi=new N({props:{name:"class transformers.TFAlbertForPreTraining",anchor:"transformers.TFAlbertForPreTraining",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertForPreTraining.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_tf_albert.py#L854"}}),$s=new Ue({props:{$$slots:{default:[P5]},$$scope:{ctx:E}}}),fi=new N({props:{name:"call",anchor:"transformers.TFAlbertForPreTraining.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"sentence_order_label",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertForPreTraining.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertForPreTraining.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertForPreTraining.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertForPreTraining.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertForPreTraining.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertForPreTraining.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertForPreTraining.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertForPreTraining.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertForPreTraining.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertForPreTraining.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_tf_albert.py#L870",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput"
>transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>prediction_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>sop_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, 2)</code>) \u2014 Prediction scores of the next sequence prediction (classification) head (scores of True/False continuation
before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput"
>transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),As=new Ue({props:{$$slots:{default:[C5]},$$scope:{ctx:E}}}),Fs=new Ie({props:{anchor:"transformers.TFAlbertForPreTraining.call.example",$$slots:{default:[L5]},$$scope:{ctx:E}}}),gi=new Re({}),_i=new N({props:{name:"class transformers.TFAlbertForMaskedLM",anchor:"transformers.TFAlbertForMaskedLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_tf_albert.py#L973"}}),Es=new Ue({props:{$$slots:{default:[I5]},$$scope:{ctx:E}}}),Ti=new N({props:{name:"call",anchor:"transformers.TFAlbertForMaskedLM.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertForMaskedLM.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertForMaskedLM.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertForMaskedLM.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertForMaskedLM.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertForMaskedLM.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertForMaskedLM.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertForMaskedLM.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertForMaskedLM.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertForMaskedLM.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertForMaskedLM.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFAlbertForMaskedLM.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_tf_albert.py#L986",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Ms=new Ue({props:{$$slots:{default:[O5]},$$scope:{ctx:E}}}),zs=new Ie({props:{anchor:"transformers.TFAlbertForMaskedLM.call.example",$$slots:{default:[N5]},$$scope:{ctx:E}}}),js=new Ie({props:{anchor:"transformers.TFAlbertForMaskedLM.call.example-2",$$slots:{default:[D5]},$$scope:{ctx:E}}}),wi=new Re({}),$i=new N({props:{name:"class transformers.TFAlbertForSequenceClassification",anchor:"transformers.TFAlbertForSequenceClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_tf_albert.py#L1082"}}),Ps=new Ue({props:{$$slots:{default:[S5]},$$scope:{ctx:E}}}),Ei=new N({props:{name:"call",anchor:"transformers.TFAlbertForSequenceClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertForSequenceClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertForSequenceClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertForSequenceClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertForSequenceClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertForSequenceClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertForSequenceClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertForSequenceClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertForSequenceClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertForSequenceClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertForSequenceClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFAlbertForSequenceClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_tf_albert.py#L1098",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Cs=new Ue({props:{$$slots:{default:[W5]},$$scope:{ctx:E}}}),Ls=new Ie({props:{anchor:"transformers.TFAlbertForSequenceClassification.call.example",$$slots:{default:[B5]},$$scope:{ctx:E}}}),Is=new Ie({props:{anchor:"transformers.TFAlbertForSequenceClassification.call.example-2",$$slots:{default:[U5]},$$scope:{ctx:E}}}),Mi=new Re({}),zi=new N({props:{name:"class transformers.TFAlbertForMultipleChoice",anchor:"transformers.TFAlbertForMultipleChoice",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_tf_albert.py#L1365"}}),Ns=new Ue({props:{$$slots:{default:[R5]},$$scope:{ctx:E}}}),Ci=new N({props:{name:"call",anchor:"transformers.TFAlbertForMultipleChoice.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertForMultipleChoice.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertForMultipleChoice.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertForMultipleChoice.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertForMultipleChoice.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertForMultipleChoice.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertForMultipleChoice.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertForMultipleChoice.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertForMultipleChoice.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertForMultipleChoice.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertForMultipleChoice.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFAlbertForMultipleChoice.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices]</code>
where <code>num_choices</code> is the size of the second dimension of the input tensors. (See <code>input_ids</code> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_tf_albert.py#L1389",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput"
>transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <em>(batch_size, )</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput"
>transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Ds=new Ue({props:{$$slots:{default:[H5]},$$scope:{ctx:E}}}),Ss=new Ie({props:{anchor:"transformers.TFAlbertForMultipleChoice.call.example",$$slots:{default:[Q5]},$$scope:{ctx:E}}}),Li=new Re({}),Ii=new N({props:{name:"class transformers.TFAlbertForTokenClassification",anchor:"transformers.TFAlbertForTokenClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_tf_albert.py#L1171"}}),Bs=new Ue({props:{$$slots:{default:[K5]},$$scope:{ctx:E}}}),Si=new N({props:{name:"call",anchor:"transformers.TFAlbertForTokenClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertForTokenClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertForTokenClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertForTokenClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertForTokenClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertForTokenClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertForTokenClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertForTokenClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertForTokenClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertForTokenClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertForTokenClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFAlbertForTokenClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_tf_albert.py#L1192",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_tf_outputs.TFTokenClassifierOutput"
>transformers.modeling_tf_outputs.TFTokenClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of unmasked labels, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_tf_outputs.TFTokenClassifierOutput"
>transformers.modeling_tf_outputs.TFTokenClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Us=new Ue({props:{$$slots:{default:[V5]},$$scope:{ctx:E}}}),Rs=new Ie({props:{anchor:"transformers.TFAlbertForTokenClassification.call.example",$$slots:{default:[J5]},$$scope:{ctx:E}}}),Hs=new Ie({props:{anchor:"transformers.TFAlbertForTokenClassification.call.example-2",$$slots:{default:[G5]},$$scope:{ctx:E}}}),Wi=new Re({}),Bi=new N({props:{name:"class transformers.TFAlbertForQuestionAnswering",anchor:"transformers.TFAlbertForQuestionAnswering",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_tf_albert.py#L1261"}}),Ks=new Ue({props:{$$slots:{default:[X5]},$$scope:{ctx:E}}}),Qi=new N({props:{name:"call",anchor:"transformers.TFAlbertForQuestionAnswering.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"start_positions",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"end_positions",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertForQuestionAnswering.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.start_positions",description:`<strong>start_positions</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.end_positions",description:`<strong>end_positions</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_tf_albert.py#L1275",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput"
>transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>start_positions</code> and <code>end_positions</code> are provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput"
>transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Vs=new Ue({props:{$$slots:{default:[Y5]},$$scope:{ctx:E}}}),Js=new Ie({props:{anchor:"transformers.TFAlbertForQuestionAnswering.call.example",$$slots:{default:[Z5]},$$scope:{ctx:E}}}),Gs=new Ie({props:{anchor:"transformers.TFAlbertForQuestionAnswering.call.example-2",$$slots:{default:[eM]},$$scope:{ctx:E}}}),Ki=new Re({}),Vi=new N({props:{name:"class transformers.FlaxAlbertModel",anchor:"transformers.FlaxAlbertModel",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertModel.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_flax_albert.py#L677"}}),ol=new N({props:{name:"__call__",anchor:"transformers.FlaxAlbertModel.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertModel.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertModel.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_flax_albert.py#L554",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ys=new Ue({props:{$$slots:{default:[tM]},$$scope:{ctx:E}}}),Zs=new Ie({props:{anchor:"transformers.FlaxAlbertModel.__call__.example",$$slots:{default:[oM]},$$scope:{ctx:E}}}),nl=new Re({}),sl=new N({props:{name:"class transformers.FlaxAlbertForPreTraining",anchor:"transformers.FlaxAlbertForPreTraining",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertForPreTraining.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertForPreTraining.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_flax_albert.py#L745"}}),hl=new N({props:{name:"__call__",anchor:"transformers.FlaxAlbertForPreTraining.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertForPreTraining.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertForPreTraining.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertForPreTraining.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertForPreTraining.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertForPreTraining.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_flax_albert.py#L554",returnDescription:`
<p>A <code>transformers.models.albert.modeling_flax_albert.FlaxAlbertForPreTrainingOutput</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>prediction_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>sop_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, 2)</code>) \u2014 Prediction scores of the next sequence prediction (classification) head (scores of True/False continuation
before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.models.albert.modeling_flax_albert.FlaxAlbertForPreTrainingOutput</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),tr=new Ue({props:{$$slots:{default:[nM]},$$scope:{ctx:E}}}),or=new Ie({props:{anchor:"transformers.FlaxAlbertForPreTraining.__call__.example",$$slots:{default:[sM]},$$scope:{ctx:E}}}),ml=new Re({}),ul=new N({props:{name:"class transformers.FlaxAlbertForMaskedLM",anchor:"transformers.FlaxAlbertForMaskedLM",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertForMaskedLM.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_flax_albert.py#L828"}}),wl=new N({props:{name:"__call__",anchor:"transformers.FlaxAlbertForMaskedLM.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertForMaskedLM.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertForMaskedLM.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertForMaskedLM.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertForMaskedLM.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertForMaskedLM.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_flax_albert.py#L554",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMaskedLMOutput"
>transformers.modeling_flax_outputs.FlaxMaskedLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMaskedLMOutput"
>transformers.modeling_flax_outputs.FlaxMaskedLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),sr=new Ue({props:{$$slots:{default:[rM]},$$scope:{ctx:E}}}),rr=new Ie({props:{anchor:"transformers.FlaxAlbertForMaskedLM.__call__.example",$$slots:{default:[aM]},$$scope:{ctx:E}}}),$l=new Re({}),Al=new N({props:{name:"class transformers.FlaxAlbertForSequenceClassification",anchor:"transformers.FlaxAlbertForSequenceClassification",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertForSequenceClassification.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_flax_albert.py#L896"}}),Pl=new N({props:{name:"__call__",anchor:"transformers.FlaxAlbertForSequenceClassification.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertForSequenceClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertForSequenceClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertForSequenceClassification.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertForSequenceClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertForSequenceClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_flax_albert.py#L554",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ir=new Ue({props:{$$slots:{default:[iM]},$$scope:{ctx:E}}}),lr=new Ie({props:{anchor:"transformers.FlaxAlbertForSequenceClassification.__call__.example",$$slots:{default:[lM]},$$scope:{ctx:E}}}),Cl=new Re({}),Ll=new N({props:{name:"class transformers.FlaxAlbertForMultipleChoice",anchor:"transformers.FlaxAlbertForMultipleChoice",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertForMultipleChoice.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_flax_albert.py#L969"}}),Ul=new N({props:{name:"__call__",anchor:"transformers.FlaxAlbertForMultipleChoice.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertForMultipleChoice.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertForMultipleChoice.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertForMultipleChoice.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertForMultipleChoice.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertForMultipleChoice.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_flax_albert.py#L554",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput"
>transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput"
>transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),cr=new Ue({props:{$$slots:{default:[dM]},$$scope:{ctx:E}}}),pr=new Ie({props:{anchor:"transformers.FlaxAlbertForMultipleChoice.__call__.example",$$slots:{default:[cM]},$$scope:{ctx:E}}}),Rl=new Re({}),Hl=new N({props:{name:"class transformers.FlaxAlbertForTokenClassification",anchor:"transformers.FlaxAlbertForTokenClassification",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertForTokenClassification.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_flax_albert.py#L1042"}}),Zl=new N({props:{name:"__call__",anchor:"transformers.FlaxAlbertForTokenClassification.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertForTokenClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertForTokenClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertForTokenClassification.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertForTokenClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertForTokenClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_flax_albert.py#L554",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_flax_outputs.FlaxTokenClassifierOutput"
>transformers.modeling_flax_outputs.FlaxTokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_flax_outputs.FlaxTokenClassifierOutput"
>transformers.modeling_flax_outputs.FlaxTokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),mr=new Ue({props:{$$slots:{default:[pM]},$$scope:{ctx:E}}}),ur=new Ie({props:{anchor:"transformers.FlaxAlbertForTokenClassification.__call__.example",$$slots:{default:[hM]},$$scope:{ctx:E}}}),ed=new Re({}),td=new N({props:{name:"class transformers.FlaxAlbertForQuestionAnswering",anchor:"transformers.FlaxAlbertForQuestionAnswering",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertForQuestionAnswering.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_flax_albert.py#L1110"}}),dd=new N({props:{name:"__call__",anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22354/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22354/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22354/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22354/src/transformers/models/albert/modeling_flax_albert.py#L554",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>start_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22354/en/main_classes/output#transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),gr=new Ue({props:{$$slots:{default:[mM]},$$scope:{ctx:E}}}),_r=new Ie({props:{anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__.example",$$slots:{default:[uM]},$$scope:{ctx:E}}}),{c(){d=n("meta"),k=c(),m=n("h1"),f=n("a"),b=n("span"),y(l.$$.fragment),h=c(),M=n("span"),$e=r("ALBERT"),ke=c(),W=n("div"),de=n("a"),Z=n("img"),Ae=c(),R=n("a"),ce=n("img"),J=c(),se=n("h2"),re=n("a"),H=n("span"),y(ie.$$.fragment),Fe=c(),Q=n("span"),xe=r("Overview"),ve=c(),B=n("p"),Ee=r("The ALBERT model was proposed in "),le=n("a"),ee=r("ALBERT: A Lite BERT for Self-supervised Learning of Language Representations"),q=r(` by Zhenzhong Lan, Mingda Chen, Sebastian Goodman, Kevin Gimpel, Piyush Sharma,
Radu Soricut. It presents two parameter-reduction techniques to lower memory consumption and increase the training
speed of BERT:`),C=c(),ae=n("ul"),K=n("li"),Me=r("Splitting the embedding matrix into two smaller matrices."),ze=c(),V=n("li"),je=r("Using repeating layers split among groups."),ye=c(),P=n("p"),qe=r("The abstract from the paper is the following:"),G=c(),pe=n("p"),me=n("em"),Y=r(`Increasing model size when pretraining natural language representations often results in improved performance on
downstream tasks. However, at some point further model increases become harder due to GPU/TPU memory limitations,
longer training times, and unexpected model degradation. To address these problems, we present two parameter-reduction
techniques to lower memory consumption and increase the training speed of BERT. Comprehensive empirical evidence shows
that our proposed methods lead to models that scale much better compared to the original BERT. We also use a
self-supervised loss that focuses on modeling inter-sentence coherence, and show it consistently helps downstream tasks
with multi-sentence inputs. As a result, our best model establishes new state-of-the-art results on the GLUE, RACE, and
SQuAD benchmarks while having fewer parameters compared to BERT-large.`),Te=c(),he=n("p"),D=r("Tips:"),we=c(),O=n("ul"),ue=n("li"),te=r(`ALBERT is a model with absolute position embeddings so it\u2019s usually advised to pad the inputs on the right rather
than the left.`),L=c(),fe=n("li"),I=r(`ALBERT uses repeating layers which results in a small memory footprint, however the computational cost remains
similar to a BERT-like architecture with the same number of hidden layers as it has to iterate through the same
number of (repeating) layers.`),Pe=c(),ge=n("li"),v=r("Embedding size E is different from hidden size H justified because the embeddings are context independent (one embedding vector represents one token), whereas hidden states are context dependent (one hidden state represents a sequence of tokens) so it\u2019s more logical to have H >> E. Also, the embedding matrix is large since it\u2019s V x E (V being the vocab size). If E < H, it has less parameters."),z=c(),He=n("li"),oe=r(`Layers are split in groups that share parameters (to save memory).
Next sentence prediction is replaced by a sentence ordering prediction: in the inputs, we have two sentences A and B (that are consecutive) and we either feed A followed by B or B followed by A. The model must predict if they have been swapped or not.`),Ke=c(),_e=n("p"),j=r("This model was contributed by "),Se=n("a"),Ve=r("lysandre"),Je=r(`. This model jax version was contributed by
`),We=n("a"),Ge=r("kamalkraj"),S=r(". The original code can be found "),U=n("a"),Xe=r("here"),Ye=r("."),X=c(),Le=n("h2"),De=n("a"),be=n("span"),y(Be.$$.fragment),ne=c(),Qe=n("span"),n_=r("Documentation resources"),Pu=c(),yt=n("ul"),Kc=n("li"),bd=n("a"),s_=r("Text classification task guide"),r_=c(),Vc=n("li"),kd=n("a"),a_=r("Token classification task guide"),i_=c(),Jc=n("li"),vd=n("a"),l_=r("Question answering task guide"),d_=c(),Gc=n("li"),yd=n("a"),c_=r("Masked language modeling task guide"),p_=c(),Xc=n("li"),Td=n("a"),h_=r("Multiple choice task guide"),Cu=c(),No=n("h2"),Bn=n("a"),Yc=n("span"),y(Rr.$$.fragment),m_=c(),Zc=n("span"),u_=r("AlbertConfig"),Lu=c(),It=n("div"),y(Hr.$$.fragment),f_=c(),co=n("p"),g_=r("This is the configuration class to store the configuration of a "),wd=n("a"),__=r("AlbertModel"),b_=r(" or a "),$d=n("a"),k_=r("TFAlbertModel"),v_=r(`. It is used
to instantiate an ALBERT model according to the specified arguments, defining the model architecture. Instantiating
a configuration with the defaults will yield a similar configuration to that of the ALBERT
`),Qr=n("a"),y_=r("albert-xxlarge-v2"),T_=r(" architecture."),w_=c(),Do=n("p"),$_=r("Configuration objects inherit from "),Ad=n("a"),A_=r("PretrainedConfig"),F_=r(` and can be used to control the model outputs. Read the
documentation from `),Fd=n("a"),x_=r("PretrainedConfig"),E_=r(" for more information."),M_=c(),y(Un.$$.fragment),Iu=c(),So=n("h2"),Rn=n("a"),ep=n("span"),y(Kr.$$.fragment),z_=c(),tp=n("span"),j_=r("AlbertTokenizer"),Ou=c(),Ze=n("div"),y(Vr.$$.fragment),q_=c(),Jr=n("p"),P_=r("Construct an ALBERT tokenizer. Based on "),Gr=n("a"),C_=r("SentencePiece"),L_=r("."),I_=c(),Xr=n("p"),O_=r("This tokenizer inherits from "),xd=n("a"),N_=r("PreTrainedTokenizer"),D_=r(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),S_=c(),wo=n("div"),y(Yr.$$.fragment),W_=c(),op=n("p"),B_=r(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An ALBERT sequence has the following format:`),U_=c(),Zr=n("ul"),Ed=n("li"),R_=r("single sequence: "),np=n("code"),H_=r("[CLS] X [SEP]"),Q_=c(),Md=n("li"),K_=r("pair of sequences: "),sp=n("code"),V_=r("[CLS] A [SEP] B [SEP]"),J_=c(),Hn=n("div"),y(ea.$$.fragment),G_=c(),ta=n("p"),X_=r(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),rp=n("code"),Y_=r("prepare_for_model"),Z_=r(" method."),eb=c(),Dt=n("div"),y(oa.$$.fragment),tb=c(),ap=n("p"),ob=r("Create a mask from the two sequences passed to be used in a sequence-pair classification task. An ALBERT"),nb=c(),y(Qn.$$.fragment),sb=c(),Wo=n("p"),rb=r("If "),ip=n("code"),ab=r("token_ids_1"),ib=r(" is "),lp=n("code"),lb=r("None"),db=r(", this method only returns the first portion of the mask (0s)."),cb=c(),zd=n("div"),y(na.$$.fragment),Nu=c(),Bo=n("h2"),Kn=n("a"),dp=n("span"),y(sa.$$.fragment),pb=c(),cp=n("span"),hb=r("AlbertTokenizerFast"),Du=c(),Ot=n("div"),y(ra.$$.fragment),mb=c(),po=n("p"),ub=r("Construct a \u201Cfast\u201D ALBERT tokenizer (backed by HuggingFace\u2019s "),pp=n("em"),fb=r("tokenizers"),gb=r(` library). Based on
`),aa=n("a"),_b=r("Unigram"),bb=r(`. This
tokenizer inherits from `),jd=n("a"),kb=r("PreTrainedTokenizerFast"),vb=r(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods`),yb=c(),$o=n("div"),y(ia.$$.fragment),Tb=c(),hp=n("p"),wb=r(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An ALBERT sequence has the following format:`),$b=c(),la=n("ul"),qd=n("li"),Ab=r("single sequence: "),mp=n("code"),Fb=r("[CLS] X [SEP]"),xb=c(),Pd=n("li"),Eb=r("pair of sequences: "),up=n("code"),Mb=r("[CLS] A [SEP] B [SEP]"),zb=c(),St=n("div"),y(da.$$.fragment),jb=c(),fp=n("p"),qb=r("Creates a mask from the two sequences passed to be used in a sequence-pair classification task. An ALBERT"),Pb=c(),y(Vn.$$.fragment),Cb=c(),gp=n("p"),Lb=r("if token_ids_1 is None, only returns the first portion of the mask (0s)."),Su=c(),Uo=n("h2"),Jn=n("a"),_p=n("span"),y(ca.$$.fragment),Ib=c(),bp=n("span"),Ob=r("Albert specific outputs"),Wu=c(),Ro=n("div"),y(pa.$$.fragment),Nb=c(),ha=n("p"),Db=r("Output type of "),Cd=n("a"),Sb=r("AlbertForPreTraining"),Wb=r("."),Bu=c(),Ho=n("div"),y(ma.$$.fragment),Bb=c(),ua=n("p"),Ub=r("Output type of "),Ld=n("a"),Rb=r("TFAlbertForPreTraining"),Hb=r("."),Uu=c(),Qo=n("h2"),Gn=n("a"),kp=n("span"),y(fa.$$.fragment),Qb=c(),vp=n("span"),Kb=r("AlbertModel"),Ru=c(),ut=n("div"),y(ga.$$.fragment),Vb=c(),yp=n("p"),Jb=r("The bare ALBERT Model transformer outputting raw hidden-states without any specific head on top."),Gb=c(),_a=n("p"),Xb=r("This model inherits from "),Id=n("a"),Yb=r("PreTrainedModel"),Zb=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ek=c(),ba=n("p"),tk=r("This model is also a PyTorch "),ka=n("a"),ok=r("torch.nn.Module"),nk=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),sk=c(),Wt=n("div"),y(va.$$.fragment),rk=c(),Ko=n("p"),ak=r("The "),Od=n("a"),ik=r("AlbertModel"),lk=r(" forward method, overrides the "),Tp=n("code"),dk=r("__call__"),ck=r(" special method."),pk=c(),y(Xn.$$.fragment),hk=c(),y(Yn.$$.fragment),Hu=c(),Vo=n("h2"),Zn=n("a"),wp=n("span"),y(ya.$$.fragment),mk=c(),$p=n("span"),uk=r("AlbertForPreTraining"),Qu=c(),ft=n("div"),y(Ta.$$.fragment),fk=c(),Jo=n("p"),gk=r("Albert Model with two heads on top as done during the pretraining: a "),Ap=n("code"),_k=r("masked language modeling"),bk=r(` head and a
`),Fp=n("code"),kk=r("sentence order prediction (classification)"),vk=r(" head."),yk=c(),wa=n("p"),Tk=r("This model inherits from "),Nd=n("a"),wk=r("PreTrainedModel"),$k=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ak=c(),$a=n("p"),Fk=r("This model is also a PyTorch "),Aa=n("a"),xk=r("torch.nn.Module"),Ek=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Mk=c(),Bt=n("div"),y(Fa.$$.fragment),zk=c(),Go=n("p"),jk=r("The "),Dd=n("a"),qk=r("AlbertForPreTraining"),Pk=r(" forward method, overrides the "),xp=n("code"),Ck=r("__call__"),Lk=r(" special method."),Ik=c(),y(es.$$.fragment),Ok=c(),y(ts.$$.fragment),Ku=c(),Xo=n("h2"),os=n("a"),Ep=n("span"),y(xa.$$.fragment),Nk=c(),Mp=n("span"),Dk=r("AlbertForMaskedLM"),Vu=c(),gt=n("div"),y(Ea.$$.fragment),Sk=c(),Ma=n("p"),Wk=r("Albert Model with a "),zp=n("code"),Bk=r("language modeling"),Uk=r(" head on top."),Rk=c(),za=n("p"),Hk=r("This model inherits from "),Sd=n("a"),Qk=r("PreTrainedModel"),Kk=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Vk=c(),ja=n("p"),Jk=r("This model is also a PyTorch "),qa=n("a"),Gk=r("torch.nn.Module"),Xk=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Yk=c(),Tt=n("div"),y(Pa.$$.fragment),Zk=c(),Yo=n("p"),ev=r("The "),Wd=n("a"),tv=r("AlbertForMaskedLM"),ov=r(" forward method, overrides the "),jp=n("code"),nv=r("__call__"),sv=r(" special method."),rv=c(),y(ns.$$.fragment),av=c(),y(ss.$$.fragment),iv=c(),y(rs.$$.fragment),Ju=c(),Zo=n("h2"),as=n("a"),qp=n("span"),y(Ca.$$.fragment),lv=c(),Pp=n("span"),dv=r("AlbertForSequenceClassification"),Gu=c(),_t=n("div"),y(La.$$.fragment),cv=c(),Cp=n("p"),pv=r(`Albert Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),hv=c(),Ia=n("p"),mv=r("This model inherits from "),Bd=n("a"),uv=r("PreTrainedModel"),fv=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),gv=c(),Oa=n("p"),_v=r("This model is also a PyTorch "),Na=n("a"),bv=r("torch.nn.Module"),kv=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),vv=c(),wt=n("div"),y(Da.$$.fragment),yv=c(),en=n("p"),Tv=r("The "),Ud=n("a"),wv=r("AlbertForSequenceClassification"),$v=r(" forward method, overrides the "),Lp=n("code"),Av=r("__call__"),Fv=r(" special method."),xv=c(),y(is.$$.fragment),Ev=c(),y(ls.$$.fragment),Mv=c(),y(ds.$$.fragment),Xu=c(),tn=n("h2"),cs=n("a"),Ip=n("span"),y(Sa.$$.fragment),zv=c(),Op=n("span"),jv=r("AlbertForMultipleChoice"),Yu=c(),bt=n("div"),y(Wa.$$.fragment),qv=c(),Np=n("p"),Pv=r(`Albert Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),Cv=c(),Ba=n("p"),Lv=r("This model inherits from "),Rd=n("a"),Iv=r("PreTrainedModel"),Ov=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Nv=c(),Ua=n("p"),Dv=r("This model is also a PyTorch "),Ra=n("a"),Sv=r("torch.nn.Module"),Wv=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Bv=c(),Ut=n("div"),y(Ha.$$.fragment),Uv=c(),on=n("p"),Rv=r("The "),Hd=n("a"),Hv=r("AlbertForMultipleChoice"),Qv=r(" forward method, overrides the "),Dp=n("code"),Kv=r("__call__"),Vv=r(" special method."),Jv=c(),y(ps.$$.fragment),Gv=c(),y(hs.$$.fragment),Zu=c(),nn=n("h2"),ms=n("a"),Sp=n("span"),y(Qa.$$.fragment),Xv=c(),Wp=n("span"),Yv=r("AlbertForTokenClassification"),ef=c(),kt=n("div"),y(Ka.$$.fragment),Zv=c(),Bp=n("p"),ey=r(`Albert Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),ty=c(),Va=n("p"),oy=r("This model inherits from "),Qd=n("a"),ny=r("PreTrainedModel"),sy=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ry=c(),Ja=n("p"),ay=r("This model is also a PyTorch "),Ga=n("a"),iy=r("torch.nn.Module"),ly=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),dy=c(),Rt=n("div"),y(Xa.$$.fragment),cy=c(),sn=n("p"),py=r("The "),Kd=n("a"),hy=r("AlbertForTokenClassification"),my=r(" forward method, overrides the "),Up=n("code"),uy=r("__call__"),fy=r(" special method."),gy=c(),y(us.$$.fragment),_y=c(),y(fs.$$.fragment),tf=c(),rn=n("h2"),gs=n("a"),Rp=n("span"),y(Ya.$$.fragment),by=c(),Hp=n("span"),ky=r("AlbertForQuestionAnswering"),of=c(),vt=n("div"),y(Za.$$.fragment),vy=c(),an=n("p"),yy=r(`Albert Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),Qp=n("code"),Ty=r("span start logits"),wy=r(" and "),Kp=n("code"),$y=r("span end logits"),Ay=r(")."),Fy=c(),ei=n("p"),xy=r("This model inherits from "),Vd=n("a"),Ey=r("PreTrainedModel"),My=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),zy=c(),ti=n("p"),jy=r("This model is also a PyTorch "),oi=n("a"),qy=r("torch.nn.Module"),Py=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Cy=c(),Ht=n("div"),y(ni.$$.fragment),Ly=c(),ln=n("p"),Iy=r("The "),Jd=n("a"),Oy=r("AlbertForQuestionAnswering"),Ny=r(" forward method, overrides the "),Vp=n("code"),Dy=r("__call__"),Sy=r(" special method."),Wy=c(),y(_s.$$.fragment),By=c(),y(bs.$$.fragment),nf=c(),dn=n("h2"),ks=n("a"),Jp=n("span"),y(si.$$.fragment),Uy=c(),Gp=n("span"),Ry=r("TFAlbertModel"),sf=c(),it=n("div"),y(ri.$$.fragment),Hy=c(),Xp=n("p"),Qy=r("The bare Albert Model transformer outputting raw hidden-states without any specific head on top."),Ky=c(),ai=n("p"),Vy=r("This model inherits from "),Gd=n("a"),Jy=r("TFPreTrainedModel"),Gy=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Xy=c(),ii=n("p"),Yy=r("This model is also a "),li=n("a"),Zy=r("tf.keras.Model"),eT=r(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),tT=c(),y(vs.$$.fragment),oT=c(),Qt=n("div"),y(di.$$.fragment),nT=c(),cn=n("p"),sT=r("The "),Xd=n("a"),rT=r("TFAlbertModel"),aT=r(" forward method, overrides the "),Yp=n("code"),iT=r("__call__"),lT=r(" special method."),dT=c(),y(ys.$$.fragment),cT=c(),y(Ts.$$.fragment),rf=c(),pn=n("h2"),ws=n("a"),Zp=n("span"),y(ci.$$.fragment),pT=c(),eh=n("span"),hT=r("TFAlbertForPreTraining"),af=c(),lt=n("div"),y(pi.$$.fragment),mT=c(),hn=n("p"),uT=r("Albert Model with two heads on top for pretraining: a "),th=n("code"),fT=r("masked language modeling"),gT=r(" head and a "),oh=n("code"),_T=r("sentence order prediction"),bT=r(" (classification) head."),kT=c(),hi=n("p"),vT=r("This model inherits from "),Yd=n("a"),yT=r("TFPreTrainedModel"),TT=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),wT=c(),mi=n("p"),$T=r("This model is also a "),ui=n("a"),AT=r("tf.keras.Model"),FT=r(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),xT=c(),y($s.$$.fragment),ET=c(),Kt=n("div"),y(fi.$$.fragment),MT=c(),mn=n("p"),zT=r("The "),Zd=n("a"),jT=r("TFAlbertForPreTraining"),qT=r(" forward method, overrides the "),nh=n("code"),PT=r("__call__"),CT=r(" special method."),LT=c(),y(As.$$.fragment),IT=c(),y(Fs.$$.fragment),lf=c(),un=n("h2"),xs=n("a"),sh=n("span"),y(gi.$$.fragment),OT=c(),rh=n("span"),NT=r("TFAlbertForMaskedLM"),df=c(),dt=n("div"),y(_i.$$.fragment),DT=c(),bi=n("p"),ST=r("Albert Model with a "),ah=n("code"),WT=r("language modeling"),BT=r(" head on top."),UT=c(),ki=n("p"),RT=r("This model inherits from "),ec=n("a"),HT=r("TFPreTrainedModel"),QT=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),KT=c(),vi=n("p"),VT=r("This model is also a "),yi=n("a"),JT=r("tf.keras.Model"),GT=r(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),XT=c(),y(Es.$$.fragment),YT=c(),$t=n("div"),y(Ti.$$.fragment),ZT=c(),fn=n("p"),e2=r("The "),tc=n("a"),t2=r("TFAlbertForMaskedLM"),o2=r(" forward method, overrides the "),ih=n("code"),n2=r("__call__"),s2=r(" special method."),r2=c(),y(Ms.$$.fragment),a2=c(),y(zs.$$.fragment),i2=c(),y(js.$$.fragment),cf=c(),gn=n("h2"),qs=n("a"),lh=n("span"),y(wi.$$.fragment),l2=c(),dh=n("span"),d2=r("TFAlbertForSequenceClassification"),pf=c(),ct=n("div"),y($i.$$.fragment),c2=c(),ch=n("p"),p2=r(`Albert Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),h2=c(),Ai=n("p"),m2=r("This model inherits from "),oc=n("a"),u2=r("TFPreTrainedModel"),f2=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),g2=c(),Fi=n("p"),_2=r("This model is also a "),xi=n("a"),b2=r("tf.keras.Model"),k2=r(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),v2=c(),y(Ps.$$.fragment),y2=c(),At=n("div"),y(Ei.$$.fragment),T2=c(),_n=n("p"),w2=r("The "),nc=n("a"),$2=r("TFAlbertForSequenceClassification"),A2=r(" forward method, overrides the "),ph=n("code"),F2=r("__call__"),x2=r(" special method."),E2=c(),y(Cs.$$.fragment),M2=c(),y(Ls.$$.fragment),z2=c(),y(Is.$$.fragment),hf=c(),bn=n("h2"),Os=n("a"),hh=n("span"),y(Mi.$$.fragment),j2=c(),mh=n("span"),q2=r("TFAlbertForMultipleChoice"),mf=c(),pt=n("div"),y(zi.$$.fragment),P2=c(),uh=n("p"),C2=r(`Albert Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),L2=c(),ji=n("p"),I2=r("This model inherits from "),sc=n("a"),O2=r("TFPreTrainedModel"),N2=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),D2=c(),qi=n("p"),S2=r("This model is also a "),Pi=n("a"),W2=r("tf.keras.Model"),B2=r(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),U2=c(),y(Ns.$$.fragment),R2=c(),Vt=n("div"),y(Ci.$$.fragment),H2=c(),kn=n("p"),Q2=r("The "),rc=n("a"),K2=r("TFAlbertForMultipleChoice"),V2=r(" forward method, overrides the "),fh=n("code"),J2=r("__call__"),G2=r(" special method."),X2=c(),y(Ds.$$.fragment),Y2=c(),y(Ss.$$.fragment),uf=c(),vn=n("h2"),Ws=n("a"),gh=n("span"),y(Li.$$.fragment),Z2=c(),_h=n("span"),ew=r("TFAlbertForTokenClassification"),ff=c(),ht=n("div"),y(Ii.$$.fragment),tw=c(),bh=n("p"),ow=r(`Albert Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),nw=c(),Oi=n("p"),sw=r("This model inherits from "),ac=n("a"),rw=r("TFPreTrainedModel"),aw=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),iw=c(),Ni=n("p"),lw=r("This model is also a "),Di=n("a"),dw=r("tf.keras.Model"),cw=r(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),pw=c(),y(Bs.$$.fragment),hw=c(),Ft=n("div"),y(Si.$$.fragment),mw=c(),yn=n("p"),uw=r("The "),ic=n("a"),fw=r("TFAlbertForTokenClassification"),gw=r(" forward method, overrides the "),kh=n("code"),_w=r("__call__"),bw=r(" special method."),kw=c(),y(Us.$$.fragment),vw=c(),y(Rs.$$.fragment),yw=c(),y(Hs.$$.fragment),gf=c(),Tn=n("h2"),Qs=n("a"),vh=n("span"),y(Wi.$$.fragment),Tw=c(),yh=n("span"),ww=r("TFAlbertForQuestionAnswering"),_f=c(),mt=n("div"),y(Bi.$$.fragment),$w=c(),wn=n("p"),Aw=r(`Albert Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layer on top of the hidden-states output to compute `),Th=n("code"),Fw=r("span start logits"),xw=r(" and "),wh=n("code"),Ew=r("span end logits"),Mw=r(")."),zw=c(),Ui=n("p"),jw=r("This model inherits from "),lc=n("a"),qw=r("TFPreTrainedModel"),Pw=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Cw=c(),Ri=n("p"),Lw=r("This model is also a "),Hi=n("a"),Iw=r("tf.keras.Model"),Ow=r(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Nw=c(),y(Ks.$$.fragment),Dw=c(),xt=n("div"),y(Qi.$$.fragment),Sw=c(),$n=n("p"),Ww=r("The "),dc=n("a"),Bw=r("TFAlbertForQuestionAnswering"),Uw=r(" forward method, overrides the "),$h=n("code"),Rw=r("__call__"),Hw=r(" special method."),Qw=c(),y(Vs.$$.fragment),Kw=c(),y(Js.$$.fragment),Vw=c(),y(Gs.$$.fragment),bf=c(),An=n("h2"),Xs=n("a"),Ah=n("span"),y(Ki.$$.fragment),Jw=c(),Fh=n("span"),Gw=r("FlaxAlbertModel"),kf=c(),et=n("div"),y(Vi.$$.fragment),Xw=c(),xh=n("p"),Yw=r("The bare Albert Model transformer outputting raw hidden-states without any specific head on top."),Zw=c(),Ji=n("p"),e1=r("This model inherits from "),cc=n("a"),t1=r("FlaxPreTrainedModel"),o1=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),n1=c(),Gi=n("p"),s1=r("This model is also a Flax Linen "),Xi=n("a"),r1=r("flax.linen.Module"),a1=r(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),i1=c(),Eh=n("p"),l1=r("Finally, this model supports inherent JAX features such as:"),d1=c(),ho=n("ul"),Mh=n("li"),Yi=n("a"),c1=r("Just-In-Time (JIT) compilation"),p1=c(),zh=n("li"),Zi=n("a"),h1=r("Automatic Differentiation"),m1=c(),jh=n("li"),el=n("a"),u1=r("Vectorization"),f1=c(),qh=n("li"),tl=n("a"),g1=r("Parallelization"),_1=c(),Jt=n("div"),y(ol.$$.fragment),b1=c(),Fn=n("p"),k1=r("The "),Ph=n("code"),v1=r("FlaxAlbertPreTrainedModel"),y1=r(" forward method, overrides the "),Ch=n("code"),T1=r("__call__"),w1=r(" special method."),$1=c(),y(Ys.$$.fragment),A1=c(),y(Zs.$$.fragment),vf=c(),xn=n("h2"),er=n("a"),Lh=n("span"),y(nl.$$.fragment),F1=c(),Ih=n("span"),x1=r("FlaxAlbertForPreTraining"),yf=c(),tt=n("div"),y(sl.$$.fragment),E1=c(),En=n("p"),M1=r("Albert Model with two heads on top as done during the pretraining: a "),Oh=n("code"),z1=r("masked language modeling"),j1=r(` head and a
`),Nh=n("code"),q1=r("sentence order prediction (classification)"),P1=r(" head."),C1=c(),rl=n("p"),L1=r("This model inherits from "),pc=n("a"),I1=r("FlaxPreTrainedModel"),O1=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),N1=c(),al=n("p"),D1=r("This model is also a Flax Linen "),il=n("a"),S1=r("flax.linen.Module"),W1=r(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),B1=c(),Dh=n("p"),U1=r("Finally, this model supports inherent JAX features such as:"),R1=c(),mo=n("ul"),Sh=n("li"),ll=n("a"),H1=r("Just-In-Time (JIT) compilation"),Q1=c(),Wh=n("li"),dl=n("a"),K1=r("Automatic Differentiation"),V1=c(),Bh=n("li"),cl=n("a"),J1=r("Vectorization"),G1=c(),Uh=n("li"),pl=n("a"),X1=r("Parallelization"),Y1=c(),Gt=n("div"),y(hl.$$.fragment),Z1=c(),Mn=n("p"),e$=r("The "),Rh=n("code"),t$=r("FlaxAlbertPreTrainedModel"),o$=r(" forward method, overrides the "),Hh=n("code"),n$=r("__call__"),s$=r(" special method."),r$=c(),y(tr.$$.fragment),a$=c(),y(or.$$.fragment),Tf=c(),zn=n("h2"),nr=n("a"),Qh=n("span"),y(ml.$$.fragment),i$=c(),Kh=n("span"),l$=r("FlaxAlbertForMaskedLM"),wf=c(),ot=n("div"),y(ul.$$.fragment),d$=c(),fl=n("p"),c$=r("Albert Model with a "),Vh=n("code"),p$=r("language modeling"),h$=r(" head on top."),m$=c(),gl=n("p"),u$=r("This model inherits from "),hc=n("a"),f$=r("FlaxPreTrainedModel"),g$=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),_$=c(),_l=n("p"),b$=r("This model is also a Flax Linen "),bl=n("a"),k$=r("flax.linen.Module"),v$=r(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),y$=c(),Jh=n("p"),T$=r("Finally, this model supports inherent JAX features such as:"),w$=c(),uo=n("ul"),Gh=n("li"),kl=n("a"),$$=r("Just-In-Time (JIT) compilation"),A$=c(),Xh=n("li"),vl=n("a"),F$=r("Automatic Differentiation"),x$=c(),Yh=n("li"),yl=n("a"),E$=r("Vectorization"),M$=c(),Zh=n("li"),Tl=n("a"),z$=r("Parallelization"),j$=c(),Xt=n("div"),y(wl.$$.fragment),q$=c(),jn=n("p"),P$=r("The "),em=n("code"),C$=r("FlaxAlbertPreTrainedModel"),L$=r(" forward method, overrides the "),tm=n("code"),I$=r("__call__"),O$=r(" special method."),N$=c(),y(sr.$$.fragment),D$=c(),y(rr.$$.fragment),$f=c(),qn=n("h2"),ar=n("a"),om=n("span"),y($l.$$.fragment),S$=c(),nm=n("span"),W$=r("FlaxAlbertForSequenceClassification"),Af=c(),nt=n("div"),y(Al.$$.fragment),B$=c(),sm=n("p"),U$=r(`Albert Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),R$=c(),Fl=n("p"),H$=r("This model inherits from "),mc=n("a"),Q$=r("FlaxPreTrainedModel"),K$=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),V$=c(),xl=n("p"),J$=r("This model is also a Flax Linen "),El=n("a"),G$=r("flax.linen.Module"),X$=r(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Y$=c(),rm=n("p"),Z$=r("Finally, this model supports inherent JAX features such as:"),eA=c(),fo=n("ul"),am=n("li"),Ml=n("a"),tA=r("Just-In-Time (JIT) compilation"),oA=c(),im=n("li"),zl=n("a"),nA=r("Automatic Differentiation"),sA=c(),lm=n("li"),jl=n("a"),rA=r("Vectorization"),aA=c(),dm=n("li"),ql=n("a"),iA=r("Parallelization"),lA=c(),Yt=n("div"),y(Pl.$$.fragment),dA=c(),Pn=n("p"),cA=r("The "),cm=n("code"),pA=r("FlaxAlbertPreTrainedModel"),hA=r(" forward method, overrides the "),pm=n("code"),mA=r("__call__"),uA=r(" special method."),fA=c(),y(ir.$$.fragment),gA=c(),y(lr.$$.fragment),Ff=c(),Cn=n("h2"),dr=n("a"),hm=n("span"),y(Cl.$$.fragment),_A=c(),mm=n("span"),bA=r("FlaxAlbertForMultipleChoice"),xf=c(),st=n("div"),y(Ll.$$.fragment),kA=c(),um=n("p"),vA=r(`Albert Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),yA=c(),Il=n("p"),TA=r("This model inherits from "),uc=n("a"),wA=r("FlaxPreTrainedModel"),$A=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),AA=c(),Ol=n("p"),FA=r("This model is also a Flax Linen "),Nl=n("a"),xA=r("flax.linen.Module"),EA=r(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),MA=c(),fm=n("p"),zA=r("Finally, this model supports inherent JAX features such as:"),jA=c(),go=n("ul"),gm=n("li"),Dl=n("a"),qA=r("Just-In-Time (JIT) compilation"),PA=c(),_m=n("li"),Sl=n("a"),CA=r("Automatic Differentiation"),LA=c(),bm=n("li"),Wl=n("a"),IA=r("Vectorization"),OA=c(),km=n("li"),Bl=n("a"),NA=r("Parallelization"),DA=c(),Zt=n("div"),y(Ul.$$.fragment),SA=c(),Ln=n("p"),WA=r("The "),vm=n("code"),BA=r("FlaxAlbertPreTrainedModel"),UA=r(" forward method, overrides the "),ym=n("code"),RA=r("__call__"),HA=r(" special method."),QA=c(),y(cr.$$.fragment),KA=c(),y(pr.$$.fragment),Ef=c(),In=n("h2"),hr=n("a"),Tm=n("span"),y(Rl.$$.fragment),VA=c(),wm=n("span"),JA=r("FlaxAlbertForTokenClassification"),Mf=c(),rt=n("div"),y(Hl.$$.fragment),GA=c(),$m=n("p"),XA=r(`Albert Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),YA=c(),Ql=n("p"),ZA=r("This model inherits from "),fc=n("a"),eF=r("FlaxPreTrainedModel"),tF=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),oF=c(),Kl=n("p"),nF=r("This model is also a Flax Linen "),Vl=n("a"),sF=r("flax.linen.Module"),rF=r(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),aF=c(),Am=n("p"),iF=r("Finally, this model supports inherent JAX features such as:"),lF=c(),_o=n("ul"),Fm=n("li"),Jl=n("a"),dF=r("Just-In-Time (JIT) compilation"),cF=c(),xm=n("li"),Gl=n("a"),pF=r("Automatic Differentiation"),hF=c(),Em=n("li"),Xl=n("a"),mF=r("Vectorization"),uF=c(),Mm=n("li"),Yl=n("a"),fF=r("Parallelization"),gF=c(),eo=n("div"),y(Zl.$$.fragment),_F=c(),On=n("p"),bF=r("The "),zm=n("code"),kF=r("FlaxAlbertPreTrainedModel"),vF=r(" forward method, overrides the "),jm=n("code"),yF=r("__call__"),TF=r(" special method."),wF=c(),y(mr.$$.fragment),$F=c(),y(ur.$$.fragment),zf=c(),Nn=n("h2"),fr=n("a"),qm=n("span"),y(ed.$$.fragment),AF=c(),Pm=n("span"),FF=r("FlaxAlbertForQuestionAnswering"),jf=c(),at=n("div"),y(td.$$.fragment),xF=c(),Dn=n("p"),EF=r(`Albert Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),Cm=n("code"),MF=r("span start logits"),zF=r(" and "),Lm=n("code"),jF=r("span end logits"),qF=r(")."),PF=c(),od=n("p"),CF=r("This model inherits from "),gc=n("a"),LF=r("FlaxPreTrainedModel"),IF=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),OF=c(),nd=n("p"),NF=r("This model is also a Flax Linen "),sd=n("a"),DF=r("flax.linen.Module"),SF=r(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),WF=c(),Im=n("p"),BF=r("Finally, this model supports inherent JAX features such as:"),UF=c(),bo=n("ul"),Om=n("li"),rd=n("a"),RF=r("Just-In-Time (JIT) compilation"),HF=c(),Nm=n("li"),ad=n("a"),QF=r("Automatic Differentiation"),KF=c(),Dm=n("li"),id=n("a"),VF=r("Vectorization"),JF=c(),Sm=n("li"),ld=n("a"),GF=r("Parallelization"),XF=c(),to=n("div"),y(dd.$$.fragment),YF=c(),Sn=n("p"),ZF=r("The "),Wm=n("code"),e0=r("FlaxAlbertPreTrainedModel"),t0=r(" forward method, overrides the "),Bm=n("code"),o0=r("__call__"),n0=r(" special method."),s0=c(),y(gr.$$.fragment),r0=c(),y(_r.$$.fragment),this.h()},l(o){const _=d5('[data-svelte="svelte-1phssyn"]',document.head);d=s(_,"META",{name:!0,content:!0}),_.forEach(t),k=p(o),m=s(o,"H1",{class:!0});var cd=i(m);f=s(cd,"A",{id:!0,class:!0,href:!0});var Um=i(f);b=s(Um,"SPAN",{});var Rm=i(b);T(l.$$.fragment,Rm),Rm.forEach(t),Um.forEach(t),h=p(cd),M=s(cd,"SPAN",{});var Hm=i(M);$e=a(Hm,"ALBERT"),Hm.forEach(t),cd.forEach(t),ke=p(o),W=s(o,"DIV",{class:!0});var pd=i(W);de=s(pd,"A",{href:!0});var Qm=i(de);Z=s(Qm,"IMG",{alt:!0,src:!0}),Qm.forEach(t),Ae=p(pd),R=s(pd,"A",{href:!0});var Km=i(R);ce=s(Km,"IMG",{alt:!0,src:!0}),Km.forEach(t),pd.forEach(t),J=p(o),se=s(o,"H2",{class:!0});var hd=i(se);re=s(hd,"A",{id:!0,class:!0,href:!0});var Vm=i(re);H=s(Vm,"SPAN",{});var Jm=i(H);T(ie.$$.fragment,Jm),Jm.forEach(t),Vm.forEach(t),Fe=p(hd),Q=s(hd,"SPAN",{});var Gm=i(Q);xe=a(Gm,"Overview"),Gm.forEach(t),hd.forEach(t),ve=p(o),B=s(o,"P",{});var md=i(B);Ee=a(md,"The ALBERT model was proposed in "),le=s(md,"A",{href:!0,rel:!0});var Xm=i(le);ee=a(Xm,"ALBERT: A Lite BERT for Self-supervised Learning of Language Representations"),Xm.forEach(t),q=a(md,` by Zhenzhong Lan, Mingda Chen, Sebastian Goodman, Kevin Gimpel, Piyush Sharma,
Radu Soricut. It presents two parameter-reduction techniques to lower memory consumption and increase the training
speed of BERT:`),md.forEach(t),C=p(o),ae=s(o,"UL",{});var ud=i(ae);K=s(ud,"LI",{});var Ym=i(K);Me=a(Ym,"Splitting the embedding matrix into two smaller matrices."),Ym.forEach(t),ze=p(ud),V=s(ud,"LI",{});var Zm=i(V);je=a(Zm,"Using repeating layers split among groups."),Zm.forEach(t),ud.forEach(t),ye=p(o),P=s(o,"P",{});var eu=i(P);qe=a(eu,"The abstract from the paper is the following:"),eu.forEach(t),G=p(o),pe=s(o,"P",{});var tu=i(pe);me=s(tu,"EM",{});var ou=i(me);Y=a(ou,`Increasing model size when pretraining natural language representations often results in improved performance on
downstream tasks. However, at some point further model increases become harder due to GPU/TPU memory limitations,
longer training times, and unexpected model degradation. To address these problems, we present two parameter-reduction
techniques to lower memory consumption and increase the training speed of BERT. Comprehensive empirical evidence shows
that our proposed methods lead to models that scale much better compared to the original BERT. We also use a
self-supervised loss that focuses on modeling inter-sentence coherence, and show it consistently helps downstream tasks
with multi-sentence inputs. As a result, our best model establishes new state-of-the-art results on the GLUE, RACE, and
SQuAD benchmarks while having fewer parameters compared to BERT-large.`),ou.forEach(t),tu.forEach(t),Te=p(o),he=s(o,"P",{});var nu=i(he);D=a(nu,"Tips:"),nu.forEach(t),we=p(o),O=s(o,"UL",{});var ko=i(O);ue=s(ko,"LI",{});var su=i(ue);te=a(su,`ALBERT is a model with absolute position embeddings so it\u2019s usually advised to pad the inputs on the right rather
than the left.`),su.forEach(t),L=p(ko),fe=s(ko,"LI",{});var ru=i(fe);I=a(ru,`ALBERT uses repeating layers which results in a small memory footprint, however the computational cost remains
similar to a BERT-like architecture with the same number of hidden layers as it has to iterate through the same
number of (repeating) layers.`),ru.forEach(t),Pe=p(ko),ge=s(ko,"LI",{});var au=i(ge);v=a(au,"Embedding size E is different from hidden size H justified because the embeddings are context independent (one embedding vector represents one token), whereas hidden states are context dependent (one hidden state represents a sequence of tokens) so it\u2019s more logical to have H >> E. Also, the embedding matrix is large since it\u2019s V x E (V being the vocab size). If E < H, it has less parameters."),au.forEach(t),z=p(ko),He=s(ko,"LI",{});var iu=i(He);oe=a(iu,`Layers are split in groups that share parameters (to save memory).
Next sentence prediction is replaced by a sentence ordering prediction: in the inputs, we have two sentences A and B (that are consecutive) and we either feed A followed by B or B followed by A. The model must predict if they have been swapped or not.`),iu.forEach(t),ko.forEach(t),Ke=p(o),_e=s(o,"P",{});var vo=i(_e);j=a(vo,"This model was contributed by "),Se=s(vo,"A",{href:!0,rel:!0});var lu=i(Se);Ve=a(lu,"lysandre"),lu.forEach(t),Je=a(vo,`. This model jax version was contributed by
`),We=s(vo,"A",{href:!0,rel:!0});var du=i(We);Ge=a(du,"kamalkraj"),du.forEach(t),S=a(vo,". The original code can be found "),U=s(vo,"A",{href:!0,rel:!0});var cu=i(U);Xe=a(cu,"here"),cu.forEach(t),Ye=a(vo,"."),vo.forEach(t),X=p(o),Le=s(o,"H2",{class:!0});var fd=i(Le);De=s(fd,"A",{id:!0,class:!0,href:!0});var pu=i(De);be=s(pu,"SPAN",{});var hu=i(be);T(Be.$$.fragment,hu),hu.forEach(t),pu.forEach(t),ne=p(fd),Qe=s(fd,"SPAN",{});var mu=i(Qe);n_=a(mu,"Documentation resources"),mu.forEach(t),fd.forEach(t),Pu=p(o),yt=s(o,"UL",{});var Nt=i(yt);Kc=s(Nt,"LI",{});var uu=i(Kc);bd=s(uu,"A",{href:!0});var fu=i(bd);s_=a(fu,"Text classification task guide"),fu.forEach(t),uu.forEach(t),r_=p(Nt),Vc=s(Nt,"LI",{});var gu=i(Vc);kd=s(gu,"A",{href:!0});var _u=i(kd);a_=a(_u,"Token classification task guide"),_u.forEach(t),gu.forEach(t),i_=p(Nt),Jc=s(Nt,"LI",{});var bu=i(Jc);vd=s(bu,"A",{href:!0});var ku=i(vd);l_=a(ku,"Question answering task guide"),ku.forEach(t),bu.forEach(t),d_=p(Nt),Gc=s(Nt,"LI",{});var vu=i(Gc);yd=s(vu,"A",{href:!0});var yu=i(yd);c_=a(yu,"Masked language modeling task guide"),yu.forEach(t),vu.forEach(t),p_=p(Nt),Xc=s(Nt,"LI",{});var Tu=i(Xc);Td=s(Tu,"A",{href:!0});var wu=i(Td);h_=a(wu,"Multiple choice task guide"),wu.forEach(t),Tu.forEach(t),Nt.forEach(t),Cu=p(o),No=s(o,"H2",{class:!0});var gd=i(No);Bn=s(gd,"A",{id:!0,class:!0,href:!0});var $u=i(Bn);Yc=s($u,"SPAN",{});var Au=i(Yc);T(Rr.$$.fragment,Au),Au.forEach(t),$u.forEach(t),m_=p(gd),Zc=s(gd,"SPAN",{});var Fu=i(Zc);u_=a(Fu,"AlbertConfig"),Fu.forEach(t),gd.forEach(t),Lu=p(o),It=s(o,"DIV",{class:!0});var yo=i(It);T(Hr.$$.fragment,yo),f_=p(yo),co=s(yo,"P",{});var To=i(co);g_=a(To,"This is the configuration class to store the configuration of a "),wd=s(To,"A",{href:!0});var xu=i(wd);__=a(xu,"AlbertModel"),xu.forEach(t),b_=a(To," or a "),$d=s(To,"A",{href:!0});var Eu=i($d);k_=a(Eu,"TFAlbertModel"),Eu.forEach(t),v_=a(To,`. It is used
to instantiate an ALBERT model according to the specified arguments, defining the model architecture. Instantiating
a configuration with the defaults will yield a similar configuration to that of the ALBERT
`),Qr=s(To,"A",{href:!0,rel:!0});var Mu=i(Qr);y_=a(Mu,"albert-xxlarge-v2"),Mu.forEach(t),T_=a(To," architecture."),To.forEach(t),w_=p(yo),Do=s(yo,"P",{});var Wn=i(Do);$_=a(Wn,"Configuration objects inherit from "),Ad=s(Wn,"A",{href:!0});var zu=i(Ad);A_=a(zu,"PretrainedConfig"),zu.forEach(t),F_=a(Wn,` and can be used to control the model outputs. Read the
documentation from `),Fd=s(Wn,"A",{href:!0});var ju=i(Fd);x_=a(ju,"PretrainedConfig"),ju.forEach(t),E_=a(Wn," for more information."),Wn.forEach(t),M_=p(yo),T(Un.$$.fragment,yo),yo.forEach(t),Iu=p(o),So=s(o,"H2",{class:!0});var _d=i(So);Rn=s(_d,"A",{id:!0,class:!0,href:!0});var qu=i(Rn);ep=s(qu,"SPAN",{});var c0=i(ep);T(Kr.$$.fragment,c0),c0.forEach(t),qu.forEach(t),z_=p(_d),tp=s(_d,"SPAN",{});var p0=i(tp);j_=a(p0,"AlbertTokenizer"),p0.forEach(t),_d.forEach(t),Ou=p(o),Ze=s(o,"DIV",{class:!0});var Et=i(Ze);T(Vr.$$.fragment,Et),q_=p(Et),Jr=s(Et,"P",{});var Pf=i(Jr);P_=a(Pf,"Construct an ALBERT tokenizer. Based on "),Gr=s(Pf,"A",{href:!0,rel:!0});var h0=i(Gr);C_=a(h0,"SentencePiece"),h0.forEach(t),L_=a(Pf,"."),Pf.forEach(t),I_=p(Et),Xr=s(Et,"P",{});var Cf=i(Xr);O_=a(Cf,"This tokenizer inherits from "),xd=s(Cf,"A",{href:!0});var m0=i(xd);N_=a(m0,"PreTrainedTokenizer"),m0.forEach(t),D_=a(Cf,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),Cf.forEach(t),S_=p(Et),wo=s(Et,"DIV",{class:!0});var _c=i(wo);T(Yr.$$.fragment,_c),W_=p(_c),op=s(_c,"P",{});var u0=i(op);B_=a(u0,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An ALBERT sequence has the following format:`),u0.forEach(t),U_=p(_c),Zr=s(_c,"UL",{});var Lf=i(Zr);Ed=s(Lf,"LI",{});var a0=i(Ed);R_=a(a0,"single sequence: "),np=s(a0,"CODE",{});var f0=i(np);H_=a(f0,"[CLS] X [SEP]"),f0.forEach(t),a0.forEach(t),Q_=p(Lf),Md=s(Lf,"LI",{});var i0=i(Md);K_=a(i0,"pair of sequences: "),sp=s(i0,"CODE",{});var g0=i(sp);V_=a(g0,"[CLS] A [SEP] B [SEP]"),g0.forEach(t),i0.forEach(t),Lf.forEach(t),_c.forEach(t),J_=p(Et),Hn=s(Et,"DIV",{class:!0});var If=i(Hn);T(ea.$$.fragment,If),G_=p(If),ta=s(If,"P",{});var Of=i(ta);X_=a(Of,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),rp=s(Of,"CODE",{});var _0=i(rp);Y_=a(_0,"prepare_for_model"),_0.forEach(t),Z_=a(Of," method."),Of.forEach(t),If.forEach(t),eb=p(Et),Dt=s(Et,"DIV",{class:!0});var br=i(Dt);T(oa.$$.fragment,br),tb=p(br),ap=s(br,"P",{});var b0=i(ap);ob=a(b0,"Create a mask from the two sequences passed to be used in a sequence-pair classification task. An ALBERT"),b0.forEach(t),nb=p(br),T(Qn.$$.fragment,br),sb=p(br),Wo=s(br,"P",{});var bc=i(Wo);rb=a(bc,"If "),ip=s(bc,"CODE",{});var k0=i(ip);ab=a(k0,"token_ids_1"),k0.forEach(t),ib=a(bc," is "),lp=s(bc,"CODE",{});var v0=i(lp);lb=a(v0,"None"),v0.forEach(t),db=a(bc,", this method only returns the first portion of the mask (0s)."),bc.forEach(t),br.forEach(t),cb=p(Et),zd=s(Et,"DIV",{class:!0});var y0=i(zd);T(na.$$.fragment,y0),y0.forEach(t),Et.forEach(t),Nu=p(o),Bo=s(o,"H2",{class:!0});var Nf=i(Bo);Kn=s(Nf,"A",{id:!0,class:!0,href:!0});var T0=i(Kn);dp=s(T0,"SPAN",{});var w0=i(dp);T(sa.$$.fragment,w0),w0.forEach(t),T0.forEach(t),pb=p(Nf),cp=s(Nf,"SPAN",{});var $0=i(cp);hb=a($0,"AlbertTokenizerFast"),$0.forEach(t),Nf.forEach(t),Du=p(o),Ot=s(o,"DIV",{class:!0});var kr=i(Ot);T(ra.$$.fragment,kr),mb=p(kr),po=s(kr,"P",{});var vr=i(po);ub=a(vr,"Construct a \u201Cfast\u201D ALBERT tokenizer (backed by HuggingFace\u2019s "),pp=s(vr,"EM",{});var A0=i(pp);fb=a(A0,"tokenizers"),A0.forEach(t),gb=a(vr,` library). Based on
`),aa=s(vr,"A",{href:!0,rel:!0});var F0=i(aa);_b=a(F0,"Unigram"),F0.forEach(t),bb=a(vr,`. This
tokenizer inherits from `),jd=s(vr,"A",{href:!0});var x0=i(jd);kb=a(x0,"PreTrainedTokenizerFast"),x0.forEach(t),vb=a(vr,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods`),vr.forEach(t),yb=p(kr),$o=s(kr,"DIV",{class:!0});var kc=i($o);T(ia.$$.fragment,kc),Tb=p(kc),hp=s(kc,"P",{});var E0=i(hp);wb=a(E0,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An ALBERT sequence has the following format:`),E0.forEach(t),$b=p(kc),la=s(kc,"UL",{});var Df=i(la);qd=s(Df,"LI",{});var l0=i(qd);Ab=a(l0,"single sequence: "),mp=s(l0,"CODE",{});var M0=i(mp);Fb=a(M0,"[CLS] X [SEP]"),M0.forEach(t),l0.forEach(t),xb=p(Df),Pd=s(Df,"LI",{});var d0=i(Pd);Eb=a(d0,"pair of sequences: "),up=s(d0,"CODE",{});var z0=i(up);Mb=a(z0,"[CLS] A [SEP] B [SEP]"),z0.forEach(t),d0.forEach(t),Df.forEach(t),kc.forEach(t),zb=p(kr),St=s(kr,"DIV",{class:!0});var yr=i(St);T(da.$$.fragment,yr),jb=p(yr),fp=s(yr,"P",{});var j0=i(fp);qb=a(j0,"Creates a mask from the two sequences passed to be used in a sequence-pair classification task. An ALBERT"),j0.forEach(t),Pb=p(yr),T(Vn.$$.fragment,yr),Cb=p(yr),gp=s(yr,"P",{});var q0=i(gp);Lb=a(q0,"if token_ids_1 is None, only returns the first portion of the mask (0s)."),q0.forEach(t),yr.forEach(t),kr.forEach(t),Su=p(o),Uo=s(o,"H2",{class:!0});var Sf=i(Uo);Jn=s(Sf,"A",{id:!0,class:!0,href:!0});var P0=i(Jn);_p=s(P0,"SPAN",{});var C0=i(_p);T(ca.$$.fragment,C0),C0.forEach(t),P0.forEach(t),Ib=p(Sf),bp=s(Sf,"SPAN",{});var L0=i(bp);Ob=a(L0,"Albert specific outputs"),L0.forEach(t),Sf.forEach(t),Wu=p(o),Ro=s(o,"DIV",{class:!0});var Wf=i(Ro);T(pa.$$.fragment,Wf),Nb=p(Wf),ha=s(Wf,"P",{});var Bf=i(ha);Db=a(Bf,"Output type of "),Cd=s(Bf,"A",{href:!0});var I0=i(Cd);Sb=a(I0,"AlbertForPreTraining"),I0.forEach(t),Wb=a(Bf,"."),Bf.forEach(t),Wf.forEach(t),Bu=p(o),Ho=s(o,"DIV",{class:!0});var Uf=i(Ho);T(ma.$$.fragment,Uf),Bb=p(Uf),ua=s(Uf,"P",{});var Rf=i(ua);Ub=a(Rf,"Output type of "),Ld=s(Rf,"A",{href:!0});var O0=i(Ld);Rb=a(O0,"TFAlbertForPreTraining"),O0.forEach(t),Hb=a(Rf,"."),Rf.forEach(t),Uf.forEach(t),Uu=p(o),Qo=s(o,"H2",{class:!0});var Hf=i(Qo);Gn=s(Hf,"A",{id:!0,class:!0,href:!0});var N0=i(Gn);kp=s(N0,"SPAN",{});var D0=i(kp);T(fa.$$.fragment,D0),D0.forEach(t),N0.forEach(t),Qb=p(Hf),vp=s(Hf,"SPAN",{});var S0=i(vp);Kb=a(S0,"AlbertModel"),S0.forEach(t),Hf.forEach(t),Ru=p(o),ut=s(o,"DIV",{class:!0});var Ao=i(ut);T(ga.$$.fragment,Ao),Vb=p(Ao),yp=s(Ao,"P",{});var W0=i(yp);Jb=a(W0,"The bare ALBERT Model transformer outputting raw hidden-states without any specific head on top."),W0.forEach(t),Gb=p(Ao),_a=s(Ao,"P",{});var Qf=i(_a);Xb=a(Qf,"This model inherits from "),Id=s(Qf,"A",{href:!0});var B0=i(Id);Yb=a(B0,"PreTrainedModel"),B0.forEach(t),Zb=a(Qf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Qf.forEach(t),ek=p(Ao),ba=s(Ao,"P",{});var Kf=i(ba);tk=a(Kf,"This model is also a PyTorch "),ka=s(Kf,"A",{href:!0,rel:!0});var U0=i(ka);ok=a(U0,"torch.nn.Module"),U0.forEach(t),nk=a(Kf,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Kf.forEach(t),sk=p(Ao),Wt=s(Ao,"DIV",{class:!0});var Tr=i(Wt);T(va.$$.fragment,Tr),rk=p(Tr),Ko=s(Tr,"P",{});var vc=i(Ko);ak=a(vc,"The "),Od=s(vc,"A",{href:!0});var R0=i(Od);ik=a(R0,"AlbertModel"),R0.forEach(t),lk=a(vc," forward method, overrides the "),Tp=s(vc,"CODE",{});var H0=i(Tp);dk=a(H0,"__call__"),H0.forEach(t),ck=a(vc," special method."),vc.forEach(t),pk=p(Tr),T(Xn.$$.fragment,Tr),hk=p(Tr),T(Yn.$$.fragment,Tr),Tr.forEach(t),Ao.forEach(t),Hu=p(o),Vo=s(o,"H2",{class:!0});var Vf=i(Vo);Zn=s(Vf,"A",{id:!0,class:!0,href:!0});var Q0=i(Zn);wp=s(Q0,"SPAN",{});var K0=i(wp);T(ya.$$.fragment,K0),K0.forEach(t),Q0.forEach(t),mk=p(Vf),$p=s(Vf,"SPAN",{});var V0=i($p);uk=a(V0,"AlbertForPreTraining"),V0.forEach(t),Vf.forEach(t),Qu=p(o),ft=s(o,"DIV",{class:!0});var Fo=i(ft);T(Ta.$$.fragment,Fo),fk=p(Fo),Jo=s(Fo,"P",{});var yc=i(Jo);gk=a(yc,"Albert Model with two heads on top as done during the pretraining: a "),Ap=s(yc,"CODE",{});var J0=i(Ap);_k=a(J0,"masked language modeling"),J0.forEach(t),bk=a(yc,` head and a
`),Fp=s(yc,"CODE",{});var G0=i(Fp);kk=a(G0,"sentence order prediction (classification)"),G0.forEach(t),vk=a(yc," head."),yc.forEach(t),yk=p(Fo),wa=s(Fo,"P",{});var Jf=i(wa);Tk=a(Jf,"This model inherits from "),Nd=s(Jf,"A",{href:!0});var X0=i(Nd);wk=a(X0,"PreTrainedModel"),X0.forEach(t),$k=a(Jf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Jf.forEach(t),Ak=p(Fo),$a=s(Fo,"P",{});var Gf=i($a);Fk=a(Gf,"This model is also a PyTorch "),Aa=s(Gf,"A",{href:!0,rel:!0});var Y0=i(Aa);xk=a(Y0,"torch.nn.Module"),Y0.forEach(t),Ek=a(Gf,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Gf.forEach(t),Mk=p(Fo),Bt=s(Fo,"DIV",{class:!0});var wr=i(Bt);T(Fa.$$.fragment,wr),zk=p(wr),Go=s(wr,"P",{});var Tc=i(Go);jk=a(Tc,"The "),Dd=s(Tc,"A",{href:!0});var Z0=i(Dd);qk=a(Z0,"AlbertForPreTraining"),Z0.forEach(t),Pk=a(Tc," forward method, overrides the "),xp=s(Tc,"CODE",{});var e4=i(xp);Ck=a(e4,"__call__"),e4.forEach(t),Lk=a(Tc," special method."),Tc.forEach(t),Ik=p(wr),T(es.$$.fragment,wr),Ok=p(wr),T(ts.$$.fragment,wr),wr.forEach(t),Fo.forEach(t),Ku=p(o),Xo=s(o,"H2",{class:!0});var Xf=i(Xo);os=s(Xf,"A",{id:!0,class:!0,href:!0});var t4=i(os);Ep=s(t4,"SPAN",{});var o4=i(Ep);T(xa.$$.fragment,o4),o4.forEach(t),t4.forEach(t),Nk=p(Xf),Mp=s(Xf,"SPAN",{});var n4=i(Mp);Dk=a(n4,"AlbertForMaskedLM"),n4.forEach(t),Xf.forEach(t),Vu=p(o),gt=s(o,"DIV",{class:!0});var xo=i(gt);T(Ea.$$.fragment,xo),Sk=p(xo),Ma=s(xo,"P",{});var Yf=i(Ma);Wk=a(Yf,"Albert Model with a "),zp=s(Yf,"CODE",{});var s4=i(zp);Bk=a(s4,"language modeling"),s4.forEach(t),Uk=a(Yf," head on top."),Yf.forEach(t),Rk=p(xo),za=s(xo,"P",{});var Zf=i(za);Hk=a(Zf,"This model inherits from "),Sd=s(Zf,"A",{href:!0});var r4=i(Sd);Qk=a(r4,"PreTrainedModel"),r4.forEach(t),Kk=a(Zf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Zf.forEach(t),Vk=p(xo),ja=s(xo,"P",{});var eg=i(ja);Jk=a(eg,"This model is also a PyTorch "),qa=s(eg,"A",{href:!0,rel:!0});var a4=i(qa);Gk=a(a4,"torch.nn.Module"),a4.forEach(t),Xk=a(eg,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),eg.forEach(t),Yk=p(xo),Tt=s(xo,"DIV",{class:!0});var Eo=i(Tt);T(Pa.$$.fragment,Eo),Zk=p(Eo),Yo=s(Eo,"P",{});var wc=i(Yo);ev=a(wc,"The "),Wd=s(wc,"A",{href:!0});var i4=i(Wd);tv=a(i4,"AlbertForMaskedLM"),i4.forEach(t),ov=a(wc," forward method, overrides the "),jp=s(wc,"CODE",{});var l4=i(jp);nv=a(l4,"__call__"),l4.forEach(t),sv=a(wc," special method."),wc.forEach(t),rv=p(Eo),T(ns.$$.fragment,Eo),av=p(Eo),T(ss.$$.fragment,Eo),iv=p(Eo),T(rs.$$.fragment,Eo),Eo.forEach(t),xo.forEach(t),Ju=p(o),Zo=s(o,"H2",{class:!0});var tg=i(Zo);as=s(tg,"A",{id:!0,class:!0,href:!0});var d4=i(as);qp=s(d4,"SPAN",{});var c4=i(qp);T(Ca.$$.fragment,c4),c4.forEach(t),d4.forEach(t),lv=p(tg),Pp=s(tg,"SPAN",{});var p4=i(Pp);dv=a(p4,"AlbertForSequenceClassification"),p4.forEach(t),tg.forEach(t),Gu=p(o),_t=s(o,"DIV",{class:!0});var Mo=i(_t);T(La.$$.fragment,Mo),cv=p(Mo),Cp=s(Mo,"P",{});var h4=i(Cp);pv=a(h4,`Albert Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),h4.forEach(t),hv=p(Mo),Ia=s(Mo,"P",{});var og=i(Ia);mv=a(og,"This model inherits from "),Bd=s(og,"A",{href:!0});var m4=i(Bd);uv=a(m4,"PreTrainedModel"),m4.forEach(t),fv=a(og,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),og.forEach(t),gv=p(Mo),Oa=s(Mo,"P",{});var ng=i(Oa);_v=a(ng,"This model is also a PyTorch "),Na=s(ng,"A",{href:!0,rel:!0});var u4=i(Na);bv=a(u4,"torch.nn.Module"),u4.forEach(t),kv=a(ng,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ng.forEach(t),vv=p(Mo),wt=s(Mo,"DIV",{class:!0});var zo=i(wt);T(Da.$$.fragment,zo),yv=p(zo),en=s(zo,"P",{});var $c=i(en);Tv=a($c,"The "),Ud=s($c,"A",{href:!0});var f4=i(Ud);wv=a(f4,"AlbertForSequenceClassification"),f4.forEach(t),$v=a($c," forward method, overrides the "),Lp=s($c,"CODE",{});var g4=i(Lp);Av=a(g4,"__call__"),g4.forEach(t),Fv=a($c," special method."),$c.forEach(t),xv=p(zo),T(is.$$.fragment,zo),Ev=p(zo),T(ls.$$.fragment,zo),Mv=p(zo),T(ds.$$.fragment,zo),zo.forEach(t),Mo.forEach(t),Xu=p(o),tn=s(o,"H2",{class:!0});var sg=i(tn);cs=s(sg,"A",{id:!0,class:!0,href:!0});var _4=i(cs);Ip=s(_4,"SPAN",{});var b4=i(Ip);T(Sa.$$.fragment,b4),b4.forEach(t),_4.forEach(t),zv=p(sg),Op=s(sg,"SPAN",{});var k4=i(Op);jv=a(k4,"AlbertForMultipleChoice"),k4.forEach(t),sg.forEach(t),Yu=p(o),bt=s(o,"DIV",{class:!0});var jo=i(bt);T(Wa.$$.fragment,jo),qv=p(jo),Np=s(jo,"P",{});var v4=i(Np);Pv=a(v4,`Albert Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),v4.forEach(t),Cv=p(jo),Ba=s(jo,"P",{});var rg=i(Ba);Lv=a(rg,"This model inherits from "),Rd=s(rg,"A",{href:!0});var y4=i(Rd);Iv=a(y4,"PreTrainedModel"),y4.forEach(t),Ov=a(rg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),rg.forEach(t),Nv=p(jo),Ua=s(jo,"P",{});var ag=i(Ua);Dv=a(ag,"This model is also a PyTorch "),Ra=s(ag,"A",{href:!0,rel:!0});var T4=i(Ra);Sv=a(T4,"torch.nn.Module"),T4.forEach(t),Wv=a(ag,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ag.forEach(t),Bv=p(jo),Ut=s(jo,"DIV",{class:!0});var $r=i(Ut);T(Ha.$$.fragment,$r),Uv=p($r),on=s($r,"P",{});var Ac=i(on);Rv=a(Ac,"The "),Hd=s(Ac,"A",{href:!0});var w4=i(Hd);Hv=a(w4,"AlbertForMultipleChoice"),w4.forEach(t),Qv=a(Ac," forward method, overrides the "),Dp=s(Ac,"CODE",{});var $4=i(Dp);Kv=a($4,"__call__"),$4.forEach(t),Vv=a(Ac," special method."),Ac.forEach(t),Jv=p($r),T(ps.$$.fragment,$r),Gv=p($r),T(hs.$$.fragment,$r),$r.forEach(t),jo.forEach(t),Zu=p(o),nn=s(o,"H2",{class:!0});var ig=i(nn);ms=s(ig,"A",{id:!0,class:!0,href:!0});var A4=i(ms);Sp=s(A4,"SPAN",{});var F4=i(Sp);T(Qa.$$.fragment,F4),F4.forEach(t),A4.forEach(t),Xv=p(ig),Wp=s(ig,"SPAN",{});var x4=i(Wp);Yv=a(x4,"AlbertForTokenClassification"),x4.forEach(t),ig.forEach(t),ef=p(o),kt=s(o,"DIV",{class:!0});var qo=i(kt);T(Ka.$$.fragment,qo),Zv=p(qo),Bp=s(qo,"P",{});var E4=i(Bp);ey=a(E4,`Albert Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),E4.forEach(t),ty=p(qo),Va=s(qo,"P",{});var lg=i(Va);oy=a(lg,"This model inherits from "),Qd=s(lg,"A",{href:!0});var M4=i(Qd);ny=a(M4,"PreTrainedModel"),M4.forEach(t),sy=a(lg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),lg.forEach(t),ry=p(qo),Ja=s(qo,"P",{});var dg=i(Ja);ay=a(dg,"This model is also a PyTorch "),Ga=s(dg,"A",{href:!0,rel:!0});var z4=i(Ga);iy=a(z4,"torch.nn.Module"),z4.forEach(t),ly=a(dg,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),dg.forEach(t),dy=p(qo),Rt=s(qo,"DIV",{class:!0});var Ar=i(Rt);T(Xa.$$.fragment,Ar),cy=p(Ar),sn=s(Ar,"P",{});var Fc=i(sn);py=a(Fc,"The "),Kd=s(Fc,"A",{href:!0});var j4=i(Kd);hy=a(j4,"AlbertForTokenClassification"),j4.forEach(t),my=a(Fc," forward method, overrides the "),Up=s(Fc,"CODE",{});var q4=i(Up);uy=a(q4,"__call__"),q4.forEach(t),fy=a(Fc," special method."),Fc.forEach(t),gy=p(Ar),T(us.$$.fragment,Ar),_y=p(Ar),T(fs.$$.fragment,Ar),Ar.forEach(t),qo.forEach(t),tf=p(o),rn=s(o,"H2",{class:!0});var cg=i(rn);gs=s(cg,"A",{id:!0,class:!0,href:!0});var P4=i(gs);Rp=s(P4,"SPAN",{});var C4=i(Rp);T(Ya.$$.fragment,C4),C4.forEach(t),P4.forEach(t),by=p(cg),Hp=s(cg,"SPAN",{});var L4=i(Hp);ky=a(L4,"AlbertForQuestionAnswering"),L4.forEach(t),cg.forEach(t),of=p(o),vt=s(o,"DIV",{class:!0});var Po=i(vt);T(Za.$$.fragment,Po),vy=p(Po),an=s(Po,"P",{});var xc=i(an);yy=a(xc,`Albert Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),Qp=s(xc,"CODE",{});var I4=i(Qp);Ty=a(I4,"span start logits"),I4.forEach(t),wy=a(xc," and "),Kp=s(xc,"CODE",{});var O4=i(Kp);$y=a(O4,"span end logits"),O4.forEach(t),Ay=a(xc,")."),xc.forEach(t),Fy=p(Po),ei=s(Po,"P",{});var pg=i(ei);xy=a(pg,"This model inherits from "),Vd=s(pg,"A",{href:!0});var N4=i(Vd);Ey=a(N4,"PreTrainedModel"),N4.forEach(t),My=a(pg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),pg.forEach(t),zy=p(Po),ti=s(Po,"P",{});var hg=i(ti);jy=a(hg,"This model is also a PyTorch "),oi=s(hg,"A",{href:!0,rel:!0});var D4=i(oi);qy=a(D4,"torch.nn.Module"),D4.forEach(t),Py=a(hg,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),hg.forEach(t),Cy=p(Po),Ht=s(Po,"DIV",{class:!0});var Fr=i(Ht);T(ni.$$.fragment,Fr),Ly=p(Fr),ln=s(Fr,"P",{});var Ec=i(ln);Iy=a(Ec,"The "),Jd=s(Ec,"A",{href:!0});var S4=i(Jd);Oy=a(S4,"AlbertForQuestionAnswering"),S4.forEach(t),Ny=a(Ec," forward method, overrides the "),Vp=s(Ec,"CODE",{});var W4=i(Vp);Dy=a(W4,"__call__"),W4.forEach(t),Sy=a(Ec," special method."),Ec.forEach(t),Wy=p(Fr),T(_s.$$.fragment,Fr),By=p(Fr),T(bs.$$.fragment,Fr),Fr.forEach(t),Po.forEach(t),nf=p(o),dn=s(o,"H2",{class:!0});var mg=i(dn);ks=s(mg,"A",{id:!0,class:!0,href:!0});var B4=i(ks);Jp=s(B4,"SPAN",{});var U4=i(Jp);T(si.$$.fragment,U4),U4.forEach(t),B4.forEach(t),Uy=p(mg),Gp=s(mg,"SPAN",{});var R4=i(Gp);Ry=a(R4,"TFAlbertModel"),R4.forEach(t),mg.forEach(t),sf=p(o),it=s(o,"DIV",{class:!0});var oo=i(it);T(ri.$$.fragment,oo),Hy=p(oo),Xp=s(oo,"P",{});var H4=i(Xp);Qy=a(H4,"The bare Albert Model transformer outputting raw hidden-states without any specific head on top."),H4.forEach(t),Ky=p(oo),ai=s(oo,"P",{});var ug=i(ai);Vy=a(ug,"This model inherits from "),Gd=s(ug,"A",{href:!0});var Q4=i(Gd);Jy=a(Q4,"TFPreTrainedModel"),Q4.forEach(t),Gy=a(ug,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ug.forEach(t),Xy=p(oo),ii=s(oo,"P",{});var fg=i(ii);Yy=a(fg,"This model is also a "),li=s(fg,"A",{href:!0,rel:!0});var K4=i(li);Zy=a(K4,"tf.keras.Model"),K4.forEach(t),eT=a(fg,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),fg.forEach(t),tT=p(oo),T(vs.$$.fragment,oo),oT=p(oo),Qt=s(oo,"DIV",{class:!0});var xr=i(Qt);T(di.$$.fragment,xr),nT=p(xr),cn=s(xr,"P",{});var Mc=i(cn);sT=a(Mc,"The "),Xd=s(Mc,"A",{href:!0});var V4=i(Xd);rT=a(V4,"TFAlbertModel"),V4.forEach(t),aT=a(Mc," forward method, overrides the "),Yp=s(Mc,"CODE",{});var J4=i(Yp);iT=a(J4,"__call__"),J4.forEach(t),lT=a(Mc," special method."),Mc.forEach(t),dT=p(xr),T(ys.$$.fragment,xr),cT=p(xr),T(Ts.$$.fragment,xr),xr.forEach(t),oo.forEach(t),rf=p(o),pn=s(o,"H2",{class:!0});var gg=i(pn);ws=s(gg,"A",{id:!0,class:!0,href:!0});var G4=i(ws);Zp=s(G4,"SPAN",{});var X4=i(Zp);T(ci.$$.fragment,X4),X4.forEach(t),G4.forEach(t),pT=p(gg),eh=s(gg,"SPAN",{});var Y4=i(eh);hT=a(Y4,"TFAlbertForPreTraining"),Y4.forEach(t),gg.forEach(t),af=p(o),lt=s(o,"DIV",{class:!0});var no=i(lt);T(pi.$$.fragment,no),mT=p(no),hn=s(no,"P",{});var zc=i(hn);uT=a(zc,"Albert Model with two heads on top for pretraining: a "),th=s(zc,"CODE",{});var Z4=i(th);fT=a(Z4,"masked language modeling"),Z4.forEach(t),gT=a(zc," head and a "),oh=s(zc,"CODE",{});var ex=i(oh);_T=a(ex,"sentence order prediction"),ex.forEach(t),bT=a(zc," (classification) head."),zc.forEach(t),kT=p(no),hi=s(no,"P",{});var _g=i(hi);vT=a(_g,"This model inherits from "),Yd=s(_g,"A",{href:!0});var tx=i(Yd);yT=a(tx,"TFPreTrainedModel"),tx.forEach(t),TT=a(_g,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),_g.forEach(t),wT=p(no),mi=s(no,"P",{});var bg=i(mi);$T=a(bg,"This model is also a "),ui=s(bg,"A",{href:!0,rel:!0});var ox=i(ui);AT=a(ox,"tf.keras.Model"),ox.forEach(t),FT=a(bg,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),bg.forEach(t),xT=p(no),T($s.$$.fragment,no),ET=p(no),Kt=s(no,"DIV",{class:!0});var Er=i(Kt);T(fi.$$.fragment,Er),MT=p(Er),mn=s(Er,"P",{});var jc=i(mn);zT=a(jc,"The "),Zd=s(jc,"A",{href:!0});var nx=i(Zd);jT=a(nx,"TFAlbertForPreTraining"),nx.forEach(t),qT=a(jc," forward method, overrides the "),nh=s(jc,"CODE",{});var sx=i(nh);PT=a(sx,"__call__"),sx.forEach(t),CT=a(jc," special method."),jc.forEach(t),LT=p(Er),T(As.$$.fragment,Er),IT=p(Er),T(Fs.$$.fragment,Er),Er.forEach(t),no.forEach(t),lf=p(o),un=s(o,"H2",{class:!0});var kg=i(un);xs=s(kg,"A",{id:!0,class:!0,href:!0});var rx=i(xs);sh=s(rx,"SPAN",{});var ax=i(sh);T(gi.$$.fragment,ax),ax.forEach(t),rx.forEach(t),OT=p(kg),rh=s(kg,"SPAN",{});var ix=i(rh);NT=a(ix,"TFAlbertForMaskedLM"),ix.forEach(t),kg.forEach(t),df=p(o),dt=s(o,"DIV",{class:!0});var so=i(dt);T(_i.$$.fragment,so),DT=p(so),bi=s(so,"P",{});var vg=i(bi);ST=a(vg,"Albert Model with a "),ah=s(vg,"CODE",{});var lx=i(ah);WT=a(lx,"language modeling"),lx.forEach(t),BT=a(vg," head on top."),vg.forEach(t),UT=p(so),ki=s(so,"P",{});var yg=i(ki);RT=a(yg,"This model inherits from "),ec=s(yg,"A",{href:!0});var dx=i(ec);HT=a(dx,"TFPreTrainedModel"),dx.forEach(t),QT=a(yg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),yg.forEach(t),KT=p(so),vi=s(so,"P",{});var Tg=i(vi);VT=a(Tg,"This model is also a "),yi=s(Tg,"A",{href:!0,rel:!0});var cx=i(yi);JT=a(cx,"tf.keras.Model"),cx.forEach(t),GT=a(Tg,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Tg.forEach(t),XT=p(so),T(Es.$$.fragment,so),YT=p(so),$t=s(so,"DIV",{class:!0});var Co=i($t);T(Ti.$$.fragment,Co),ZT=p(Co),fn=s(Co,"P",{});var qc=i(fn);e2=a(qc,"The "),tc=s(qc,"A",{href:!0});var px=i(tc);t2=a(px,"TFAlbertForMaskedLM"),px.forEach(t),o2=a(qc," forward method, overrides the "),ih=s(qc,"CODE",{});var hx=i(ih);n2=a(hx,"__call__"),hx.forEach(t),s2=a(qc," special method."),qc.forEach(t),r2=p(Co),T(Ms.$$.fragment,Co),a2=p(Co),T(zs.$$.fragment,Co),i2=p(Co),T(js.$$.fragment,Co),Co.forEach(t),so.forEach(t),cf=p(o),gn=s(o,"H2",{class:!0});var wg=i(gn);qs=s(wg,"A",{id:!0,class:!0,href:!0});var mx=i(qs);lh=s(mx,"SPAN",{});var ux=i(lh);T(wi.$$.fragment,ux),ux.forEach(t),mx.forEach(t),l2=p(wg),dh=s(wg,"SPAN",{});var fx=i(dh);d2=a(fx,"TFAlbertForSequenceClassification"),fx.forEach(t),wg.forEach(t),pf=p(o),ct=s(o,"DIV",{class:!0});var ro=i(ct);T($i.$$.fragment,ro),c2=p(ro),ch=s(ro,"P",{});var gx=i(ch);p2=a(gx,`Albert Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),gx.forEach(t),h2=p(ro),Ai=s(ro,"P",{});var $g=i(Ai);m2=a($g,"This model inherits from "),oc=s($g,"A",{href:!0});var _x=i(oc);u2=a(_x,"TFPreTrainedModel"),_x.forEach(t),f2=a($g,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),$g.forEach(t),g2=p(ro),Fi=s(ro,"P",{});var Ag=i(Fi);_2=a(Ag,"This model is also a "),xi=s(Ag,"A",{href:!0,rel:!0});var bx=i(xi);b2=a(bx,"tf.keras.Model"),bx.forEach(t),k2=a(Ag,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Ag.forEach(t),v2=p(ro),T(Ps.$$.fragment,ro),y2=p(ro),At=s(ro,"DIV",{class:!0});var Lo=i(At);T(Ei.$$.fragment,Lo),T2=p(Lo),_n=s(Lo,"P",{});var Pc=i(_n);w2=a(Pc,"The "),nc=s(Pc,"A",{href:!0});var kx=i(nc);$2=a(kx,"TFAlbertForSequenceClassification"),kx.forEach(t),A2=a(Pc," forward method, overrides the "),ph=s(Pc,"CODE",{});var vx=i(ph);F2=a(vx,"__call__"),vx.forEach(t),x2=a(Pc," special method."),Pc.forEach(t),E2=p(Lo),T(Cs.$$.fragment,Lo),M2=p(Lo),T(Ls.$$.fragment,Lo),z2=p(Lo),T(Is.$$.fragment,Lo),Lo.forEach(t),ro.forEach(t),hf=p(o),bn=s(o,"H2",{class:!0});var Fg=i(bn);Os=s(Fg,"A",{id:!0,class:!0,href:!0});var yx=i(Os);hh=s(yx,"SPAN",{});var Tx=i(hh);T(Mi.$$.fragment,Tx),Tx.forEach(t),yx.forEach(t),j2=p(Fg),mh=s(Fg,"SPAN",{});var wx=i(mh);q2=a(wx,"TFAlbertForMultipleChoice"),wx.forEach(t),Fg.forEach(t),mf=p(o),pt=s(o,"DIV",{class:!0});var ao=i(pt);T(zi.$$.fragment,ao),P2=p(ao),uh=s(ao,"P",{});var $x=i(uh);C2=a($x,`Albert Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),$x.forEach(t),L2=p(ao),ji=s(ao,"P",{});var xg=i(ji);I2=a(xg,"This model inherits from "),sc=s(xg,"A",{href:!0});var Ax=i(sc);O2=a(Ax,"TFPreTrainedModel"),Ax.forEach(t),N2=a(xg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),xg.forEach(t),D2=p(ao),qi=s(ao,"P",{});var Eg=i(qi);S2=a(Eg,"This model is also a "),Pi=s(Eg,"A",{href:!0,rel:!0});var Fx=i(Pi);W2=a(Fx,"tf.keras.Model"),Fx.forEach(t),B2=a(Eg,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Eg.forEach(t),U2=p(ao),T(Ns.$$.fragment,ao),R2=p(ao),Vt=s(ao,"DIV",{class:!0});var Mr=i(Vt);T(Ci.$$.fragment,Mr),H2=p(Mr),kn=s(Mr,"P",{});var Cc=i(kn);Q2=a(Cc,"The "),rc=s(Cc,"A",{href:!0});var xx=i(rc);K2=a(xx,"TFAlbertForMultipleChoice"),xx.forEach(t),V2=a(Cc," forward method, overrides the "),fh=s(Cc,"CODE",{});var Ex=i(fh);J2=a(Ex,"__call__"),Ex.forEach(t),G2=a(Cc," special method."),Cc.forEach(t),X2=p(Mr),T(Ds.$$.fragment,Mr),Y2=p(Mr),T(Ss.$$.fragment,Mr),Mr.forEach(t),ao.forEach(t),uf=p(o),vn=s(o,"H2",{class:!0});var Mg=i(vn);Ws=s(Mg,"A",{id:!0,class:!0,href:!0});var Mx=i(Ws);gh=s(Mx,"SPAN",{});var zx=i(gh);T(Li.$$.fragment,zx),zx.forEach(t),Mx.forEach(t),Z2=p(Mg),_h=s(Mg,"SPAN",{});var jx=i(_h);ew=a(jx,"TFAlbertForTokenClassification"),jx.forEach(t),Mg.forEach(t),ff=p(o),ht=s(o,"DIV",{class:!0});var io=i(ht);T(Ii.$$.fragment,io),tw=p(io),bh=s(io,"P",{});var qx=i(bh);ow=a(qx,`Albert Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),qx.forEach(t),nw=p(io),Oi=s(io,"P",{});var zg=i(Oi);sw=a(zg,"This model inherits from "),ac=s(zg,"A",{href:!0});var Px=i(ac);rw=a(Px,"TFPreTrainedModel"),Px.forEach(t),aw=a(zg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),zg.forEach(t),iw=p(io),Ni=s(io,"P",{});var jg=i(Ni);lw=a(jg,"This model is also a "),Di=s(jg,"A",{href:!0,rel:!0});var Cx=i(Di);dw=a(Cx,"tf.keras.Model"),Cx.forEach(t),cw=a(jg,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),jg.forEach(t),pw=p(io),T(Bs.$$.fragment,io),hw=p(io),Ft=s(io,"DIV",{class:!0});var Io=i(Ft);T(Si.$$.fragment,Io),mw=p(Io),yn=s(Io,"P",{});var Lc=i(yn);uw=a(Lc,"The "),ic=s(Lc,"A",{href:!0});var Lx=i(ic);fw=a(Lx,"TFAlbertForTokenClassification"),Lx.forEach(t),gw=a(Lc," forward method, overrides the "),kh=s(Lc,"CODE",{});var Ix=i(kh);_w=a(Ix,"__call__"),Ix.forEach(t),bw=a(Lc," special method."),Lc.forEach(t),kw=p(Io),T(Us.$$.fragment,Io),vw=p(Io),T(Rs.$$.fragment,Io),yw=p(Io),T(Hs.$$.fragment,Io),Io.forEach(t),io.forEach(t),gf=p(o),Tn=s(o,"H2",{class:!0});var qg=i(Tn);Qs=s(qg,"A",{id:!0,class:!0,href:!0});var Ox=i(Qs);vh=s(Ox,"SPAN",{});var Nx=i(vh);T(Wi.$$.fragment,Nx),Nx.forEach(t),Ox.forEach(t),Tw=p(qg),yh=s(qg,"SPAN",{});var Dx=i(yh);ww=a(Dx,"TFAlbertForQuestionAnswering"),Dx.forEach(t),qg.forEach(t),_f=p(o),mt=s(o,"DIV",{class:!0});var lo=i(mt);T(Bi.$$.fragment,lo),$w=p(lo),wn=s(lo,"P",{});var Ic=i(wn);Aw=a(Ic,`Albert Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layer on top of the hidden-states output to compute `),Th=s(Ic,"CODE",{});var Sx=i(Th);Fw=a(Sx,"span start logits"),Sx.forEach(t),xw=a(Ic," and "),wh=s(Ic,"CODE",{});var Wx=i(wh);Ew=a(Wx,"span end logits"),Wx.forEach(t),Mw=a(Ic,")."),Ic.forEach(t),zw=p(lo),Ui=s(lo,"P",{});var Pg=i(Ui);jw=a(Pg,"This model inherits from "),lc=s(Pg,"A",{href:!0});var Bx=i(lc);qw=a(Bx,"TFPreTrainedModel"),Bx.forEach(t),Pw=a(Pg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Pg.forEach(t),Cw=p(lo),Ri=s(lo,"P",{});var Cg=i(Ri);Lw=a(Cg,"This model is also a "),Hi=s(Cg,"A",{href:!0,rel:!0});var Ux=i(Hi);Iw=a(Ux,"tf.keras.Model"),Ux.forEach(t),Ow=a(Cg,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Cg.forEach(t),Nw=p(lo),T(Ks.$$.fragment,lo),Dw=p(lo),xt=s(lo,"DIV",{class:!0});var Oo=i(xt);T(Qi.$$.fragment,Oo),Sw=p(Oo),$n=s(Oo,"P",{});var Oc=i($n);Ww=a(Oc,"The "),dc=s(Oc,"A",{href:!0});var Rx=i(dc);Bw=a(Rx,"TFAlbertForQuestionAnswering"),Rx.forEach(t),Uw=a(Oc," forward method, overrides the "),$h=s(Oc,"CODE",{});var Hx=i($h);Rw=a(Hx,"__call__"),Hx.forEach(t),Hw=a(Oc," special method."),Oc.forEach(t),Qw=p(Oo),T(Vs.$$.fragment,Oo),Kw=p(Oo),T(Js.$$.fragment,Oo),Vw=p(Oo),T(Gs.$$.fragment,Oo),Oo.forEach(t),lo.forEach(t),bf=p(o),An=s(o,"H2",{class:!0});var Lg=i(An);Xs=s(Lg,"A",{id:!0,class:!0,href:!0});var Qx=i(Xs);Ah=s(Qx,"SPAN",{});var Kx=i(Ah);T(Ki.$$.fragment,Kx),Kx.forEach(t),Qx.forEach(t),Jw=p(Lg),Fh=s(Lg,"SPAN",{});var Vx=i(Fh);Gw=a(Vx,"FlaxAlbertModel"),Vx.forEach(t),Lg.forEach(t),kf=p(o),et=s(o,"DIV",{class:!0});var Mt=i(et);T(Vi.$$.fragment,Mt),Xw=p(Mt),xh=s(Mt,"P",{});var Jx=i(xh);Yw=a(Jx,"The bare Albert Model transformer outputting raw hidden-states without any specific head on top."),Jx.forEach(t),Zw=p(Mt),Ji=s(Mt,"P",{});var Ig=i(Ji);e1=a(Ig,"This model inherits from "),cc=s(Ig,"A",{href:!0});var Gx=i(cc);t1=a(Gx,"FlaxPreTrainedModel"),Gx.forEach(t),o1=a(Ig,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Ig.forEach(t),n1=p(Mt),Gi=s(Mt,"P",{});var Og=i(Gi);s1=a(Og,"This model is also a Flax Linen "),Xi=s(Og,"A",{href:!0,rel:!0});var Xx=i(Xi);r1=a(Xx,"flax.linen.Module"),Xx.forEach(t),a1=a(Og,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Og.forEach(t),i1=p(Mt),Eh=s(Mt,"P",{});var Yx=i(Eh);l1=a(Yx,"Finally, this model supports inherent JAX features such as:"),Yx.forEach(t),d1=p(Mt),ho=s(Mt,"UL",{});var zr=i(ho);Mh=s(zr,"LI",{});var Zx=i(Mh);Yi=s(Zx,"A",{href:!0,rel:!0});var eE=i(Yi);c1=a(eE,"Just-In-Time (JIT) compilation"),eE.forEach(t),Zx.forEach(t),p1=p(zr),zh=s(zr,"LI",{});var tE=i(zh);Zi=s(tE,"A",{href:!0,rel:!0});var oE=i(Zi);h1=a(oE,"Automatic Differentiation"),oE.forEach(t),tE.forEach(t),m1=p(zr),jh=s(zr,"LI",{});var nE=i(jh);el=s(nE,"A",{href:!0,rel:!0});var sE=i(el);u1=a(sE,"Vectorization"),sE.forEach(t),nE.forEach(t),f1=p(zr),qh=s(zr,"LI",{});var rE=i(qh);tl=s(rE,"A",{href:!0,rel:!0});var aE=i(tl);g1=a(aE,"Parallelization"),aE.forEach(t),rE.forEach(t),zr.forEach(t),_1=p(Mt),Jt=s(Mt,"DIV",{class:!0});var jr=i(Jt);T(ol.$$.fragment,jr),b1=p(jr),Fn=s(jr,"P",{});var Nc=i(Fn);k1=a(Nc,"The "),Ph=s(Nc,"CODE",{});var iE=i(Ph);v1=a(iE,"FlaxAlbertPreTrainedModel"),iE.forEach(t),y1=a(Nc," forward method, overrides the "),Ch=s(Nc,"CODE",{});var lE=i(Ch);T1=a(lE,"__call__"),lE.forEach(t),w1=a(Nc," special method."),Nc.forEach(t),$1=p(jr),T(Ys.$$.fragment,jr),A1=p(jr),T(Zs.$$.fragment,jr),jr.forEach(t),Mt.forEach(t),vf=p(o),xn=s(o,"H2",{class:!0});var Ng=i(xn);er=s(Ng,"A",{id:!0,class:!0,href:!0});var dE=i(er);Lh=s(dE,"SPAN",{});var cE=i(Lh);T(nl.$$.fragment,cE),cE.forEach(t),dE.forEach(t),F1=p(Ng),Ih=s(Ng,"SPAN",{});var pE=i(Ih);x1=a(pE,"FlaxAlbertForPreTraining"),pE.forEach(t),Ng.forEach(t),yf=p(o),tt=s(o,"DIV",{class:!0});var zt=i(tt);T(sl.$$.fragment,zt),E1=p(zt),En=s(zt,"P",{});var Dc=i(En);M1=a(Dc,"Albert Model with two heads on top as done during the pretraining: a "),Oh=s(Dc,"CODE",{});var hE=i(Oh);z1=a(hE,"masked language modeling"),hE.forEach(t),j1=a(Dc,` head and a
`),Nh=s(Dc,"CODE",{});var mE=i(Nh);q1=a(mE,"sentence order prediction (classification)"),mE.forEach(t),P1=a(Dc," head."),Dc.forEach(t),C1=p(zt),rl=s(zt,"P",{});var Dg=i(rl);L1=a(Dg,"This model inherits from "),pc=s(Dg,"A",{href:!0});var uE=i(pc);I1=a(uE,"FlaxPreTrainedModel"),uE.forEach(t),O1=a(Dg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Dg.forEach(t),N1=p(zt),al=s(zt,"P",{});var Sg=i(al);D1=a(Sg,"This model is also a Flax Linen "),il=s(Sg,"A",{href:!0,rel:!0});var fE=i(il);S1=a(fE,"flax.linen.Module"),fE.forEach(t),W1=a(Sg,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Sg.forEach(t),B1=p(zt),Dh=s(zt,"P",{});var gE=i(Dh);U1=a(gE,"Finally, this model supports inherent JAX features such as:"),gE.forEach(t),R1=p(zt),mo=s(zt,"UL",{});var qr=i(mo);Sh=s(qr,"LI",{});var _E=i(Sh);ll=s(_E,"A",{href:!0,rel:!0});var bE=i(ll);H1=a(bE,"Just-In-Time (JIT) compilation"),bE.forEach(t),_E.forEach(t),Q1=p(qr),Wh=s(qr,"LI",{});var kE=i(Wh);dl=s(kE,"A",{href:!0,rel:!0});var vE=i(dl);K1=a(vE,"Automatic Differentiation"),vE.forEach(t),kE.forEach(t),V1=p(qr),Bh=s(qr,"LI",{});var yE=i(Bh);cl=s(yE,"A",{href:!0,rel:!0});var TE=i(cl);J1=a(TE,"Vectorization"),TE.forEach(t),yE.forEach(t),G1=p(qr),Uh=s(qr,"LI",{});var wE=i(Uh);pl=s(wE,"A",{href:!0,rel:!0});var $E=i(pl);X1=a($E,"Parallelization"),$E.forEach(t),wE.forEach(t),qr.forEach(t),Y1=p(zt),Gt=s(zt,"DIV",{class:!0});var Pr=i(Gt);T(hl.$$.fragment,Pr),Z1=p(Pr),Mn=s(Pr,"P",{});var Sc=i(Mn);e$=a(Sc,"The "),Rh=s(Sc,"CODE",{});var AE=i(Rh);t$=a(AE,"FlaxAlbertPreTrainedModel"),AE.forEach(t),o$=a(Sc," forward method, overrides the "),Hh=s(Sc,"CODE",{});var FE=i(Hh);n$=a(FE,"__call__"),FE.forEach(t),s$=a(Sc," special method."),Sc.forEach(t),r$=p(Pr),T(tr.$$.fragment,Pr),a$=p(Pr),T(or.$$.fragment,Pr),Pr.forEach(t),zt.forEach(t),Tf=p(o),zn=s(o,"H2",{class:!0});var Wg=i(zn);nr=s(Wg,"A",{id:!0,class:!0,href:!0});var xE=i(nr);Qh=s(xE,"SPAN",{});var EE=i(Qh);T(ml.$$.fragment,EE),EE.forEach(t),xE.forEach(t),i$=p(Wg),Kh=s(Wg,"SPAN",{});var ME=i(Kh);l$=a(ME,"FlaxAlbertForMaskedLM"),ME.forEach(t),Wg.forEach(t),wf=p(o),ot=s(o,"DIV",{class:!0});var jt=i(ot);T(ul.$$.fragment,jt),d$=p(jt),fl=s(jt,"P",{});var Bg=i(fl);c$=a(Bg,"Albert Model with a "),Vh=s(Bg,"CODE",{});var zE=i(Vh);p$=a(zE,"language modeling"),zE.forEach(t),h$=a(Bg," head on top."),Bg.forEach(t),m$=p(jt),gl=s(jt,"P",{});var Ug=i(gl);u$=a(Ug,"This model inherits from "),hc=s(Ug,"A",{href:!0});var jE=i(hc);f$=a(jE,"FlaxPreTrainedModel"),jE.forEach(t),g$=a(Ug,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Ug.forEach(t),_$=p(jt),_l=s(jt,"P",{});var Rg=i(_l);b$=a(Rg,"This model is also a Flax Linen "),bl=s(Rg,"A",{href:!0,rel:!0});var qE=i(bl);k$=a(qE,"flax.linen.Module"),qE.forEach(t),v$=a(Rg,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Rg.forEach(t),y$=p(jt),Jh=s(jt,"P",{});var PE=i(Jh);T$=a(PE,"Finally, this model supports inherent JAX features such as:"),PE.forEach(t),w$=p(jt),uo=s(jt,"UL",{});var Cr=i(uo);Gh=s(Cr,"LI",{});var CE=i(Gh);kl=s(CE,"A",{href:!0,rel:!0});var LE=i(kl);$$=a(LE,"Just-In-Time (JIT) compilation"),LE.forEach(t),CE.forEach(t),A$=p(Cr),Xh=s(Cr,"LI",{});var IE=i(Xh);vl=s(IE,"A",{href:!0,rel:!0});var OE=i(vl);F$=a(OE,"Automatic Differentiation"),OE.forEach(t),IE.forEach(t),x$=p(Cr),Yh=s(Cr,"LI",{});var NE=i(Yh);yl=s(NE,"A",{href:!0,rel:!0});var DE=i(yl);E$=a(DE,"Vectorization"),DE.forEach(t),NE.forEach(t),M$=p(Cr),Zh=s(Cr,"LI",{});var SE=i(Zh);Tl=s(SE,"A",{href:!0,rel:!0});var WE=i(Tl);z$=a(WE,"Parallelization"),WE.forEach(t),SE.forEach(t),Cr.forEach(t),j$=p(jt),Xt=s(jt,"DIV",{class:!0});var Lr=i(Xt);T(wl.$$.fragment,Lr),q$=p(Lr),jn=s(Lr,"P",{});var Wc=i(jn);P$=a(Wc,"The "),em=s(Wc,"CODE",{});var BE=i(em);C$=a(BE,"FlaxAlbertPreTrainedModel"),BE.forEach(t),L$=a(Wc," forward method, overrides the "),tm=s(Wc,"CODE",{});var UE=i(tm);I$=a(UE,"__call__"),UE.forEach(t),O$=a(Wc," special method."),Wc.forEach(t),N$=p(Lr),T(sr.$$.fragment,Lr),D$=p(Lr),T(rr.$$.fragment,Lr),Lr.forEach(t),jt.forEach(t),$f=p(o),qn=s(o,"H2",{class:!0});var Hg=i(qn);ar=s(Hg,"A",{id:!0,class:!0,href:!0});var RE=i(ar);om=s(RE,"SPAN",{});var HE=i(om);T($l.$$.fragment,HE),HE.forEach(t),RE.forEach(t),S$=p(Hg),nm=s(Hg,"SPAN",{});var QE=i(nm);W$=a(QE,"FlaxAlbertForSequenceClassification"),QE.forEach(t),Hg.forEach(t),Af=p(o),nt=s(o,"DIV",{class:!0});var qt=i(nt);T(Al.$$.fragment,qt),B$=p(qt),sm=s(qt,"P",{});var KE=i(sm);U$=a(KE,`Albert Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),KE.forEach(t),R$=p(qt),Fl=s(qt,"P",{});var Qg=i(Fl);H$=a(Qg,"This model inherits from "),mc=s(Qg,"A",{href:!0});var VE=i(mc);Q$=a(VE,"FlaxPreTrainedModel"),VE.forEach(t),K$=a(Qg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Qg.forEach(t),V$=p(qt),xl=s(qt,"P",{});var Kg=i(xl);J$=a(Kg,"This model is also a Flax Linen "),El=s(Kg,"A",{href:!0,rel:!0});var JE=i(El);G$=a(JE,"flax.linen.Module"),JE.forEach(t),X$=a(Kg,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Kg.forEach(t),Y$=p(qt),rm=s(qt,"P",{});var GE=i(rm);Z$=a(GE,"Finally, this model supports inherent JAX features such as:"),GE.forEach(t),eA=p(qt),fo=s(qt,"UL",{});var Ir=i(fo);am=s(Ir,"LI",{});var XE=i(am);Ml=s(XE,"A",{href:!0,rel:!0});var YE=i(Ml);tA=a(YE,"Just-In-Time (JIT) compilation"),YE.forEach(t),XE.forEach(t),oA=p(Ir),im=s(Ir,"LI",{});var ZE=i(im);zl=s(ZE,"A",{href:!0,rel:!0});var e3=i(zl);nA=a(e3,"Automatic Differentiation"),e3.forEach(t),ZE.forEach(t),sA=p(Ir),lm=s(Ir,"LI",{});var t3=i(lm);jl=s(t3,"A",{href:!0,rel:!0});var o3=i(jl);rA=a(o3,"Vectorization"),o3.forEach(t),t3.forEach(t),aA=p(Ir),dm=s(Ir,"LI",{});var n3=i(dm);ql=s(n3,"A",{href:!0,rel:!0});var s3=i(ql);iA=a(s3,"Parallelization"),s3.forEach(t),n3.forEach(t),Ir.forEach(t),lA=p(qt),Yt=s(qt,"DIV",{class:!0});var Or=i(Yt);T(Pl.$$.fragment,Or),dA=p(Or),Pn=s(Or,"P",{});var Bc=i(Pn);cA=a(Bc,"The "),cm=s(Bc,"CODE",{});var r3=i(cm);pA=a(r3,"FlaxAlbertPreTrainedModel"),r3.forEach(t),hA=a(Bc," forward method, overrides the "),pm=s(Bc,"CODE",{});var a3=i(pm);mA=a(a3,"__call__"),a3.forEach(t),uA=a(Bc," special method."),Bc.forEach(t),fA=p(Or),T(ir.$$.fragment,Or),gA=p(Or),T(lr.$$.fragment,Or),Or.forEach(t),qt.forEach(t),Ff=p(o),Cn=s(o,"H2",{class:!0});var Vg=i(Cn);dr=s(Vg,"A",{id:!0,class:!0,href:!0});var i3=i(dr);hm=s(i3,"SPAN",{});var l3=i(hm);T(Cl.$$.fragment,l3),l3.forEach(t),i3.forEach(t),_A=p(Vg),mm=s(Vg,"SPAN",{});var d3=i(mm);bA=a(d3,"FlaxAlbertForMultipleChoice"),d3.forEach(t),Vg.forEach(t),xf=p(o),st=s(o,"DIV",{class:!0});var Pt=i(st);T(Ll.$$.fragment,Pt),kA=p(Pt),um=s(Pt,"P",{});var c3=i(um);vA=a(c3,`Albert Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),c3.forEach(t),yA=p(Pt),Il=s(Pt,"P",{});var Jg=i(Il);TA=a(Jg,"This model inherits from "),uc=s(Jg,"A",{href:!0});var p3=i(uc);wA=a(p3,"FlaxPreTrainedModel"),p3.forEach(t),$A=a(Jg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Jg.forEach(t),AA=p(Pt),Ol=s(Pt,"P",{});var Gg=i(Ol);FA=a(Gg,"This model is also a Flax Linen "),Nl=s(Gg,"A",{href:!0,rel:!0});var h3=i(Nl);xA=a(h3,"flax.linen.Module"),h3.forEach(t),EA=a(Gg,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Gg.forEach(t),MA=p(Pt),fm=s(Pt,"P",{});var m3=i(fm);zA=a(m3,"Finally, this model supports inherent JAX features such as:"),m3.forEach(t),jA=p(Pt),go=s(Pt,"UL",{});var Nr=i(go);gm=s(Nr,"LI",{});var u3=i(gm);Dl=s(u3,"A",{href:!0,rel:!0});var f3=i(Dl);qA=a(f3,"Just-In-Time (JIT) compilation"),f3.forEach(t),u3.forEach(t),PA=p(Nr),_m=s(Nr,"LI",{});var g3=i(_m);Sl=s(g3,"A",{href:!0,rel:!0});var _3=i(Sl);CA=a(_3,"Automatic Differentiation"),_3.forEach(t),g3.forEach(t),LA=p(Nr),bm=s(Nr,"LI",{});var b3=i(bm);Wl=s(b3,"A",{href:!0,rel:!0});var k3=i(Wl);IA=a(k3,"Vectorization"),k3.forEach(t),b3.forEach(t),OA=p(Nr),km=s(Nr,"LI",{});var v3=i(km);Bl=s(v3,"A",{href:!0,rel:!0});var y3=i(Bl);NA=a(y3,"Parallelization"),y3.forEach(t),v3.forEach(t),Nr.forEach(t),DA=p(Pt),Zt=s(Pt,"DIV",{class:!0});var Dr=i(Zt);T(Ul.$$.fragment,Dr),SA=p(Dr),Ln=s(Dr,"P",{});var Uc=i(Ln);WA=a(Uc,"The "),vm=s(Uc,"CODE",{});var T3=i(vm);BA=a(T3,"FlaxAlbertPreTrainedModel"),T3.forEach(t),UA=a(Uc," forward method, overrides the "),ym=s(Uc,"CODE",{});var w3=i(ym);RA=a(w3,"__call__"),w3.forEach(t),HA=a(Uc," special method."),Uc.forEach(t),QA=p(Dr),T(cr.$$.fragment,Dr),KA=p(Dr),T(pr.$$.fragment,Dr),Dr.forEach(t),Pt.forEach(t),Ef=p(o),In=s(o,"H2",{class:!0});var Xg=i(In);hr=s(Xg,"A",{id:!0,class:!0,href:!0});var $3=i(hr);Tm=s($3,"SPAN",{});var A3=i(Tm);T(Rl.$$.fragment,A3),A3.forEach(t),$3.forEach(t),VA=p(Xg),wm=s(Xg,"SPAN",{});var F3=i(wm);JA=a(F3,"FlaxAlbertForTokenClassification"),F3.forEach(t),Xg.forEach(t),Mf=p(o),rt=s(o,"DIV",{class:!0});var Ct=i(rt);T(Hl.$$.fragment,Ct),GA=p(Ct),$m=s(Ct,"P",{});var x3=i($m);XA=a(x3,`Albert Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),x3.forEach(t),YA=p(Ct),Ql=s(Ct,"P",{});var Yg=i(Ql);ZA=a(Yg,"This model inherits from "),fc=s(Yg,"A",{href:!0});var E3=i(fc);eF=a(E3,"FlaxPreTrainedModel"),E3.forEach(t),tF=a(Yg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Yg.forEach(t),oF=p(Ct),Kl=s(Ct,"P",{});var Zg=i(Kl);nF=a(Zg,"This model is also a Flax Linen "),Vl=s(Zg,"A",{href:!0,rel:!0});var M3=i(Vl);sF=a(M3,"flax.linen.Module"),M3.forEach(t),rF=a(Zg,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Zg.forEach(t),aF=p(Ct),Am=s(Ct,"P",{});var z3=i(Am);iF=a(z3,"Finally, this model supports inherent JAX features such as:"),z3.forEach(t),lF=p(Ct),_o=s(Ct,"UL",{});var Sr=i(_o);Fm=s(Sr,"LI",{});var j3=i(Fm);Jl=s(j3,"A",{href:!0,rel:!0});var q3=i(Jl);dF=a(q3,"Just-In-Time (JIT) compilation"),q3.forEach(t),j3.forEach(t),cF=p(Sr),xm=s(Sr,"LI",{});var P3=i(xm);Gl=s(P3,"A",{href:!0,rel:!0});var C3=i(Gl);pF=a(C3,"Automatic Differentiation"),C3.forEach(t),P3.forEach(t),hF=p(Sr),Em=s(Sr,"LI",{});var L3=i(Em);Xl=s(L3,"A",{href:!0,rel:!0});var I3=i(Xl);mF=a(I3,"Vectorization"),I3.forEach(t),L3.forEach(t),uF=p(Sr),Mm=s(Sr,"LI",{});var O3=i(Mm);Yl=s(O3,"A",{href:!0,rel:!0});var N3=i(Yl);fF=a(N3,"Parallelization"),N3.forEach(t),O3.forEach(t),Sr.forEach(t),gF=p(Ct),eo=s(Ct,"DIV",{class:!0});var Wr=i(eo);T(Zl.$$.fragment,Wr),_F=p(Wr),On=s(Wr,"P",{});var Rc=i(On);bF=a(Rc,"The "),zm=s(Rc,"CODE",{});var D3=i(zm);kF=a(D3,"FlaxAlbertPreTrainedModel"),D3.forEach(t),vF=a(Rc," forward method, overrides the "),jm=s(Rc,"CODE",{});var S3=i(jm);yF=a(S3,"__call__"),S3.forEach(t),TF=a(Rc," special method."),Rc.forEach(t),wF=p(Wr),T(mr.$$.fragment,Wr),$F=p(Wr),T(ur.$$.fragment,Wr),Wr.forEach(t),Ct.forEach(t),zf=p(o),Nn=s(o,"H2",{class:!0});var e_=i(Nn);fr=s(e_,"A",{id:!0,class:!0,href:!0});var W3=i(fr);qm=s(W3,"SPAN",{});var B3=i(qm);T(ed.$$.fragment,B3),B3.forEach(t),W3.forEach(t),AF=p(e_),Pm=s(e_,"SPAN",{});var U3=i(Pm);FF=a(U3,"FlaxAlbertForQuestionAnswering"),U3.forEach(t),e_.forEach(t),jf=p(o),at=s(o,"DIV",{class:!0});var Lt=i(at);T(td.$$.fragment,Lt),xF=p(Lt),Dn=s(Lt,"P",{});var Hc=i(Dn);EF=a(Hc,`Albert Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),Cm=s(Hc,"CODE",{});var R3=i(Cm);MF=a(R3,"span start logits"),R3.forEach(t),zF=a(Hc," and "),Lm=s(Hc,"CODE",{});var H3=i(Lm);jF=a(H3,"span end logits"),H3.forEach(t),qF=a(Hc,")."),Hc.forEach(t),PF=p(Lt),od=s(Lt,"P",{});var t_=i(od);CF=a(t_,"This model inherits from "),gc=s(t_,"A",{href:!0});var Q3=i(gc);LF=a(Q3,"FlaxPreTrainedModel"),Q3.forEach(t),IF=a(t_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),t_.forEach(t),OF=p(Lt),nd=s(Lt,"P",{});var o_=i(nd);NF=a(o_,"This model is also a Flax Linen "),sd=s(o_,"A",{href:!0,rel:!0});var K3=i(sd);DF=a(K3,"flax.linen.Module"),K3.forEach(t),SF=a(o_,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),o_.forEach(t),WF=p(Lt),Im=s(Lt,"P",{});var V3=i(Im);BF=a(V3,"Finally, this model supports inherent JAX features such as:"),V3.forEach(t),UF=p(Lt),bo=s(Lt,"UL",{});var Br=i(bo);Om=s(Br,"LI",{});var J3=i(Om);rd=s(J3,"A",{href:!0,rel:!0});var G3=i(rd);RF=a(G3,"Just-In-Time (JIT) compilation"),G3.forEach(t),J3.forEach(t),HF=p(Br),Nm=s(Br,"LI",{});var X3=i(Nm);ad=s(X3,"A",{href:!0,rel:!0});var Y3=i(ad);QF=a(Y3,"Automatic Differentiation"),Y3.forEach(t),X3.forEach(t),KF=p(Br),Dm=s(Br,"LI",{});var Z3=i(Dm);id=s(Z3,"A",{href:!0,rel:!0});var e5=i(id);VF=a(e5,"Vectorization"),e5.forEach(t),Z3.forEach(t),JF=p(Br),Sm=s(Br,"LI",{});var t5=i(Sm);ld=s(t5,"A",{href:!0,rel:!0});var o5=i(ld);GF=a(o5,"Parallelization"),o5.forEach(t),t5.forEach(t),Br.forEach(t),XF=p(Lt),to=s(Lt,"DIV",{class:!0});var Ur=i(to);T(dd.$$.fragment,Ur),YF=p(Ur),Sn=s(Ur,"P",{});var Qc=i(Sn);ZF=a(Qc,"The "),Wm=s(Qc,"CODE",{});var n5=i(Wm);e0=a(n5,"FlaxAlbertPreTrainedModel"),n5.forEach(t),t0=a(Qc," forward method, overrides the "),Bm=s(Qc,"CODE",{});var s5=i(Bm);o0=a(s5,"__call__"),s5.forEach(t),n0=a(Qc," special method."),Qc.forEach(t),s0=p(Ur),T(gr.$$.fragment,Ur),r0=p(Ur),T(_r.$$.fragment,Ur),Ur.forEach(t),Lt.forEach(t),this.h()},h(){u(d,"name","hf:doc:metadata"),u(d,"content",JSON.stringify(gM)),u(f,"id","albert"),u(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(f,"href","#albert"),u(m,"class","relative group"),u(Z,"alt","Models"),r5(Z.src,x="https://img.shields.io/badge/All_model_pages-albert-blueviolet")||u(Z,"src",x),u(de,"href","https://huggingface.co/models?filter=albert"),u(ce,"alt","Spaces"),r5(ce.src,Ce="https://img.shields.io/badge/%F0%9F%A4%97%20Hugging%20Face-Spaces-blue")||u(ce,"src",Ce),u(R,"href","https://huggingface.co/spaces/docs-demos/albert-base-v2"),u(W,"class","flex flex-wrap space-x-1"),u(re,"id","overview"),u(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(re,"href","#overview"),u(se,"class","relative group"),u(le,"href","https://arxiv.org/abs/1909.11942"),u(le,"rel","nofollow"),u(Se,"href","https://huggingface.co/lysandre"),u(Se,"rel","nofollow"),u(We,"href","https://huggingface.co/kamalkraj"),u(We,"rel","nofollow"),u(U,"href","https://github.com/google-research/ALBERT"),u(U,"rel","nofollow"),u(De,"id","documentation-resources"),u(De,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(De,"href","#documentation-resources"),u(Le,"class","relative group"),u(bd,"href","../tasks/sequence_classification"),u(kd,"href","../tasks/token_classification"),u(vd,"href","../tasks/question_answering"),u(yd,"href","../tasks/masked_language_modeling"),u(Td,"href","../tasks/multiple_choice"),u(Bn,"id","transformers.AlbertConfig"),u(Bn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Bn,"href","#transformers.AlbertConfig"),u(No,"class","relative group"),u(wd,"href","/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertModel"),u($d,"href","/docs/transformers/pr_22354/en/model_doc/albert#transformers.TFAlbertModel"),u(Qr,"href","https://huggingface.co/albert-xxlarge-v2"),u(Qr,"rel","nofollow"),u(Ad,"href","/docs/transformers/pr_22354/en/main_classes/configuration#transformers.PretrainedConfig"),u(Fd,"href","/docs/transformers/pr_22354/en/main_classes/configuration#transformers.PretrainedConfig"),u(It,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Rn,"id","transformers.AlbertTokenizer"),u(Rn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Rn,"href","#transformers.AlbertTokenizer"),u(So,"class","relative group"),u(Gr,"href","https://github.com/google/sentencepiece"),u(Gr,"rel","nofollow"),u(xd,"href","/docs/transformers/pr_22354/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),u(wo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Hn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(zd,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Kn,"id","transformers.AlbertTokenizerFast"),u(Kn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Kn,"href","#transformers.AlbertTokenizerFast"),u(Bo,"class","relative group"),u(aa,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=unigram#models"),u(aa,"rel","nofollow"),u(jd,"href","/docs/transformers/pr_22354/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),u($o,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(St,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Jn,"id","transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput"),u(Jn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Jn,"href","#transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput"),u(Uo,"class","relative group"),u(Cd,"href","/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertForPreTraining"),u(Ro,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Ld,"href","/docs/transformers/pr_22354/en/model_doc/albert#transformers.TFAlbertForPreTraining"),u(Ho,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Gn,"id","transformers.AlbertModel"),u(Gn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Gn,"href","#transformers.AlbertModel"),u(Qo,"class","relative group"),u(Id,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel"),u(ka,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(ka,"rel","nofollow"),u(Od,"href","/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertModel"),u(Wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Zn,"id","transformers.AlbertForPreTraining"),u(Zn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Zn,"href","#transformers.AlbertForPreTraining"),u(Vo,"class","relative group"),u(Nd,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel"),u(Aa,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(Aa,"rel","nofollow"),u(Dd,"href","/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertForPreTraining"),u(Bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(os,"id","transformers.AlbertForMaskedLM"),u(os,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(os,"href","#transformers.AlbertForMaskedLM"),u(Xo,"class","relative group"),u(Sd,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel"),u(qa,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(qa,"rel","nofollow"),u(Wd,"href","/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertForMaskedLM"),u(Tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(as,"id","transformers.AlbertForSequenceClassification"),u(as,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(as,"href","#transformers.AlbertForSequenceClassification"),u(Zo,"class","relative group"),u(Bd,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel"),u(Na,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(Na,"rel","nofollow"),u(Ud,"href","/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertForSequenceClassification"),u(wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(_t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(cs,"id","transformers.AlbertForMultipleChoice"),u(cs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(cs,"href","#transformers.AlbertForMultipleChoice"),u(tn,"class","relative group"),u(Rd,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel"),u(Ra,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(Ra,"rel","nofollow"),u(Hd,"href","/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertForMultipleChoice"),u(Ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ms,"id","transformers.AlbertForTokenClassification"),u(ms,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ms,"href","#transformers.AlbertForTokenClassification"),u(nn,"class","relative group"),u(Qd,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel"),u(Ga,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(Ga,"rel","nofollow"),u(Kd,"href","/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertForTokenClassification"),u(Rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(gs,"id","transformers.AlbertForQuestionAnswering"),u(gs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(gs,"href","#transformers.AlbertForQuestionAnswering"),u(rn,"class","relative group"),u(Vd,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.PreTrainedModel"),u(oi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(oi,"rel","nofollow"),u(Jd,"href","/docs/transformers/pr_22354/en/model_doc/albert#transformers.AlbertForQuestionAnswering"),u(Ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ks,"id","transformers.TFAlbertModel"),u(ks,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ks,"href","#transformers.TFAlbertModel"),u(dn,"class","relative group"),u(Gd,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.TFPreTrainedModel"),u(li,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(li,"rel","nofollow"),u(Xd,"href","/docs/transformers/pr_22354/en/model_doc/albert#transformers.TFAlbertModel"),u(Qt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ws,"id","transformers.TFAlbertForPreTraining"),u(ws,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ws,"href","#transformers.TFAlbertForPreTraining"),u(pn,"class","relative group"),u(Yd,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.TFPreTrainedModel"),u(ui,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(ui,"rel","nofollow"),u(Zd,"href","/docs/transformers/pr_22354/en/model_doc/albert#transformers.TFAlbertForPreTraining"),u(Kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(xs,"id","transformers.TFAlbertForMaskedLM"),u(xs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(xs,"href","#transformers.TFAlbertForMaskedLM"),u(un,"class","relative group"),u(ec,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.TFPreTrainedModel"),u(yi,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(yi,"rel","nofollow"),u(tc,"href","/docs/transformers/pr_22354/en/model_doc/albert#transformers.TFAlbertForMaskedLM"),u($t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(qs,"id","transformers.TFAlbertForSequenceClassification"),u(qs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(qs,"href","#transformers.TFAlbertForSequenceClassification"),u(gn,"class","relative group"),u(oc,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.TFPreTrainedModel"),u(xi,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(xi,"rel","nofollow"),u(nc,"href","/docs/transformers/pr_22354/en/model_doc/albert#transformers.TFAlbertForSequenceClassification"),u(At,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Os,"id","transformers.TFAlbertForMultipleChoice"),u(Os,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Os,"href","#transformers.TFAlbertForMultipleChoice"),u(bn,"class","relative group"),u(sc,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.TFPreTrainedModel"),u(Pi,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(Pi,"rel","nofollow"),u(rc,"href","/docs/transformers/pr_22354/en/model_doc/albert#transformers.TFAlbertForMultipleChoice"),u(Vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Ws,"id","transformers.TFAlbertForTokenClassification"),u(Ws,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Ws,"href","#transformers.TFAlbertForTokenClassification"),u(vn,"class","relative group"),u(ac,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.TFPreTrainedModel"),u(Di,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(Di,"rel","nofollow"),u(ic,"href","/docs/transformers/pr_22354/en/model_doc/albert#transformers.TFAlbertForTokenClassification"),u(Ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Qs,"id","transformers.TFAlbertForQuestionAnswering"),u(Qs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Qs,"href","#transformers.TFAlbertForQuestionAnswering"),u(Tn,"class","relative group"),u(lc,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.TFPreTrainedModel"),u(Hi,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(Hi,"rel","nofollow"),u(dc,"href","/docs/transformers/pr_22354/en/model_doc/albert#transformers.TFAlbertForQuestionAnswering"),u(xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Xs,"id","transformers.FlaxAlbertModel"),u(Xs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Xs,"href","#transformers.FlaxAlbertModel"),u(An,"class","relative group"),u(cc,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(Xi,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(Xi,"rel","nofollow"),u(Yi,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(Yi,"rel","nofollow"),u(Zi,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(Zi,"rel","nofollow"),u(el,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(el,"rel","nofollow"),u(tl,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(tl,"rel","nofollow"),u(Jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(er,"id","transformers.FlaxAlbertForPreTraining"),u(er,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(er,"href","#transformers.FlaxAlbertForPreTraining"),u(xn,"class","relative group"),u(pc,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(il,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(il,"rel","nofollow"),u(ll,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(ll,"rel","nofollow"),u(dl,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(dl,"rel","nofollow"),u(cl,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(cl,"rel","nofollow"),u(pl,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(pl,"rel","nofollow"),u(Gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(nr,"id","transformers.FlaxAlbertForMaskedLM"),u(nr,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(nr,"href","#transformers.FlaxAlbertForMaskedLM"),u(zn,"class","relative group"),u(hc,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(bl,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(bl,"rel","nofollow"),u(kl,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(kl,"rel","nofollow"),u(vl,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(vl,"rel","nofollow"),u(yl,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(yl,"rel","nofollow"),u(Tl,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(Tl,"rel","nofollow"),u(Xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ar,"id","transformers.FlaxAlbertForSequenceClassification"),u(ar,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ar,"href","#transformers.FlaxAlbertForSequenceClassification"),u(qn,"class","relative group"),u(mc,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(El,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(El,"rel","nofollow"),u(Ml,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(Ml,"rel","nofollow"),u(zl,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(zl,"rel","nofollow"),u(jl,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(jl,"rel","nofollow"),u(ql,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(ql,"rel","nofollow"),u(Yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(dr,"id","transformers.FlaxAlbertForMultipleChoice"),u(dr,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(dr,"href","#transformers.FlaxAlbertForMultipleChoice"),u(Cn,"class","relative group"),u(uc,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(Nl,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(Nl,"rel","nofollow"),u(Dl,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(Dl,"rel","nofollow"),u(Sl,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(Sl,"rel","nofollow"),u(Wl,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(Wl,"rel","nofollow"),u(Bl,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(Bl,"rel","nofollow"),u(Zt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(hr,"id","transformers.FlaxAlbertForTokenClassification"),u(hr,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(hr,"href","#transformers.FlaxAlbertForTokenClassification"),u(In,"class","relative group"),u(fc,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(Vl,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(Vl,"rel","nofollow"),u(Jl,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(Jl,"rel","nofollow"),u(Gl,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(Gl,"rel","nofollow"),u(Xl,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(Xl,"rel","nofollow"),u(Yl,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(Yl,"rel","nofollow"),u(eo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(fr,"id","transformers.FlaxAlbertForQuestionAnswering"),u(fr,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(fr,"href","#transformers.FlaxAlbertForQuestionAnswering"),u(Nn,"class","relative group"),u(gc,"href","/docs/transformers/pr_22354/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(sd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(sd,"rel","nofollow"),u(rd,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(rd,"rel","nofollow"),u(ad,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(ad,"rel","nofollow"),u(id,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(id,"rel","nofollow"),u(ld,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(ld,"rel","nofollow"),u(to,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,_){e(document.head,d),g(o,k,_),g(o,m,_),e(m,f),e(f,b),w(l,b,null),e(m,h),e(m,M),e(M,$e),g(o,ke,_),g(o,W,_),e(W,de),e(de,Z),e(W,Ae),e(W,R),e(R,ce),g(o,J,_),g(o,se,_),e(se,re),e(re,H),w(ie,H,null),e(se,Fe),e(se,Q),e(Q,xe),g(o,ve,_),g(o,B,_),e(B,Ee),e(B,le),e(le,ee),e(B,q),g(o,C,_),g(o,ae,_),e(ae,K),e(K,Me),e(ae,ze),e(ae,V),e(V,je),g(o,ye,_),g(o,P,_),e(P,qe),g(o,G,_),g(o,pe,_),e(pe,me),e(me,Y),g(o,Te,_),g(o,he,_),e(he,D),g(o,we,_),g(o,O,_),e(O,ue),e(ue,te),e(O,L),e(O,fe),e(fe,I),e(O,Pe),e(O,ge),e(ge,v),e(O,z),e(O,He),e(He,oe),g(o,Ke,_),g(o,_e,_),e(_e,j),e(_e,Se),e(Se,Ve),e(_e,Je),e(_e,We),e(We,Ge),e(_e,S),e(_e,U),e(U,Xe),e(_e,Ye),g(o,X,_),g(o,Le,_),e(Le,De),e(De,be),w(Be,be,null),e(Le,ne),e(Le,Qe),e(Qe,n_),g(o,Pu,_),g(o,yt,_),e(yt,Kc),e(Kc,bd),e(bd,s_),e(yt,r_),e(yt,Vc),e(Vc,kd),e(kd,a_),e(yt,i_),e(yt,Jc),e(Jc,vd),e(vd,l_),e(yt,d_),e(yt,Gc),e(Gc,yd),e(yd,c_),e(yt,p_),e(yt,Xc),e(Xc,Td),e(Td,h_),g(o,Cu,_),g(o,No,_),e(No,Bn),e(Bn,Yc),w(Rr,Yc,null),e(No,m_),e(No,Zc),e(Zc,u_),g(o,Lu,_),g(o,It,_),w(Hr,It,null),e(It,f_),e(It,co),e(co,g_),e(co,wd),e(wd,__),e(co,b_),e(co,$d),e($d,k_),e(co,v_),e(co,Qr),e(Qr,y_),e(co,T_),e(It,w_),e(It,Do),e(Do,$_),e(Do,Ad),e(Ad,A_),e(Do,F_),e(Do,Fd),e(Fd,x_),e(Do,E_),e(It,M_),w(Un,It,null),g(o,Iu,_),g(o,So,_),e(So,Rn),e(Rn,ep),w(Kr,ep,null),e(So,z_),e(So,tp),e(tp,j_),g(o,Ou,_),g(o,Ze,_),w(Vr,Ze,null),e(Ze,q_),e(Ze,Jr),e(Jr,P_),e(Jr,Gr),e(Gr,C_),e(Jr,L_),e(Ze,I_),e(Ze,Xr),e(Xr,O_),e(Xr,xd),e(xd,N_),e(Xr,D_),e(Ze,S_),e(Ze,wo),w(Yr,wo,null),e(wo,W_),e(wo,op),e(op,B_),e(wo,U_),e(wo,Zr),e(Zr,Ed),e(Ed,R_),e(Ed,np),e(np,H_),e(Zr,Q_),e(Zr,Md),e(Md,K_),e(Md,sp),e(sp,V_),e(Ze,J_),e(Ze,Hn),w(ea,Hn,null),e(Hn,G_),e(Hn,ta),e(ta,X_),e(ta,rp),e(rp,Y_),e(ta,Z_),e(Ze,eb),e(Ze,Dt),w(oa,Dt,null),e(Dt,tb),e(Dt,ap),e(ap,ob),e(Dt,nb),w(Qn,Dt,null),e(Dt,sb),e(Dt,Wo),e(Wo,rb),e(Wo,ip),e(ip,ab),e(Wo,ib),e(Wo,lp),e(lp,lb),e(Wo,db),e(Ze,cb),e(Ze,zd),w(na,zd,null),g(o,Nu,_),g(o,Bo,_),e(Bo,Kn),e(Kn,dp),w(sa,dp,null),e(Bo,pb),e(Bo,cp),e(cp,hb),g(o,Du,_),g(o,Ot,_),w(ra,Ot,null),e(Ot,mb),e(Ot,po),e(po,ub),e(po,pp),e(pp,fb),e(po,gb),e(po,aa),e(aa,_b),e(po,bb),e(po,jd),e(jd,kb),e(po,vb),e(Ot,yb),e(Ot,$o),w(ia,$o,null),e($o,Tb),e($o,hp),e(hp,wb),e($o,$b),e($o,la),e(la,qd),e(qd,Ab),e(qd,mp),e(mp,Fb),e(la,xb),e(la,Pd),e(Pd,Eb),e(Pd,up),e(up,Mb),e(Ot,zb),e(Ot,St),w(da,St,null),e(St,jb),e(St,fp),e(fp,qb),e(St,Pb),w(Vn,St,null),e(St,Cb),e(St,gp),e(gp,Lb),g(o,Su,_),g(o,Uo,_),e(Uo,Jn),e(Jn,_p),w(ca,_p,null),e(Uo,Ib),e(Uo,bp),e(bp,Ob),g(o,Wu,_),g(o,Ro,_),w(pa,Ro,null),e(Ro,Nb),e(Ro,ha),e(ha,Db),e(ha,Cd),e(Cd,Sb),e(ha,Wb),g(o,Bu,_),g(o,Ho,_),w(ma,Ho,null),e(Ho,Bb),e(Ho,ua),e(ua,Ub),e(ua,Ld),e(Ld,Rb),e(ua,Hb),g(o,Uu,_),g(o,Qo,_),e(Qo,Gn),e(Gn,kp),w(fa,kp,null),e(Qo,Qb),e(Qo,vp),e(vp,Kb),g(o,Ru,_),g(o,ut,_),w(ga,ut,null),e(ut,Vb),e(ut,yp),e(yp,Jb),e(ut,Gb),e(ut,_a),e(_a,Xb),e(_a,Id),e(Id,Yb),e(_a,Zb),e(ut,ek),e(ut,ba),e(ba,tk),e(ba,ka),e(ka,ok),e(ba,nk),e(ut,sk),e(ut,Wt),w(va,Wt,null),e(Wt,rk),e(Wt,Ko),e(Ko,ak),e(Ko,Od),e(Od,ik),e(Ko,lk),e(Ko,Tp),e(Tp,dk),e(Ko,ck),e(Wt,pk),w(Xn,Wt,null),e(Wt,hk),w(Yn,Wt,null),g(o,Hu,_),g(o,Vo,_),e(Vo,Zn),e(Zn,wp),w(ya,wp,null),e(Vo,mk),e(Vo,$p),e($p,uk),g(o,Qu,_),g(o,ft,_),w(Ta,ft,null),e(ft,fk),e(ft,Jo),e(Jo,gk),e(Jo,Ap),e(Ap,_k),e(Jo,bk),e(Jo,Fp),e(Fp,kk),e(Jo,vk),e(ft,yk),e(ft,wa),e(wa,Tk),e(wa,Nd),e(Nd,wk),e(wa,$k),e(ft,Ak),e(ft,$a),e($a,Fk),e($a,Aa),e(Aa,xk),e($a,Ek),e(ft,Mk),e(ft,Bt),w(Fa,Bt,null),e(Bt,zk),e(Bt,Go),e(Go,jk),e(Go,Dd),e(Dd,qk),e(Go,Pk),e(Go,xp),e(xp,Ck),e(Go,Lk),e(Bt,Ik),w(es,Bt,null),e(Bt,Ok),w(ts,Bt,null),g(o,Ku,_),g(o,Xo,_),e(Xo,os),e(os,Ep),w(xa,Ep,null),e(Xo,Nk),e(Xo,Mp),e(Mp,Dk),g(o,Vu,_),g(o,gt,_),w(Ea,gt,null),e(gt,Sk),e(gt,Ma),e(Ma,Wk),e(Ma,zp),e(zp,Bk),e(Ma,Uk),e(gt,Rk),e(gt,za),e(za,Hk),e(za,Sd),e(Sd,Qk),e(za,Kk),e(gt,Vk),e(gt,ja),e(ja,Jk),e(ja,qa),e(qa,Gk),e(ja,Xk),e(gt,Yk),e(gt,Tt),w(Pa,Tt,null),e(Tt,Zk),e(Tt,Yo),e(Yo,ev),e(Yo,Wd),e(Wd,tv),e(Yo,ov),e(Yo,jp),e(jp,nv),e(Yo,sv),e(Tt,rv),w(ns,Tt,null),e(Tt,av),w(ss,Tt,null),e(Tt,iv),w(rs,Tt,null),g(o,Ju,_),g(o,Zo,_),e(Zo,as),e(as,qp),w(Ca,qp,null),e(Zo,lv),e(Zo,Pp),e(Pp,dv),g(o,Gu,_),g(o,_t,_),w(La,_t,null),e(_t,cv),e(_t,Cp),e(Cp,pv),e(_t,hv),e(_t,Ia),e(Ia,mv),e(Ia,Bd),e(Bd,uv),e(Ia,fv),e(_t,gv),e(_t,Oa),e(Oa,_v),e(Oa,Na),e(Na,bv),e(Oa,kv),e(_t,vv),e(_t,wt),w(Da,wt,null),e(wt,yv),e(wt,en),e(en,Tv),e(en,Ud),e(Ud,wv),e(en,$v),e(en,Lp),e(Lp,Av),e(en,Fv),e(wt,xv),w(is,wt,null),e(wt,Ev),w(ls,wt,null),e(wt,Mv),w(ds,wt,null),g(o,Xu,_),g(o,tn,_),e(tn,cs),e(cs,Ip),w(Sa,Ip,null),e(tn,zv),e(tn,Op),e(Op,jv),g(o,Yu,_),g(o,bt,_),w(Wa,bt,null),e(bt,qv),e(bt,Np),e(Np,Pv),e(bt,Cv),e(bt,Ba),e(Ba,Lv),e(Ba,Rd),e(Rd,Iv),e(Ba,Ov),e(bt,Nv),e(bt,Ua),e(Ua,Dv),e(Ua,Ra),e(Ra,Sv),e(Ua,Wv),e(bt,Bv),e(bt,Ut),w(Ha,Ut,null),e(Ut,Uv),e(Ut,on),e(on,Rv),e(on,Hd),e(Hd,Hv),e(on,Qv),e(on,Dp),e(Dp,Kv),e(on,Vv),e(Ut,Jv),w(ps,Ut,null),e(Ut,Gv),w(hs,Ut,null),g(o,Zu,_),g(o,nn,_),e(nn,ms),e(ms,Sp),w(Qa,Sp,null),e(nn,Xv),e(nn,Wp),e(Wp,Yv),g(o,ef,_),g(o,kt,_),w(Ka,kt,null),e(kt,Zv),e(kt,Bp),e(Bp,ey),e(kt,ty),e(kt,Va),e(Va,oy),e(Va,Qd),e(Qd,ny),e(Va,sy),e(kt,ry),e(kt,Ja),e(Ja,ay),e(Ja,Ga),e(Ga,iy),e(Ja,ly),e(kt,dy),e(kt,Rt),w(Xa,Rt,null),e(Rt,cy),e(Rt,sn),e(sn,py),e(sn,Kd),e(Kd,hy),e(sn,my),e(sn,Up),e(Up,uy),e(sn,fy),e(Rt,gy),w(us,Rt,null),e(Rt,_y),w(fs,Rt,null),g(o,tf,_),g(o,rn,_),e(rn,gs),e(gs,Rp),w(Ya,Rp,null),e(rn,by),e(rn,Hp),e(Hp,ky),g(o,of,_),g(o,vt,_),w(Za,vt,null),e(vt,vy),e(vt,an),e(an,yy),e(an,Qp),e(Qp,Ty),e(an,wy),e(an,Kp),e(Kp,$y),e(an,Ay),e(vt,Fy),e(vt,ei),e(ei,xy),e(ei,Vd),e(Vd,Ey),e(ei,My),e(vt,zy),e(vt,ti),e(ti,jy),e(ti,oi),e(oi,qy),e(ti,Py),e(vt,Cy),e(vt,Ht),w(ni,Ht,null),e(Ht,Ly),e(Ht,ln),e(ln,Iy),e(ln,Jd),e(Jd,Oy),e(ln,Ny),e(ln,Vp),e(Vp,Dy),e(ln,Sy),e(Ht,Wy),w(_s,Ht,null),e(Ht,By),w(bs,Ht,null),g(o,nf,_),g(o,dn,_),e(dn,ks),e(ks,Jp),w(si,Jp,null),e(dn,Uy),e(dn,Gp),e(Gp,Ry),g(o,sf,_),g(o,it,_),w(ri,it,null),e(it,Hy),e(it,Xp),e(Xp,Qy),e(it,Ky),e(it,ai),e(ai,Vy),e(ai,Gd),e(Gd,Jy),e(ai,Gy),e(it,Xy),e(it,ii),e(ii,Yy),e(ii,li),e(li,Zy),e(ii,eT),e(it,tT),w(vs,it,null),e(it,oT),e(it,Qt),w(di,Qt,null),e(Qt,nT),e(Qt,cn),e(cn,sT),e(cn,Xd),e(Xd,rT),e(cn,aT),e(cn,Yp),e(Yp,iT),e(cn,lT),e(Qt,dT),w(ys,Qt,null),e(Qt,cT),w(Ts,Qt,null),g(o,rf,_),g(o,pn,_),e(pn,ws),e(ws,Zp),w(ci,Zp,null),e(pn,pT),e(pn,eh),e(eh,hT),g(o,af,_),g(o,lt,_),w(pi,lt,null),e(lt,mT),e(lt,hn),e(hn,uT),e(hn,th),e(th,fT),e(hn,gT),e(hn,oh),e(oh,_T),e(hn,bT),e(lt,kT),e(lt,hi),e(hi,vT),e(hi,Yd),e(Yd,yT),e(hi,TT),e(lt,wT),e(lt,mi),e(mi,$T),e(mi,ui),e(ui,AT),e(mi,FT),e(lt,xT),w($s,lt,null),e(lt,ET),e(lt,Kt),w(fi,Kt,null),e(Kt,MT),e(Kt,mn),e(mn,zT),e(mn,Zd),e(Zd,jT),e(mn,qT),e(mn,nh),e(nh,PT),e(mn,CT),e(Kt,LT),w(As,Kt,null),e(Kt,IT),w(Fs,Kt,null),g(o,lf,_),g(o,un,_),e(un,xs),e(xs,sh),w(gi,sh,null),e(un,OT),e(un,rh),e(rh,NT),g(o,df,_),g(o,dt,_),w(_i,dt,null),e(dt,DT),e(dt,bi),e(bi,ST),e(bi,ah),e(ah,WT),e(bi,BT),e(dt,UT),e(dt,ki),e(ki,RT),e(ki,ec),e(ec,HT),e(ki,QT),e(dt,KT),e(dt,vi),e(vi,VT),e(vi,yi),e(yi,JT),e(vi,GT),e(dt,XT),w(Es,dt,null),e(dt,YT),e(dt,$t),w(Ti,$t,null),e($t,ZT),e($t,fn),e(fn,e2),e(fn,tc),e(tc,t2),e(fn,o2),e(fn,ih),e(ih,n2),e(fn,s2),e($t,r2),w(Ms,$t,null),e($t,a2),w(zs,$t,null),e($t,i2),w(js,$t,null),g(o,cf,_),g(o,gn,_),e(gn,qs),e(qs,lh),w(wi,lh,null),e(gn,l2),e(gn,dh),e(dh,d2),g(o,pf,_),g(o,ct,_),w($i,ct,null),e(ct,c2),e(ct,ch),e(ch,p2),e(ct,h2),e(ct,Ai),e(Ai,m2),e(Ai,oc),e(oc,u2),e(Ai,f2),e(ct,g2),e(ct,Fi),e(Fi,_2),e(Fi,xi),e(xi,b2),e(Fi,k2),e(ct,v2),w(Ps,ct,null),e(ct,y2),e(ct,At),w(Ei,At,null),e(At,T2),e(At,_n),e(_n,w2),e(_n,nc),e(nc,$2),e(_n,A2),e(_n,ph),e(ph,F2),e(_n,x2),e(At,E2),w(Cs,At,null),e(At,M2),w(Ls,At,null),e(At,z2),w(Is,At,null),g(o,hf,_),g(o,bn,_),e(bn,Os),e(Os,hh),w(Mi,hh,null),e(bn,j2),e(bn,mh),e(mh,q2),g(o,mf,_),g(o,pt,_),w(zi,pt,null),e(pt,P2),e(pt,uh),e(uh,C2),e(pt,L2),e(pt,ji),e(ji,I2),e(ji,sc),e(sc,O2),e(ji,N2),e(pt,D2),e(pt,qi),e(qi,S2),e(qi,Pi),e(Pi,W2),e(qi,B2),e(pt,U2),w(Ns,pt,null),e(pt,R2),e(pt,Vt),w(Ci,Vt,null),e(Vt,H2),e(Vt,kn),e(kn,Q2),e(kn,rc),e(rc,K2),e(kn,V2),e(kn,fh),e(fh,J2),e(kn,G2),e(Vt,X2),w(Ds,Vt,null),e(Vt,Y2),w(Ss,Vt,null),g(o,uf,_),g(o,vn,_),e(vn,Ws),e(Ws,gh),w(Li,gh,null),e(vn,Z2),e(vn,_h),e(_h,ew),g(o,ff,_),g(o,ht,_),w(Ii,ht,null),e(ht,tw),e(ht,bh),e(bh,ow),e(ht,nw),e(ht,Oi),e(Oi,sw),e(Oi,ac),e(ac,rw),e(Oi,aw),e(ht,iw),e(ht,Ni),e(Ni,lw),e(Ni,Di),e(Di,dw),e(Ni,cw),e(ht,pw),w(Bs,ht,null),e(ht,hw),e(ht,Ft),w(Si,Ft,null),e(Ft,mw),e(Ft,yn),e(yn,uw),e(yn,ic),e(ic,fw),e(yn,gw),e(yn,kh),e(kh,_w),e(yn,bw),e(Ft,kw),w(Us,Ft,null),e(Ft,vw),w(Rs,Ft,null),e(Ft,yw),w(Hs,Ft,null),g(o,gf,_),g(o,Tn,_),e(Tn,Qs),e(Qs,vh),w(Wi,vh,null),e(Tn,Tw),e(Tn,yh),e(yh,ww),g(o,_f,_),g(o,mt,_),w(Bi,mt,null),e(mt,$w),e(mt,wn),e(wn,Aw),e(wn,Th),e(Th,Fw),e(wn,xw),e(wn,wh),e(wh,Ew),e(wn,Mw),e(mt,zw),e(mt,Ui),e(Ui,jw),e(Ui,lc),e(lc,qw),e(Ui,Pw),e(mt,Cw),e(mt,Ri),e(Ri,Lw),e(Ri,Hi),e(Hi,Iw),e(Ri,Ow),e(mt,Nw),w(Ks,mt,null),e(mt,Dw),e(mt,xt),w(Qi,xt,null),e(xt,Sw),e(xt,$n),e($n,Ww),e($n,dc),e(dc,Bw),e($n,Uw),e($n,$h),e($h,Rw),e($n,Hw),e(xt,Qw),w(Vs,xt,null),e(xt,Kw),w(Js,xt,null),e(xt,Vw),w(Gs,xt,null),g(o,bf,_),g(o,An,_),e(An,Xs),e(Xs,Ah),w(Ki,Ah,null),e(An,Jw),e(An,Fh),e(Fh,Gw),g(o,kf,_),g(o,et,_),w(Vi,et,null),e(et,Xw),e(et,xh),e(xh,Yw),e(et,Zw),e(et,Ji),e(Ji,e1),e(Ji,cc),e(cc,t1),e(Ji,o1),e(et,n1),e(et,Gi),e(Gi,s1),e(Gi,Xi),e(Xi,r1),e(Gi,a1),e(et,i1),e(et,Eh),e(Eh,l1),e(et,d1),e(et,ho),e(ho,Mh),e(Mh,Yi),e(Yi,c1),e(ho,p1),e(ho,zh),e(zh,Zi),e(Zi,h1),e(ho,m1),e(ho,jh),e(jh,el),e(el,u1),e(ho,f1),e(ho,qh),e(qh,tl),e(tl,g1),e(et,_1),e(et,Jt),w(ol,Jt,null),e(Jt,b1),e(Jt,Fn),e(Fn,k1),e(Fn,Ph),e(Ph,v1),e(Fn,y1),e(Fn,Ch),e(Ch,T1),e(Fn,w1),e(Jt,$1),w(Ys,Jt,null),e(Jt,A1),w(Zs,Jt,null),g(o,vf,_),g(o,xn,_),e(xn,er),e(er,Lh),w(nl,Lh,null),e(xn,F1),e(xn,Ih),e(Ih,x1),g(o,yf,_),g(o,tt,_),w(sl,tt,null),e(tt,E1),e(tt,En),e(En,M1),e(En,Oh),e(Oh,z1),e(En,j1),e(En,Nh),e(Nh,q1),e(En,P1),e(tt,C1),e(tt,rl),e(rl,L1),e(rl,pc),e(pc,I1),e(rl,O1),e(tt,N1),e(tt,al),e(al,D1),e(al,il),e(il,S1),e(al,W1),e(tt,B1),e(tt,Dh),e(Dh,U1),e(tt,R1),e(tt,mo),e(mo,Sh),e(Sh,ll),e(ll,H1),e(mo,Q1),e(mo,Wh),e(Wh,dl),e(dl,K1),e(mo,V1),e(mo,Bh),e(Bh,cl),e(cl,J1),e(mo,G1),e(mo,Uh),e(Uh,pl),e(pl,X1),e(tt,Y1),e(tt,Gt),w(hl,Gt,null),e(Gt,Z1),e(Gt,Mn),e(Mn,e$),e(Mn,Rh),e(Rh,t$),e(Mn,o$),e(Mn,Hh),e(Hh,n$),e(Mn,s$),e(Gt,r$),w(tr,Gt,null),e(Gt,a$),w(or,Gt,null),g(o,Tf,_),g(o,zn,_),e(zn,nr),e(nr,Qh),w(ml,Qh,null),e(zn,i$),e(zn,Kh),e(Kh,l$),g(o,wf,_),g(o,ot,_),w(ul,ot,null),e(ot,d$),e(ot,fl),e(fl,c$),e(fl,Vh),e(Vh,p$),e(fl,h$),e(ot,m$),e(ot,gl),e(gl,u$),e(gl,hc),e(hc,f$),e(gl,g$),e(ot,_$),e(ot,_l),e(_l,b$),e(_l,bl),e(bl,k$),e(_l,v$),e(ot,y$),e(ot,Jh),e(Jh,T$),e(ot,w$),e(ot,uo),e(uo,Gh),e(Gh,kl),e(kl,$$),e(uo,A$),e(uo,Xh),e(Xh,vl),e(vl,F$),e(uo,x$),e(uo,Yh),e(Yh,yl),e(yl,E$),e(uo,M$),e(uo,Zh),e(Zh,Tl),e(Tl,z$),e(ot,j$),e(ot,Xt),w(wl,Xt,null),e(Xt,q$),e(Xt,jn),e(jn,P$),e(jn,em),e(em,C$),e(jn,L$),e(jn,tm),e(tm,I$),e(jn,O$),e(Xt,N$),w(sr,Xt,null),e(Xt,D$),w(rr,Xt,null),g(o,$f,_),g(o,qn,_),e(qn,ar),e(ar,om),w($l,om,null),e(qn,S$),e(qn,nm),e(nm,W$),g(o,Af,_),g(o,nt,_),w(Al,nt,null),e(nt,B$),e(nt,sm),e(sm,U$),e(nt,R$),e(nt,Fl),e(Fl,H$),e(Fl,mc),e(mc,Q$),e(Fl,K$),e(nt,V$),e(nt,xl),e(xl,J$),e(xl,El),e(El,G$),e(xl,X$),e(nt,Y$),e(nt,rm),e(rm,Z$),e(nt,eA),e(nt,fo),e(fo,am),e(am,Ml),e(Ml,tA),e(fo,oA),e(fo,im),e(im,zl),e(zl,nA),e(fo,sA),e(fo,lm),e(lm,jl),e(jl,rA),e(fo,aA),e(fo,dm),e(dm,ql),e(ql,iA),e(nt,lA),e(nt,Yt),w(Pl,Yt,null),e(Yt,dA),e(Yt,Pn),e(Pn,cA),e(Pn,cm),e(cm,pA),e(Pn,hA),e(Pn,pm),e(pm,mA),e(Pn,uA),e(Yt,fA),w(ir,Yt,null),e(Yt,gA),w(lr,Yt,null),g(o,Ff,_),g(o,Cn,_),e(Cn,dr),e(dr,hm),w(Cl,hm,null),e(Cn,_A),e(Cn,mm),e(mm,bA),g(o,xf,_),g(o,st,_),w(Ll,st,null),e(st,kA),e(st,um),e(um,vA),e(st,yA),e(st,Il),e(Il,TA),e(Il,uc),e(uc,wA),e(Il,$A),e(st,AA),e(st,Ol),e(Ol,FA),e(Ol,Nl),e(Nl,xA),e(Ol,EA),e(st,MA),e(st,fm),e(fm,zA),e(st,jA),e(st,go),e(go,gm),e(gm,Dl),e(Dl,qA),e(go,PA),e(go,_m),e(_m,Sl),e(Sl,CA),e(go,LA),e(go,bm),e(bm,Wl),e(Wl,IA),e(go,OA),e(go,km),e(km,Bl),e(Bl,NA),e(st,DA),e(st,Zt),w(Ul,Zt,null),e(Zt,SA),e(Zt,Ln),e(Ln,WA),e(Ln,vm),e(vm,BA),e(Ln,UA),e(Ln,ym),e(ym,RA),e(Ln,HA),e(Zt,QA),w(cr,Zt,null),e(Zt,KA),w(pr,Zt,null),g(o,Ef,_),g(o,In,_),e(In,hr),e(hr,Tm),w(Rl,Tm,null),e(In,VA),e(In,wm),e(wm,JA),g(o,Mf,_),g(o,rt,_),w(Hl,rt,null),e(rt,GA),e(rt,$m),e($m,XA),e(rt,YA),e(rt,Ql),e(Ql,ZA),e(Ql,fc),e(fc,eF),e(Ql,tF),e(rt,oF),e(rt,Kl),e(Kl,nF),e(Kl,Vl),e(Vl,sF),e(Kl,rF),e(rt,aF),e(rt,Am),e(Am,iF),e(rt,lF),e(rt,_o),e(_o,Fm),e(Fm,Jl),e(Jl,dF),e(_o,cF),e(_o,xm),e(xm,Gl),e(Gl,pF),e(_o,hF),e(_o,Em),e(Em,Xl),e(Xl,mF),e(_o,uF),e(_o,Mm),e(Mm,Yl),e(Yl,fF),e(rt,gF),e(rt,eo),w(Zl,eo,null),e(eo,_F),e(eo,On),e(On,bF),e(On,zm),e(zm,kF),e(On,vF),e(On,jm),e(jm,yF),e(On,TF),e(eo,wF),w(mr,eo,null),e(eo,$F),w(ur,eo,null),g(o,zf,_),g(o,Nn,_),e(Nn,fr),e(fr,qm),w(ed,qm,null),e(Nn,AF),e(Nn,Pm),e(Pm,FF),g(o,jf,_),g(o,at,_),w(td,at,null),e(at,xF),e(at,Dn),e(Dn,EF),e(Dn,Cm),e(Cm,MF),e(Dn,zF),e(Dn,Lm),e(Lm,jF),e(Dn,qF),e(at,PF),e(at,od),e(od,CF),e(od,gc),e(gc,LF),e(od,IF),e(at,OF),e(at,nd),e(nd,NF),e(nd,sd),e(sd,DF),e(nd,SF),e(at,WF),e(at,Im),e(Im,BF),e(at,UF),e(at,bo),e(bo,Om),e(Om,rd),e(rd,RF),e(bo,HF),e(bo,Nm),e(Nm,ad),e(ad,QF),e(bo,KF),e(bo,Dm),e(Dm,id),e(id,VF),e(bo,JF),e(bo,Sm),e(Sm,ld),e(ld,GF),e(at,XF),e(at,to),w(dd,to,null),e(to,YF),e(to,Sn),e(Sn,ZF),e(Sn,Wm),e(Wm,e0),e(Sn,t0),e(Sn,Bm),e(Bm,o0),e(Sn,n0),e(to,s0),w(gr,to,null),e(to,r0),w(_r,to,null),qf=!0},p(o,[_]){const cd={};_&2&&(cd.$$scope={dirty:_,ctx:o}),Un.$set(cd);const Um={};_&2&&(Um.$$scope={dirty:_,ctx:o}),Qn.$set(Um);const Rm={};_&2&&(Rm.$$scope={dirty:_,ctx:o}),Vn.$set(Rm);const Hm={};_&2&&(Hm.$$scope={dirty:_,ctx:o}),Xn.$set(Hm);const pd={};_&2&&(pd.$$scope={dirty:_,ctx:o}),Yn.$set(pd);const Qm={};_&2&&(Qm.$$scope={dirty:_,ctx:o}),es.$set(Qm);const Km={};_&2&&(Km.$$scope={dirty:_,ctx:o}),ts.$set(Km);const hd={};_&2&&(hd.$$scope={dirty:_,ctx:o}),ns.$set(hd);const Vm={};_&2&&(Vm.$$scope={dirty:_,ctx:o}),ss.$set(Vm);const Jm={};_&2&&(Jm.$$scope={dirty:_,ctx:o}),rs.$set(Jm);const Gm={};_&2&&(Gm.$$scope={dirty:_,ctx:o}),is.$set(Gm);const md={};_&2&&(md.$$scope={dirty:_,ctx:o}),ls.$set(md);const Xm={};_&2&&(Xm.$$scope={dirty:_,ctx:o}),ds.$set(Xm);const ud={};_&2&&(ud.$$scope={dirty:_,ctx:o}),ps.$set(ud);const Ym={};_&2&&(Ym.$$scope={dirty:_,ctx:o}),hs.$set(Ym);const Zm={};_&2&&(Zm.$$scope={dirty:_,ctx:o}),us.$set(Zm);const eu={};_&2&&(eu.$$scope={dirty:_,ctx:o}),fs.$set(eu);const tu={};_&2&&(tu.$$scope={dirty:_,ctx:o}),_s.$set(tu);const ou={};_&2&&(ou.$$scope={dirty:_,ctx:o}),bs.$set(ou);const nu={};_&2&&(nu.$$scope={dirty:_,ctx:o}),vs.$set(nu);const ko={};_&2&&(ko.$$scope={dirty:_,ctx:o}),ys.$set(ko);const su={};_&2&&(su.$$scope={dirty:_,ctx:o}),Ts.$set(su);const ru={};_&2&&(ru.$$scope={dirty:_,ctx:o}),$s.$set(ru);const au={};_&2&&(au.$$scope={dirty:_,ctx:o}),As.$set(au);const iu={};_&2&&(iu.$$scope={dirty:_,ctx:o}),Fs.$set(iu);const vo={};_&2&&(vo.$$scope={dirty:_,ctx:o}),Es.$set(vo);const lu={};_&2&&(lu.$$scope={dirty:_,ctx:o}),Ms.$set(lu);const du={};_&2&&(du.$$scope={dirty:_,ctx:o}),zs.$set(du);const cu={};_&2&&(cu.$$scope={dirty:_,ctx:o}),js.$set(cu);const fd={};_&2&&(fd.$$scope={dirty:_,ctx:o}),Ps.$set(fd);const pu={};_&2&&(pu.$$scope={dirty:_,ctx:o}),Cs.$set(pu);const hu={};_&2&&(hu.$$scope={dirty:_,ctx:o}),Ls.$set(hu);const mu={};_&2&&(mu.$$scope={dirty:_,ctx:o}),Is.$set(mu);const Nt={};_&2&&(Nt.$$scope={dirty:_,ctx:o}),Ns.$set(Nt);const uu={};_&2&&(uu.$$scope={dirty:_,ctx:o}),Ds.$set(uu);const fu={};_&2&&(fu.$$scope={dirty:_,ctx:o}),Ss.$set(fu);const gu={};_&2&&(gu.$$scope={dirty:_,ctx:o}),Bs.$set(gu);const _u={};_&2&&(_u.$$scope={dirty:_,ctx:o}),Us.$set(_u);const bu={};_&2&&(bu.$$scope={dirty:_,ctx:o}),Rs.$set(bu);const ku={};_&2&&(ku.$$scope={dirty:_,ctx:o}),Hs.$set(ku);const vu={};_&2&&(vu.$$scope={dirty:_,ctx:o}),Ks.$set(vu);const yu={};_&2&&(yu.$$scope={dirty:_,ctx:o}),Vs.$set(yu);const Tu={};_&2&&(Tu.$$scope={dirty:_,ctx:o}),Js.$set(Tu);const wu={};_&2&&(wu.$$scope={dirty:_,ctx:o}),Gs.$set(wu);const gd={};_&2&&(gd.$$scope={dirty:_,ctx:o}),Ys.$set(gd);const $u={};_&2&&($u.$$scope={dirty:_,ctx:o}),Zs.$set($u);const Au={};_&2&&(Au.$$scope={dirty:_,ctx:o}),tr.$set(Au);const Fu={};_&2&&(Fu.$$scope={dirty:_,ctx:o}),or.$set(Fu);const yo={};_&2&&(yo.$$scope={dirty:_,ctx:o}),sr.$set(yo);const To={};_&2&&(To.$$scope={dirty:_,ctx:o}),rr.$set(To);const xu={};_&2&&(xu.$$scope={dirty:_,ctx:o}),ir.$set(xu);const Eu={};_&2&&(Eu.$$scope={dirty:_,ctx:o}),lr.$set(Eu);const Mu={};_&2&&(Mu.$$scope={dirty:_,ctx:o}),cr.$set(Mu);const Wn={};_&2&&(Wn.$$scope={dirty:_,ctx:o}),pr.$set(Wn);const zu={};_&2&&(zu.$$scope={dirty:_,ctx:o}),mr.$set(zu);const ju={};_&2&&(ju.$$scope={dirty:_,ctx:o}),ur.$set(ju);const _d={};_&2&&(_d.$$scope={dirty:_,ctx:o}),gr.$set(_d);const qu={};_&2&&(qu.$$scope={dirty:_,ctx:o}),_r.$set(qu)},i(o){qf||($(l.$$.fragment,o),$(ie.$$.fragment,o),$(Be.$$.fragment,o),$(Rr.$$.fragment,o),$(Hr.$$.fragment,o),$(Un.$$.fragment,o),$(Kr.$$.fragment,o),$(Vr.$$.fragment,o),$(Yr.$$.fragment,o),$(ea.$$.fragment,o),$(oa.$$.fragment,o),$(Qn.$$.fragment,o),$(na.$$.fragment,o),$(sa.$$.fragment,o),$(ra.$$.fragment,o),$(ia.$$.fragment,o),$(da.$$.fragment,o),$(Vn.$$.fragment,o),$(ca.$$.fragment,o),$(pa.$$.fragment,o),$(ma.$$.fragment,o),$(fa.$$.fragment,o),$(ga.$$.fragment,o),$(va.$$.fragment,o),$(Xn.$$.fragment,o),$(Yn.$$.fragment,o),$(ya.$$.fragment,o),$(Ta.$$.fragment,o),$(Fa.$$.fragment,o),$(es.$$.fragment,o),$(ts.$$.fragment,o),$(xa.$$.fragment,o),$(Ea.$$.fragment,o),$(Pa.$$.fragment,o),$(ns.$$.fragment,o),$(ss.$$.fragment,o),$(rs.$$.fragment,o),$(Ca.$$.fragment,o),$(La.$$.fragment,o),$(Da.$$.fragment,o),$(is.$$.fragment,o),$(ls.$$.fragment,o),$(ds.$$.fragment,o),$(Sa.$$.fragment,o),$(Wa.$$.fragment,o),$(Ha.$$.fragment,o),$(ps.$$.fragment,o),$(hs.$$.fragment,o),$(Qa.$$.fragment,o),$(Ka.$$.fragment,o),$(Xa.$$.fragment,o),$(us.$$.fragment,o),$(fs.$$.fragment,o),$(Ya.$$.fragment,o),$(Za.$$.fragment,o),$(ni.$$.fragment,o),$(_s.$$.fragment,o),$(bs.$$.fragment,o),$(si.$$.fragment,o),$(ri.$$.fragment,o),$(vs.$$.fragment,o),$(di.$$.fragment,o),$(ys.$$.fragment,o),$(Ts.$$.fragment,o),$(ci.$$.fragment,o),$(pi.$$.fragment,o),$($s.$$.fragment,o),$(fi.$$.fragment,o),$(As.$$.fragment,o),$(Fs.$$.fragment,o),$(gi.$$.fragment,o),$(_i.$$.fragment,o),$(Es.$$.fragment,o),$(Ti.$$.fragment,o),$(Ms.$$.fragment,o),$(zs.$$.fragment,o),$(js.$$.fragment,o),$(wi.$$.fragment,o),$($i.$$.fragment,o),$(Ps.$$.fragment,o),$(Ei.$$.fragment,o),$(Cs.$$.fragment,o),$(Ls.$$.fragment,o),$(Is.$$.fragment,o),$(Mi.$$.fragment,o),$(zi.$$.fragment,o),$(Ns.$$.fragment,o),$(Ci.$$.fragment,o),$(Ds.$$.fragment,o),$(Ss.$$.fragment,o),$(Li.$$.fragment,o),$(Ii.$$.fragment,o),$(Bs.$$.fragment,o),$(Si.$$.fragment,o),$(Us.$$.fragment,o),$(Rs.$$.fragment,o),$(Hs.$$.fragment,o),$(Wi.$$.fragment,o),$(Bi.$$.fragment,o),$(Ks.$$.fragment,o),$(Qi.$$.fragment,o),$(Vs.$$.fragment,o),$(Js.$$.fragment,o),$(Gs.$$.fragment,o),$(Ki.$$.fragment,o),$(Vi.$$.fragment,o),$(ol.$$.fragment,o),$(Ys.$$.fragment,o),$(Zs.$$.fragment,o),$(nl.$$.fragment,o),$(sl.$$.fragment,o),$(hl.$$.fragment,o),$(tr.$$.fragment,o),$(or.$$.fragment,o),$(ml.$$.fragment,o),$(ul.$$.fragment,o),$(wl.$$.fragment,o),$(sr.$$.fragment,o),$(rr.$$.fragment,o),$($l.$$.fragment,o),$(Al.$$.fragment,o),$(Pl.$$.fragment,o),$(ir.$$.fragment,o),$(lr.$$.fragment,o),$(Cl.$$.fragment,o),$(Ll.$$.fragment,o),$(Ul.$$.fragment,o),$(cr.$$.fragment,o),$(pr.$$.fragment,o),$(Rl.$$.fragment,o),$(Hl.$$.fragment,o),$(Zl.$$.fragment,o),$(mr.$$.fragment,o),$(ur.$$.fragment,o),$(ed.$$.fragment,o),$(td.$$.fragment,o),$(dd.$$.fragment,o),$(gr.$$.fragment,o),$(_r.$$.fragment,o),qf=!0)},o(o){A(l.$$.fragment,o),A(ie.$$.fragment,o),A(Be.$$.fragment,o),A(Rr.$$.fragment,o),A(Hr.$$.fragment,o),A(Un.$$.fragment,o),A(Kr.$$.fragment,o),A(Vr.$$.fragment,o),A(Yr.$$.fragment,o),A(ea.$$.fragment,o),A(oa.$$.fragment,o),A(Qn.$$.fragment,o),A(na.$$.fragment,o),A(sa.$$.fragment,o),A(ra.$$.fragment,o),A(ia.$$.fragment,o),A(da.$$.fragment,o),A(Vn.$$.fragment,o),A(ca.$$.fragment,o),A(pa.$$.fragment,o),A(ma.$$.fragment,o),A(fa.$$.fragment,o),A(ga.$$.fragment,o),A(va.$$.fragment,o),A(Xn.$$.fragment,o),A(Yn.$$.fragment,o),A(ya.$$.fragment,o),A(Ta.$$.fragment,o),A(Fa.$$.fragment,o),A(es.$$.fragment,o),A(ts.$$.fragment,o),A(xa.$$.fragment,o),A(Ea.$$.fragment,o),A(Pa.$$.fragment,o),A(ns.$$.fragment,o),A(ss.$$.fragment,o),A(rs.$$.fragment,o),A(Ca.$$.fragment,o),A(La.$$.fragment,o),A(Da.$$.fragment,o),A(is.$$.fragment,o),A(ls.$$.fragment,o),A(ds.$$.fragment,o),A(Sa.$$.fragment,o),A(Wa.$$.fragment,o),A(Ha.$$.fragment,o),A(ps.$$.fragment,o),A(hs.$$.fragment,o),A(Qa.$$.fragment,o),A(Ka.$$.fragment,o),A(Xa.$$.fragment,o),A(us.$$.fragment,o),A(fs.$$.fragment,o),A(Ya.$$.fragment,o),A(Za.$$.fragment,o),A(ni.$$.fragment,o),A(_s.$$.fragment,o),A(bs.$$.fragment,o),A(si.$$.fragment,o),A(ri.$$.fragment,o),A(vs.$$.fragment,o),A(di.$$.fragment,o),A(ys.$$.fragment,o),A(Ts.$$.fragment,o),A(ci.$$.fragment,o),A(pi.$$.fragment,o),A($s.$$.fragment,o),A(fi.$$.fragment,o),A(As.$$.fragment,o),A(Fs.$$.fragment,o),A(gi.$$.fragment,o),A(_i.$$.fragment,o),A(Es.$$.fragment,o),A(Ti.$$.fragment,o),A(Ms.$$.fragment,o),A(zs.$$.fragment,o),A(js.$$.fragment,o),A(wi.$$.fragment,o),A($i.$$.fragment,o),A(Ps.$$.fragment,o),A(Ei.$$.fragment,o),A(Cs.$$.fragment,o),A(Ls.$$.fragment,o),A(Is.$$.fragment,o),A(Mi.$$.fragment,o),A(zi.$$.fragment,o),A(Ns.$$.fragment,o),A(Ci.$$.fragment,o),A(Ds.$$.fragment,o),A(Ss.$$.fragment,o),A(Li.$$.fragment,o),A(Ii.$$.fragment,o),A(Bs.$$.fragment,o),A(Si.$$.fragment,o),A(Us.$$.fragment,o),A(Rs.$$.fragment,o),A(Hs.$$.fragment,o),A(Wi.$$.fragment,o),A(Bi.$$.fragment,o),A(Ks.$$.fragment,o),A(Qi.$$.fragment,o),A(Vs.$$.fragment,o),A(Js.$$.fragment,o),A(Gs.$$.fragment,o),A(Ki.$$.fragment,o),A(Vi.$$.fragment,o),A(ol.$$.fragment,o),A(Ys.$$.fragment,o),A(Zs.$$.fragment,o),A(nl.$$.fragment,o),A(sl.$$.fragment,o),A(hl.$$.fragment,o),A(tr.$$.fragment,o),A(or.$$.fragment,o),A(ml.$$.fragment,o),A(ul.$$.fragment,o),A(wl.$$.fragment,o),A(sr.$$.fragment,o),A(rr.$$.fragment,o),A($l.$$.fragment,o),A(Al.$$.fragment,o),A(Pl.$$.fragment,o),A(ir.$$.fragment,o),A(lr.$$.fragment,o),A(Cl.$$.fragment,o),A(Ll.$$.fragment,o),A(Ul.$$.fragment,o),A(cr.$$.fragment,o),A(pr.$$.fragment,o),A(Rl.$$.fragment,o),A(Hl.$$.fragment,o),A(Zl.$$.fragment,o),A(mr.$$.fragment,o),A(ur.$$.fragment,o),A(ed.$$.fragment,o),A(td.$$.fragment,o),A(dd.$$.fragment,o),A(gr.$$.fragment,o),A(_r.$$.fragment,o),qf=!1},d(o){t(d),o&&t(k),o&&t(m),F(l),o&&t(ke),o&&t(W),o&&t(J),o&&t(se),F(ie),o&&t(ve),o&&t(B),o&&t(C),o&&t(ae),o&&t(ye),o&&t(P),o&&t(G),o&&t(pe),o&&t(Te),o&&t(he),o&&t(we),o&&t(O),o&&t(Ke),o&&t(_e),o&&t(X),o&&t(Le),F(Be),o&&t(Pu),o&&t(yt),o&&t(Cu),o&&t(No),F(Rr),o&&t(Lu),o&&t(It),F(Hr),F(Un),o&&t(Iu),o&&t(So),F(Kr),o&&t(Ou),o&&t(Ze),F(Vr),F(Yr),F(ea),F(oa),F(Qn),F(na),o&&t(Nu),o&&t(Bo),F(sa),o&&t(Du),o&&t(Ot),F(ra),F(ia),F(da),F(Vn),o&&t(Su),o&&t(Uo),F(ca),o&&t(Wu),o&&t(Ro),F(pa),o&&t(Bu),o&&t(Ho),F(ma),o&&t(Uu),o&&t(Qo),F(fa),o&&t(Ru),o&&t(ut),F(ga),F(va),F(Xn),F(Yn),o&&t(Hu),o&&t(Vo),F(ya),o&&t(Qu),o&&t(ft),F(Ta),F(Fa),F(es),F(ts),o&&t(Ku),o&&t(Xo),F(xa),o&&t(Vu),o&&t(gt),F(Ea),F(Pa),F(ns),F(ss),F(rs),o&&t(Ju),o&&t(Zo),F(Ca),o&&t(Gu),o&&t(_t),F(La),F(Da),F(is),F(ls),F(ds),o&&t(Xu),o&&t(tn),F(Sa),o&&t(Yu),o&&t(bt),F(Wa),F(Ha),F(ps),F(hs),o&&t(Zu),o&&t(nn),F(Qa),o&&t(ef),o&&t(kt),F(Ka),F(Xa),F(us),F(fs),o&&t(tf),o&&t(rn),F(Ya),o&&t(of),o&&t(vt),F(Za),F(ni),F(_s),F(bs),o&&t(nf),o&&t(dn),F(si),o&&t(sf),o&&t(it),F(ri),F(vs),F(di),F(ys),F(Ts),o&&t(rf),o&&t(pn),F(ci),o&&t(af),o&&t(lt),F(pi),F($s),F(fi),F(As),F(Fs),o&&t(lf),o&&t(un),F(gi),o&&t(df),o&&t(dt),F(_i),F(Es),F(Ti),F(Ms),F(zs),F(js),o&&t(cf),o&&t(gn),F(wi),o&&t(pf),o&&t(ct),F($i),F(Ps),F(Ei),F(Cs),F(Ls),F(Is),o&&t(hf),o&&t(bn),F(Mi),o&&t(mf),o&&t(pt),F(zi),F(Ns),F(Ci),F(Ds),F(Ss),o&&t(uf),o&&t(vn),F(Li),o&&t(ff),o&&t(ht),F(Ii),F(Bs),F(Si),F(Us),F(Rs),F(Hs),o&&t(gf),o&&t(Tn),F(Wi),o&&t(_f),o&&t(mt),F(Bi),F(Ks),F(Qi),F(Vs),F(Js),F(Gs),o&&t(bf),o&&t(An),F(Ki),o&&t(kf),o&&t(et),F(Vi),F(ol),F(Ys),F(Zs),o&&t(vf),o&&t(xn),F(nl),o&&t(yf),o&&t(tt),F(sl),F(hl),F(tr),F(or),o&&t(Tf),o&&t(zn),F(ml),o&&t(wf),o&&t(ot),F(ul),F(wl),F(sr),F(rr),o&&t($f),o&&t(qn),F($l),o&&t(Af),o&&t(nt),F(Al),F(Pl),F(ir),F(lr),o&&t(Ff),o&&t(Cn),F(Cl),o&&t(xf),o&&t(st),F(Ll),F(Ul),F(cr),F(pr),o&&t(Ef),o&&t(In),F(Rl),o&&t(Mf),o&&t(rt),F(Hl),F(Zl),F(mr),F(ur),o&&t(zf),o&&t(Nn),F(ed),o&&t(jf),o&&t(at),F(td),F(dd),F(gr),F(_r)}}}const gM={local:"albert",sections:[{local:"overview",title:"Overview"},{local:"documentation-resources",title:"Documentation resources"},{local:"transformers.AlbertConfig",title:"AlbertConfig"},{local:"transformers.AlbertTokenizer",title:"AlbertTokenizer"},{local:"transformers.AlbertTokenizerFast",title:"AlbertTokenizerFast"},{local:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput",title:"Albert specific outputs"},{local:"transformers.AlbertModel",title:"AlbertModel"},{local:"transformers.AlbertForPreTraining",title:"AlbertForPreTraining"},{local:"transformers.AlbertForMaskedLM",title:"AlbertForMaskedLM"},{local:"transformers.AlbertForSequenceClassification",title:"AlbertForSequenceClassification"},{local:"transformers.AlbertForMultipleChoice",title:"AlbertForMultipleChoice"},{local:"transformers.AlbertForTokenClassification",title:"AlbertForTokenClassification"},{local:"transformers.AlbertForQuestionAnswering",title:"AlbertForQuestionAnswering"},{local:"transformers.TFAlbertModel",title:"TFAlbertModel"},{local:"transformers.TFAlbertForPreTraining",title:"TFAlbertForPreTraining"},{local:"transformers.TFAlbertForMaskedLM",title:"TFAlbertForMaskedLM"},{local:"transformers.TFAlbertForSequenceClassification",title:"TFAlbertForSequenceClassification"},{local:"transformers.TFAlbertForMultipleChoice",title:"TFAlbertForMultipleChoice"},{local:"transformers.TFAlbertForTokenClassification",title:"TFAlbertForTokenClassification"},{local:"transformers.TFAlbertForQuestionAnswering",title:"TFAlbertForQuestionAnswering"},{local:"transformers.FlaxAlbertModel",title:"FlaxAlbertModel"},{local:"transformers.FlaxAlbertForPreTraining",title:"FlaxAlbertForPreTraining"},{local:"transformers.FlaxAlbertForMaskedLM",title:"FlaxAlbertForMaskedLM"},{local:"transformers.FlaxAlbertForSequenceClassification",title:"FlaxAlbertForSequenceClassification"},{local:"transformers.FlaxAlbertForMultipleChoice",title:"FlaxAlbertForMultipleChoice"},{local:"transformers.FlaxAlbertForTokenClassification",title:"FlaxAlbertForTokenClassification"},{local:"transformers.FlaxAlbertForQuestionAnswering",title:"FlaxAlbertForQuestionAnswering"}],title:"ALBERT"};function _M(E){return c5(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class $M extends a5{constructor(d){super();i5(this,d,_M,fM,l5,{})}}export{$M as default,gM as metadata};
